Ext.data.JsonP.DataTable({"tagname":"class","name":"DataTable","autodetected":{},"files":[{"filename":"datatables.js","href":"datatables.html#DataTable"}],"params":[{"tagname":"params","type":"object","name":"oInit","default":"{}","optional":true,"doc":"<p>Configuration object for DataTables. Options\n   are defined by DataTable.defaults\n +</p>\n\n<p> @example\n   // Basic initialisation\n   $(document).ready( function {\n     $('#example').dataTable();\n   } );</p>\n\n<p> @example\n   // Initialisation with configuration options - in this case, disable\n   // pagination and sorting.\n   $(document).ready( function {\n     $('#example').dataTable( {\n       \"bPaginate\": false,\n       \"bSort\": false\n     } );\n   } );</p>\n","html_type":"object"}],"requires":["1.3","jQuery"],"members":[{"name":"","tagname":"property","owner":"DataTable","id":"property-","meta":{}},{"name":"_aData","tagname":"property","owner":"DataTable","id":"property-_aData","meta":{}},{"name":"_aSortData","tagname":"property","owner":"DataTable","id":"property-_aSortData","meta":{"private":true}},{"name":"_anHidden","tagname":"property","owner":"DataTable","id":"property-_anHidden","meta":{"private":true}},{"name":"_bAutoType","tagname":"property","owner":"DataTable","id":"property-_bAutoType","meta":{"private":true}},{"name":"_iDisplayEnd","tagname":"property","owner":"DataTable","id":"property-_iDisplayEnd","meta":{"private":true}},{"name":"_iDisplayLength","tagname":"property","owner":"DataTable","id":"property-_iDisplayLength","meta":{}},{"name":"_iDisplayStart","tagname":"property","owner":"DataTable","id":"property-_iDisplayStart","meta":{}},{"name":"_iRecordsDisplay","tagname":"property","owner":"DataTable","id":"property-_iRecordsDisplay","meta":{"private":true}},{"name":"_iRecordsTotal","tagname":"property","owner":"DataTable","id":"property-_iRecordsTotal","meta":{"private":true}},{"name":"_oExternConfig","tagname":"property","owner":"DataTable","id":"property-_oExternConfig","meta":{"private":true}},{"name":"_sRowStripe","tagname":"property","owner":"DataTable","id":"property-_sRowStripe","meta":{"private":true}},{"name":"aDataSort","tagname":"property","owner":"DataTable","id":"property-aDataSort","meta":{}},{"name":"aLengthMenu","tagname":"property","owner":"DataTable","id":"property-aLengthMenu","meta":{}},{"name":"aTypes","tagname":"property","owner":"DataTable","id":"property-aTypes","meta":{}},{"name":"aaData","tagname":"property","owner":"DataTable","id":"property-aaData","meta":{}},{"name":"aaSorting","tagname":"property","owner":"DataTable","id":"property-aaSorting","meta":{}},{"name":"aaSortingFixed","tagname":"property","owner":"DataTable","id":"property-aaSortingFixed","meta":{}},{"name":"aanFeatures","tagname":"property","owner":"DataTable","id":"property-aanFeatures","meta":{}},{"name":"afnFiltering","tagname":"property","owner":"DataTable","id":"property-afnFiltering","meta":{}},{"name":"afnSortData","tagname":"property","owner":"DataTable","id":"property-afnSortData","meta":{"deprecated":{"text":"<p>@example\n   // Updating the cached sorting information with user entered values in HTML input elements\n   jQuery.fn.dataTableExt.afnSortData['dom-text'] = function ( oSettings, iColumn )\n   {\n     var aData = [];\n     $( 'td:eq('+iColumn+') input', oSettings.oApi._fnGetTrNodes(oSettings) ).each( function () {\n       aData.push( this.value );\n     } );\n     return aData;\n   }</p>\n"}}},{"name":"aiDisplay","tagname":"property","owner":"DataTable","id":"property-aiDisplay","meta":{}},{"name":"aiDisplayMaster","tagname":"property","owner":"DataTable","id":"property-aiDisplayMaster","meta":{}},{"name":"aoColumnDefs","tagname":"property","owner":"DataTable","id":"property-aoColumnDefs","meta":{}},{"name":"aoColumns","tagname":"property","owner":"DataTable","id":"property-aoColumns","meta":{}},{"name":"aoData","tagname":"property","owner":"DataTable","id":"property-aoData","meta":{}},{"name":"aoDestroyCallback","tagname":"property","owner":"DataTable","id":"property-aoDestroyCallback","meta":{}},{"name":"aoDrawCallback","tagname":"property","owner":"DataTable","id":"property-aoDrawCallback","meta":{}},{"name":"aoFeatures","tagname":"property","owner":"DataTable","id":"property-aoFeatures","meta":{}},{"name":"aoFooter","tagname":"property","owner":"DataTable","id":"property-aoFooter","meta":{}},{"name":"aoFooterCallback","tagname":"property","owner":"DataTable","id":"property-aoFooterCallback","meta":{}},{"name":"aoHeader","tagname":"property","owner":"DataTable","id":"property-aoHeader","meta":{}},{"name":"aoHeaderCallback","tagname":"property","owner":"DataTable","id":"property-aoHeaderCallback","meta":{}},{"name":"aoInitComplete","tagname":"property","owner":"DataTable","id":"property-aoInitComplete","meta":{}},{"name":"aoOpenRows","tagname":"property","owner":"DataTable","id":"property-aoOpenRows","meta":{}},{"name":"aoPreDrawCallback","tagname":"property","owner":"DataTable","id":"property-aoPreDrawCallback","meta":{}},{"name":"aoPreSearchCols","tagname":"property","owner":"DataTable","id":"property-aoPreSearchCols","meta":{}},{"name":"aoRowCallback","tagname":"property","owner":"DataTable","id":"property-aoRowCallback","meta":{}},{"name":"aoRowCreatedCallback","tagname":"property","owner":"DataTable","id":"property-aoRowCreatedCallback","meta":{}},{"name":"aoSearchCols","tagname":"property","owner":"DataTable","id":"property-aoSearchCols","meta":{}},{"name":"aoServerParams","tagname":"property","owner":"DataTable","id":"property-aoServerParams","meta":{}},{"name":"aoStateLoad","tagname":"property","owner":"DataTable","id":"property-aoStateLoad","meta":{}},{"name":"aoStateLoadParams","tagname":"property","owner":"DataTable","id":"property-aoStateLoadParams","meta":{}},{"name":"aoStateLoaded","tagname":"property","owner":"DataTable","id":"property-aoStateLoaded","meta":{}},{"name":"aoStateSave","tagname":"property","owner":"DataTable","id":"property-aoStateSave","meta":{}},{"name":"aoStateSaveParams","tagname":"property","owner":"DataTable","id":"property-aoStateSaveParams","meta":{}},{"name":"asDataSearch","tagname":"property","owner":"DataTable","id":"property-asDataSearch","meta":{}},{"name":"asDestroyStripes","tagname":"property","owner":"DataTable","id":"property-asDestroyStripes","meta":{}},{"name":"asSorting","tagname":"property","owner":"DataTable","id":"property-asSorting","meta":{}},{"name":"asStripeClasses","tagname":"property","owner":"DataTable","id":"property-asStripeClasses","meta":{}},{"name":"bAjaxDataGet","tagname":"property","owner":"DataTable","id":"property-bAjaxDataGet","meta":{}},{"name":"bAutoCss","tagname":"property","owner":"DataTable","id":"property-bAutoCss","meta":{}},{"name":"bAutoWidth","tagname":"property","owner":"DataTable","id":"property-bAutoWidth","meta":{}},{"name":"bCaseInsensitive","tagname":"property","owner":"DataTable","id":"property-bCaseInsensitive","meta":{}},{"name":"bCollapse","tagname":"property","owner":"DataTable","id":"property-bCollapse","meta":{}},{"name":"bDeferLoading","tagname":"property","owner":"DataTable","id":"property-bDeferLoading","meta":{}},{"name":"bDeferRender","tagname":"property","owner":"DataTable","id":"property-bDeferRender","meta":{}},{"name":"bDestroy","tagname":"property","owner":"DataTable","id":"property-bDestroy","meta":{}},{"name":"bDrawing","tagname":"property","owner":"DataTable","id":"property-bDrawing","meta":{}},{"name":"bFilter","tagname":"property","owner":"DataTable","id":"property-bFilter","meta":{}},{"name":"bFiltered","tagname":"property","owner":"DataTable","id":"property-bFiltered","meta":{"deprecated":{"text":"\n"}}},{"name":"bInfinite","tagname":"property","owner":"DataTable","id":"property-bInfinite","meta":{}},{"name":"bInfo","tagname":"property","owner":"DataTable","id":"property-bInfo","meta":{}},{"name":"bInitialised","tagname":"property","owner":"DataTable","id":"property-bInitialised","meta":{}},{"name":"bJQueryUI","tagname":"property","owner":"DataTable","id":"property-bJQueryUI","meta":{}},{"name":"bJUI","tagname":"property","owner":"DataTable","id":"property-bJUI","meta":{}},{"name":"bLengthChange","tagname":"property","owner":"DataTable","id":"property-bLengthChange","meta":{}},{"name":"bPaginate","tagname":"property","owner":"DataTable","id":"property-bPaginate","meta":{}},{"name":"bProcessing","tagname":"property","owner":"DataTable","id":"property-bProcessing","meta":{}},{"name":"bRegex","tagname":"property","owner":"DataTable","id":"property-bRegex","meta":{}},{"name":"bRetrieve","tagname":"property","owner":"DataTable","id":"property-bRetrieve","meta":{}},{"name":"bScrollAutoCss","tagname":"property","owner":"DataTable","id":"property-bScrollAutoCss","meta":{}},{"name":"bScrollCollapse","tagname":"property","owner":"DataTable","id":"property-bScrollCollapse","meta":{}},{"name":"bScrollInfinite","tagname":"property","owner":"DataTable","id":"property-bScrollInfinite","meta":{}},{"name":"bScrollOversize","tagname":"property","owner":"DataTable","id":"property-bScrollOversize","meta":{}},{"name":"bSearchable","tagname":"property","owner":"DataTable","id":"property-bSearchable","meta":{}},{"name":"bServerSide","tagname":"property","owner":"DataTable","id":"property-bServerSide","meta":{}},{"name":"bSmart","tagname":"property","owner":"DataTable","id":"property-bSmart","meta":{}},{"name":"bSort","tagname":"property","owner":"DataTable","id":"property-bSort","meta":{}},{"name":"bSortCellsTop","tagname":"property","owner":"DataTable","id":"property-bSortCellsTop","meta":{}},{"name":"bSortClasses","tagname":"property","owner":"DataTable","id":"property-bSortClasses","meta":{}},{"name":"bSortable","tagname":"property","owner":"DataTable","id":"property-bSortable","meta":{}},{"name":"bSorted","tagname":"property","owner":"DataTable","id":"property-bSorted","meta":{"deprecated":{"text":"\n"}}},{"name":"bStateSave","tagname":"property","owner":"DataTable","id":"property-bStateSave","meta":{}},{"name":"bUseRendered","tagname":"property","owner":"DataTable","id":"property-bUseRendered","meta":{"deprecated":{"text":"\n"}}},{"name":"bVisible","tagname":"property","owner":"DataTable","id":"property-bVisible","meta":{}},{"name":"columns","tagname":"property","owner":"DataTable","id":"property-columns","meta":{}},{"name":"defaults","tagname":"property","owner":"DataTable","id":"property-defaults","meta":{}},{"name":"ext","tagname":"property","owner":"DataTable","id":"property-ext","meta":{}},{"name":"fnCookieCallback","tagname":"property","owner":"DataTable","id":"property-fnCookieCallback","meta":{}},{"name":"fnCreatedCell","tagname":"property","owner":"DataTable","id":"property-fnCreatedCell","meta":{}},{"name":"fnCreatedRow","tagname":"property","owner":"DataTable","id":"property-fnCreatedRow","meta":{}},{"name":"fnDisplayEnd","tagname":"property","owner":"DataTable","id":"property-fnDisplayEnd","meta":{}},{"name":"fnDrawCallback","tagname":"property","owner":"DataTable","id":"property-fnDrawCallback","meta":{}},{"name":"fnFooterCallback","tagname":"property","owner":"DataTable","id":"property-fnFooterCallback","meta":{}},{"name":"fnFormatNumber","tagname":"property","owner":"DataTable","id":"property-fnFormatNumber","meta":{}},{"name":"fnGetData","tagname":"property","owner":"DataTable","id":"property-fnGetData","meta":{}},{"name":"fnHeaderCallback","tagname":"property","owner":"DataTable","id":"property-fnHeaderCallback","meta":{}},{"name":"fnInfoCallback","tagname":"property","owner":"DataTable","id":"property-fnInfoCallback","meta":{}},{"name":"fnInitComplete","tagname":"property","owner":"DataTable","id":"property-fnInitComplete","meta":{}},{"name":"fnPreDrawCallback","tagname":"property","owner":"DataTable","id":"property-fnPreDrawCallback","meta":{}},{"name":"fnRecordsDisplay","tagname":"property","owner":"DataTable","id":"property-fnRecordsDisplay","meta":{}},{"name":"fnRecordsTotal","tagname":"property","owner":"DataTable","id":"property-fnRecordsTotal","meta":{}},{"name":"fnRender","tagname":"property","owner":"DataTable","id":"property-fnRender","meta":{"deprecated":{"text":"\n"}}},{"name":"fnRowCallback","tagname":"property","owner":"DataTable","id":"property-fnRowCallback","meta":{}},{"name":"fnServerData","tagname":"property","owner":"DataTable","id":"property-fnServerData","meta":{}},{"name":"fnServerParams","tagname":"property","owner":"DataTable","id":"property-fnServerParams","meta":{}},{"name":"fnSetData","tagname":"property","owner":"DataTable","id":"property-fnSetData","meta":{}},{"name":"fnStateLoad","tagname":"property","owner":"DataTable","id":"property-fnStateLoad","meta":{}},{"name":"fnStateLoadParams","tagname":"property","owner":"DataTable","id":"property-fnStateLoadParams","meta":{}},{"name":"fnStateLoaded","tagname":"property","owner":"DataTable","id":"property-fnStateLoaded","meta":{}},{"name":"fnStateSave","tagname":"property","owner":"DataTable","id":"property-fnStateSave","meta":{}},{"name":"fnStateSaveParams","tagname":"property","owner":"DataTable","id":"property-fnStateSaveParams","meta":{}},{"name":"fnVersionCheck","tagname":"property","owner":"DataTable","id":"property-fnVersionCheck","meta":{}},{"name":"iApiIndex","tagname":"property","owner":"DataTable","id":"property-iApiIndex","meta":{}},{"name":"iBarWidth","tagname":"property","owner":"DataTable","id":"property-iBarWidth","meta":{}},{"name":"iCookieDuration","tagname":"property","owner":"DataTable","id":"property-iCookieDuration","meta":{}},{"name":"iDataSort","tagname":"property","owner":"DataTable","id":"property-iDataSort","meta":{}},{"name":"iDeferLoading","tagname":"property","owner":"DataTable","id":"property-iDeferLoading","meta":{}},{"name":"iDisplayLength","tagname":"property","owner":"DataTable","id":"property-iDisplayLength","meta":{}},{"name":"iDisplayStart","tagname":"property","owner":"DataTable","id":"property-iDisplayStart","meta":{}},{"name":"iDraw","tagname":"property","owner":"DataTable","id":"property-iDraw","meta":{}},{"name":"iDrawError","tagname":"property","owner":"DataTable","id":"property-iDrawError","meta":{}},{"name":"iLoadGap","tagname":"property","owner":"DataTable","id":"property-iLoadGap","meta":{}},{"name":"iScrollLoadGap","tagname":"property","owner":"DataTable","id":"property-iScrollLoadGap","meta":{}},{"name":"iTabIndex","tagname":"property","owner":"DataTable","id":"property-iTabIndex","meta":{}},{"name":"jqXHR","tagname":"property","owner":"DataTable","id":"property-jqXHR","meta":{}},{"name":"mData","tagname":"property","owner":"DataTable","id":"property-mData","meta":{}},{"name":"mRender","tagname":"property","owner":"DataTable","id":"property-mRender","meta":{}},{"name":"models","tagname":"property","owner":"DataTable","id":"property-models","meta":{}},{"name":"nScrollFoot","tagname":"property","owner":"DataTable","id":"property-nScrollFoot","meta":{}},{"name":"nScrollHead","tagname":"property","owner":"DataTable","id":"property-nScrollHead","meta":{}},{"name":"nTBody","tagname":"property","owner":"DataTable","id":"property-nTBody","meta":{}},{"name":"nTFoot","tagname":"property","owner":"DataTable","id":"property-nTFoot","meta":{}},{"name":"nTHead","tagname":"property","owner":"DataTable","id":"property-nTHead","meta":{}},{"name":"nTable","tagname":"property","owner":"DataTable","id":"property-nTable","meta":{}},{"name":"nTableWrapper","tagname":"property","owner":"DataTable","id":"property-nTableWrapper","meta":{}},{"name":"nTf","tagname":"property","owner":"DataTable","id":"property-nTf","meta":{}},{"name":"nTh","tagname":"property","owner":"DataTable","id":"property-nTh","meta":{}},{"name":"nTr","tagname":"property","owner":"DataTable","id":"property-nTr","meta":{}},{"name":"oApi","tagname":"property","owner":"DataTable","id":"property-oApi","meta":{}},{"name":"oAria","tagname":"property","owner":"DataTable","id":"property-oAria","meta":{}},{"name":"oBrowser","tagname":"property","owner":"DataTable","id":"property-oBrowser","meta":{}},{"name":"oClasses","tagname":"property","owner":"DataTable","id":"property-oClasses","meta":{}},{"name":"oColumn","tagname":"property","owner":"DataTable","id":"property-oColumn","meta":{}},{"name":"oFeatures","tagname":"property","owner":"DataTable","id":"property-oFeatures","meta":{}},{"name":"oInit","tagname":"property","owner":"DataTable","id":"property-oInit","meta":{}},{"name":"oInstance","tagname":"property","owner":"DataTable","id":"property-oInstance","meta":{}},{"name":"oJUIClasses","tagname":"property","owner":"DataTable","id":"property-oJUIClasses","meta":{}},{"name":"oLanguage","tagname":"property","owner":"DataTable","id":"property-oLanguage","meta":{}},{"name":"oLoadedState","tagname":"property","owner":"DataTable","id":"property-oLoadedState","meta":{}},{"name":"oPaginate","tagname":"property","owner":"DataTable","id":"property-oPaginate","meta":{}},{"name":"oPagination","tagname":"property","owner":"DataTable","id":"property-oPagination","meta":{}},{"name":"oPreviousSearch","tagname":"property","owner":"DataTable","id":"property-oPreviousSearch","meta":{}},{"name":"oRow","tagname":"property","owner":"DataTable","id":"property-oRow","meta":{}},{"name":"oScroll","tagname":"property","owner":"DataTable","id":"property-oScroll","meta":{}},{"name":"oSearch","tagname":"property","owner":"DataTable","id":"property-oSearch","meta":{}},{"name":"oSettings","tagname":"property","owner":"DataTable","id":"property-oSettings","meta":{}},{"name":"oSort","tagname":"property","owner":"DataTable","id":"property-oSort","meta":{}},{"name":"oStdClasses","tagname":"property","owner":"DataTable","id":"property-oStdClasses","meta":{}},{"name":"ofnSearch","tagname":"property","owner":"DataTable","id":"property-ofnSearch","meta":{"deprecated":{"text":"<p>@example\n   $.fn.dataTableExt.ofnSearch['title-numeric'] = function ( sData ) {\n     return sData.replace(/\\n/g,\" \").replace( /&lt;.*?>/g, \"\" );\n   }</p>\n"}}},{"name":"sAjaxDataProp","tagname":"property","owner":"DataTable","id":"property-sAjaxDataProp","meta":{}},{"name":"sAjaxSource","tagname":"property","owner":"DataTable","id":"property-sAjaxSource","meta":{}},{"name":"sCellType","tagname":"property","owner":"DataTable","id":"property-sCellType","meta":{}},{"name":"sClass","tagname":"property","owner":"DataTable","id":"property-sClass","meta":{}},{"name":"sContentPadding","tagname":"property","owner":"DataTable","id":"property-sContentPadding","meta":{}},{"name":"sCookiePrefix","tagname":"property","owner":"DataTable","id":"property-sCookiePrefix","meta":{}},{"name":"sDefaultContent","tagname":"property","owner":"DataTable","id":"property-sDefaultContent","meta":{}},{"name":"sDestroyWidth","tagname":"property","owner":"DataTable","id":"property-sDestroyWidth","meta":{}},{"name":"sDom","tagname":"property","owner":"DataTable","id":"property-sDom","meta":{}},{"name":"sEmptyTable","tagname":"property","owner":"DataTable","id":"property-sEmptyTable","meta":{}},{"name":"sErrMode","tagname":"property","owner":"DataTable","id":"property-sErrMode","meta":{}},{"name":"sFirst","tagname":"property","owner":"DataTable","id":"property-sFirst","meta":{}},{"name":"sInfo","tagname":"property","owner":"DataTable","id":"property-sInfo","meta":{}},{"name":"sInfoEmpty","tagname":"property","owner":"DataTable","id":"property-sInfoEmpty","meta":{}},{"name":"sInfoFiltered","tagname":"property","owner":"DataTable","id":"property-sInfoFiltered","meta":{}},{"name":"sInfoPostFix","tagname":"property","owner":"DataTable","id":"property-sInfoPostFix","meta":{}},{"name":"sInfoThousands","tagname":"property","owner":"DataTable","id":"property-sInfoThousands","meta":{}},{"name":"sInstance","tagname":"property","owner":"DataTable","id":"property-sInstance","meta":{}},{"name":"sLast","tagname":"property","owner":"DataTable","id":"property-sLast","meta":{}},{"name":"sLengthMenu","tagname":"property","owner":"DataTable","id":"property-sLengthMenu","meta":{}},{"name":"sLoadingRecords","tagname":"property","owner":"DataTable","id":"property-sLoadingRecords","meta":{}},{"name":"sName","tagname":"property","owner":"DataTable","id":"property-sName","meta":{}},{"name":"sNext","tagname":"property","owner":"DataTable","id":"property-sNext","meta":{}},{"name":"sPaginationType","tagname":"property","owner":"DataTable","id":"property-sPaginationType","meta":{}},{"name":"sPrevious","tagname":"property","owner":"DataTable","id":"property-sPrevious","meta":{}},{"name":"sProcessing","tagname":"property","owner":"DataTable","id":"property-sProcessing","meta":{}},{"name":"sScrollX","tagname":"property","owner":"DataTable","id":"property-sScrollX","meta":{}},{"name":"sScrollXInner","tagname":"property","owner":"DataTable","id":"property-sScrollXInner","meta":{}},{"name":"sScrollY","tagname":"property","owner":"DataTable","id":"property-sScrollY","meta":{}},{"name":"sSearch","tagname":"property","owner":"DataTable","id":"property-sSearch","meta":{}},{"name":"sServerMethod","tagname":"property","owner":"DataTable","id":"property-sServerMethod","meta":{}},{"name":"sSortAscending","tagname":"property","owner":"DataTable","id":"property-sSortAscending","meta":{}},{"name":"sSortDataType","tagname":"property","owner":"DataTable","id":"property-sSortDataType","meta":{}},{"name":"sSortDescending","tagname":"property","owner":"DataTable","id":"property-sSortDescending","meta":{}},{"name":"sSortingClass","tagname":"property","owner":"DataTable","id":"property-sSortingClass","meta":{}},{"name":"sSortingClassJUI","tagname":"property","owner":"DataTable","id":"property-sSortingClassJUI","meta":{}},{"name":"sTableId","tagname":"property","owner":"DataTable","id":"property-sTableId","meta":{}},{"name":"sTitle","tagname":"property","owner":"DataTable","id":"property-sTitle","meta":{}},{"name":"sType","tagname":"property","owner":"DataTable","id":"property-sType","meta":{}},{"name":"sUrl","tagname":"property","owner":"DataTable","id":"property-sUrl","meta":{}},{"name":"sVersion","tagname":"property","owner":"DataTable","id":"property-sVersion","meta":{}},{"name":"sWidth","tagname":"property","owner":"DataTable","id":"property-sWidth","meta":{}},{"name":"sWidthOrig","tagname":"property","owner":"DataTable","id":"property-sWidthOrig","meta":{}},{"name":"sX","tagname":"property","owner":"DataTable","id":"property-sX","meta":{}},{"name":"sXInner","tagname":"property","owner":"DataTable","id":"property-sXInner","meta":{"deprecated":{"text":"\n"}}},{"name":"sY","tagname":"property","owner":"DataTable","id":"property-sY","meta":{}},{"name":"sZeroRecords","tagname":"property","owner":"DataTable","id":"property-sZeroRecords","meta":{}},{"name":"settings","tagname":"property","owner":"DataTable","id":"property-settings","meta":{"private":true}},{"name":"version","tagname":"property","owner":"DataTable","id":"property-version","meta":{}},{"name":"$","tagname":"method","owner":"DataTable","id":"method-S-","meta":{}},{"name":"_","tagname":"method","owner":"DataTable","id":"method-_","meta":{}},{"name":"_fnAddColumn","tagname":"method","owner":"DataTable","id":"method-_fnAddColumn","meta":{}},{"name":"_fnAddData","tagname":"method","owner":"DataTable","id":"method-_fnAddData","meta":{}},{"name":"_fnAddOptionsHtml","tagname":"method","owner":"DataTable","id":"method-_fnAddOptionsHtml","meta":{}},{"name":"_fnAdjustColumnSizing","tagname":"method","owner":"DataTable","id":"method-_fnAdjustColumnSizing","meta":{}},{"name":"_fnAjaxParameters","tagname":"method","owner":"DataTable","id":"method-_fnAjaxParameters","meta":{}},{"name":"_fnAjaxUpdate","tagname":"method","owner":"DataTable","id":"method-_fnAjaxUpdate","meta":{}},{"name":"_fnAjaxUpdateDraw","tagname":"method","owner":"DataTable","id":"method-_fnAjaxUpdateDraw","meta":{}},{"name":"_fnApplyColumnDefs","tagname":"method","owner":"DataTable","id":"method-_fnApplyColumnDefs","meta":{}},{"name":"_fnApplyToChildren","tagname":"method","owner":"DataTable","id":"method-_fnApplyToChildren","meta":{}},{"name":"_fnBindAction","tagname":"method","owner":"DataTable","id":"method-_fnBindAction","meta":{}},{"name":"_fnBrowserDetect","tagname":"method","owner":"DataTable","id":"method-_fnBrowserDetect","meta":{}},{"name":"_fnBuildHead","tagname":"method","owner":"DataTable","id":"method-_fnBuildHead","meta":{}},{"name":"_fnBuildSearchArray","tagname":"method","owner":"DataTable","id":"method-_fnBuildSearchArray","meta":{}},{"name":"_fnBuildSearchRow","tagname":"method","owner":"DataTable","id":"method-_fnBuildSearchRow","meta":{}},{"name":"_fnCalculateColumnWidths","tagname":"method","owner":"DataTable","id":"method-_fnCalculateColumnWidths","meta":{}},{"name":"_fnCalculateEnd","tagname":"method","owner":"DataTable","id":"method-_fnCalculateEnd","meta":{}},{"name":"_fnCallbackFire","tagname":"method","owner":"DataTable","id":"method-_fnCallbackFire","meta":{}},{"name":"_fnCallbackReg","tagname":"method","owner":"DataTable","id":"method-_fnCallbackReg","meta":{}},{"name":"_fnClearTable","tagname":"method","owner":"DataTable","id":"method-_fnClearTable","meta":{}},{"name":"_fnColumnIndexToVisible","tagname":"method","owner":"DataTable","id":"method-_fnColumnIndexToVisible","meta":{}},{"name":"_fnColumnOptions","tagname":"method","owner":"DataTable","id":"method-_fnColumnOptions","meta":{}},{"name":"_fnColumnOrdering","tagname":"method","owner":"DataTable","id":"method-_fnColumnOrdering","meta":{}},{"name":"_fnConvertToWidth","tagname":"method","owner":"DataTable","id":"method-_fnConvertToWidth","meta":{}},{"name":"_fnCreateCookie","tagname":"method","owner":"DataTable","id":"method-_fnCreateCookie","meta":{}},{"name":"_fnCreateTr","tagname":"method","owner":"DataTable","id":"method-_fnCreateTr","meta":{}},{"name":"_fnDataToSearch","tagname":"method","owner":"DataTable","id":"method-_fnDataToSearch","meta":{}},{"name":"_fnDeleteIndex","tagname":"method","owner":"DataTable","id":"method-_fnDeleteIndex","meta":{}},{"name":"_fnDetectHeader","tagname":"method","owner":"DataTable","id":"method-_fnDetectHeader","meta":{}},{"name":"_fnDetectType","tagname":"method","owner":"DataTable","id":"method-_fnDetectType","meta":{}},{"name":"_fnDraw","tagname":"method","owner":"DataTable","id":"method-_fnDraw","meta":{}},{"name":"_fnDrawHead","tagname":"method","owner":"DataTable","id":"method-_fnDrawHead","meta":{}},{"name":"_fnEscapeRegex","tagname":"method","owner":"DataTable","id":"method-_fnEscapeRegex","meta":{}},{"name":"_fnExtend","tagname":"method","owner":"DataTable","id":"method-_fnExtend","meta":{}},{"name":"_fnExternApiFunc","tagname":"method","owner":"DataTable","id":"method-_fnExternApiFunc","meta":{}},{"name":"_fnFeatureHtmlFilter","tagname":"method","owner":"DataTable","id":"method-_fnFeatureHtmlFilter","meta":{}},{"name":"_fnFeatureHtmlInfo","tagname":"method","owner":"DataTable","id":"method-_fnFeatureHtmlInfo","meta":{}},{"name":"_fnFeatureHtmlLength","tagname":"method","owner":"DataTable","id":"method-_fnFeatureHtmlLength","meta":{}},{"name":"_fnFeatureHtmlPaginate","tagname":"method","owner":"DataTable","id":"method-_fnFeatureHtmlPaginate","meta":{}},{"name":"_fnFeatureHtmlProcessing","tagname":"method","owner":"DataTable","id":"method-_fnFeatureHtmlProcessing","meta":{}},{"name":"_fnFeatureHtmlTable","tagname":"method","owner":"DataTable","id":"method-_fnFeatureHtmlTable","meta":{}},{"name":"_fnFilter","tagname":"method","owner":"DataTable","id":"method-_fnFilter","meta":{}},{"name":"_fnFilterColumn","tagname":"method","owner":"DataTable","id":"method-_fnFilterColumn","meta":{}},{"name":"_fnFilterComplete","tagname":"method","owner":"DataTable","id":"method-_fnFilterComplete","meta":{}},{"name":"_fnFilterCreateSearch","tagname":"method","owner":"DataTable","id":"method-_fnFilterCreateSearch","meta":{}},{"name":"_fnFilterCustom","tagname":"method","owner":"DataTable","id":"method-_fnFilterCustom","meta":{}},{"name":"_fnGatherData","tagname":"method","owner":"DataTable","id":"method-_fnGatherData","meta":{}},{"name":"_fnGetCellData","tagname":"method","owner":"DataTable","id":"method-_fnGetCellData","meta":{}},{"name":"_fnGetColumns","tagname":"method","owner":"DataTable","id":"method-_fnGetColumns","meta":{}},{"name":"_fnGetDataMaster","tagname":"method","owner":"DataTable","id":"method-_fnGetDataMaster","meta":{}},{"name":"_fnGetMaxLenString","tagname":"method","owner":"DataTable","id":"method-_fnGetMaxLenString","meta":{}},{"name":"_fnGetObjectDataFn","tagname":"method","owner":"DataTable","id":"method-_fnGetObjectDataFn","meta":{}},{"name":"_fnGetRowData","tagname":"method","owner":"DataTable","id":"method-_fnGetRowData","meta":{}},{"name":"_fnGetTdNodes","tagname":"method","owner":"DataTable","id":"method-_fnGetTdNodes","meta":{}},{"name":"_fnGetTrNodes","tagname":"method","owner":"DataTable","id":"method-_fnGetTrNodes","meta":{}},{"name":"_fnGetUniqueThs","tagname":"method","owner":"DataTable","id":"method-_fnGetUniqueThs","meta":{}},{"name":"_fnGetWidestNode","tagname":"method","owner":"DataTable","id":"method-_fnGetWidestNode","meta":{}},{"name":"_fnInitComplete","tagname":"method","owner":"DataTable","id":"method-_fnInitComplete","meta":{}},{"name":"_fnInitialise","tagname":"method","owner":"DataTable","id":"method-_fnInitialise","meta":{}},{"name":"_fnJsonString","tagname":"method","owner":"DataTable","id":"method-_fnJsonString","meta":{}},{"name":"_fnLanguageCompat","tagname":"method","owner":"DataTable","id":"method-_fnLanguageCompat","meta":{}},{"name":"_fnLoadState","tagname":"method","owner":"DataTable","id":"method-_fnLoadState","meta":{}},{"name":"_fnLog","tagname":"method","owner":"DataTable","id":"method-_fnLog","meta":{}},{"name":"_fnMap","tagname":"method","owner":"DataTable","id":"method-_fnMap","meta":{}},{"name":"_fnNodeToColumnIndex","tagname":"method","owner":"DataTable","id":"method-_fnNodeToColumnIndex","meta":{}},{"name":"_fnNodeToDataIndex","tagname":"method","owner":"DataTable","id":"method-_fnNodeToDataIndex","meta":{}},{"name":"_fnPageChange","tagname":"method","owner":"DataTable","id":"method-_fnPageChange","meta":{}},{"name":"_fnProcessingDisplay","tagname":"method","owner":"DataTable","id":"method-_fnProcessingDisplay","meta":{}},{"name":"_fnReDraw","tagname":"method","owner":"DataTable","id":"method-_fnReDraw","meta":{}},{"name":"_fnReOrderIndex","tagname":"method","owner":"DataTable","id":"method-_fnReOrderIndex","meta":{}},{"name":"_fnReadCookie","tagname":"method","owner":"DataTable","id":"method-_fnReadCookie","meta":{}},{"name":"_fnRender","tagname":"method","owner":"DataTable","id":"method-_fnRender","meta":{}},{"name":"_fnSaveState","tagname":"method","owner":"DataTable","id":"method-_fnSaveState","meta":{}},{"name":"_fnScrollBarWidth","tagname":"method","owner":"DataTable","id":"method-_fnScrollBarWidth","meta":{}},{"name":"_fnScrollDraw","tagname":"method","owner":"DataTable","id":"method-_fnScrollDraw","meta":{}},{"name":"_fnScrollingWidthAdjust","tagname":"method","owner":"DataTable","id":"method-_fnScrollingWidthAdjust","meta":{}},{"name":"_fnServerParams","tagname":"method","owner":"DataTable","id":"method-_fnServerParams","meta":{}},{"name":"_fnSetCellData","tagname":"method","owner":"DataTable","id":"method-_fnSetCellData","meta":{}},{"name":"_fnSetObjectDataFn","tagname":"method","owner":"DataTable","id":"method-_fnSetObjectDataFn","meta":{}},{"name":"_fnSettingsFromNode","tagname":"method","owner":"DataTable","id":"method-_fnSettingsFromNode","meta":{}},{"name":"_fnSort","tagname":"method","owner":"DataTable","id":"method-_fnSort","meta":{}},{"name":"_fnSortAttachListener","tagname":"method","owner":"DataTable","id":"method-_fnSortAttachListener","meta":{}},{"name":"_fnSortingClasses","tagname":"method","owner":"DataTable","id":"method-_fnSortingClasses","meta":{}},{"name":"_fnStringToCss","tagname":"method","owner":"DataTable","id":"method-_fnStringToCss","meta":{}},{"name":"_fnUpdateInfo","tagname":"method","owner":"DataTable","id":"method-_fnUpdateInfo","meta":{}},{"name":"_fnVisbleColumns","tagname":"method","owner":"DataTable","id":"method-_fnVisbleColumns","meta":{}},{"name":"_fnVisibleToColumnIndex","tagname":"method","owner":"DataTable","id":"method-_fnVisibleToColumnIndex","meta":{}},{"name":"fnAddData","tagname":"method","owner":"DataTable","id":"method-fnAddData","meta":{}},{"name":"fnAdjustColumnSizing","tagname":"method","owner":"DataTable","id":"method-fnAdjustColumnSizing","meta":{}},{"name":"fnClearTable","tagname":"method","owner":"DataTable","id":"method-fnClearTable","meta":{}},{"name":"fnClose","tagname":"method","owner":"DataTable","id":"method-fnClose","meta":{}},{"name":"fnDeleteRow","tagname":"method","owner":"DataTable","id":"method-fnDeleteRow","meta":{}},{"name":"fnDestroy","tagname":"method","owner":"DataTable","id":"method-fnDestroy","meta":{}},{"name":"fnDraw","tagname":"method","owner":"DataTable","id":"method-fnDraw","meta":{}},{"name":"fnFilter","tagname":"method","owner":"DataTable","id":"method-fnFilter","meta":{}},{"name":"fnGetData","tagname":"method","owner":"DataTable","id":"method-fnGetData","meta":{}},{"name":"fnGetNodes","tagname":"method","owner":"DataTable","id":"method-fnGetNodes","meta":{}},{"name":"fnGetPosition","tagname":"method","owner":"DataTable","id":"method-fnGetPosition","meta":{}},{"name":"fnIsOpen","tagname":"method","owner":"DataTable","id":"method-fnIsOpen","meta":{}},{"name":"fnOpen","tagname":"method","owner":"DataTable","id":"method-fnOpen","meta":{}},{"name":"fnPageChange","tagname":"method","owner":"DataTable","id":"method-fnPageChange","meta":{}},{"name":"fnSetColumnVis","tagname":"method","owner":"DataTable","id":"method-fnSetColumnVis","meta":{}},{"name":"fnSettings","tagname":"method","owner":"DataTable","id":"method-fnSettings","meta":{}},{"name":"fnSort","tagname":"method","owner":"DataTable","id":"method-fnSort","meta":{}},{"name":"fnSortListener","tagname":"method","owner":"DataTable","id":"method-fnSortListener","meta":{}},{"name":"fnUpdate","tagname":"method","owner":"DataTable","id":"method-fnUpdate","meta":{}},{"name":"fnVersionCheck","tagname":"method","owner":"DataTable","id":"method-fnVersionCheck","meta":{}},{"name":"fnIsDataTable","tagname":"method","owner":"DataTable","id":"static-method-fnIsDataTable","meta":{"static":true}},{"name":"fnTables","tagname":"method","owner":"DataTable","id":"static-method-fnTables","meta":{"static":true}},{"name":"fnVersionCheck","tagname":"method","owner":"DataTable","id":"static-method-fnVersionCheck","meta":{"static":true}},{"name":"","tagname":"event","owner":"DataTable","id":"event-","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-DataTable","short_doc":"DataTables is a plug-in for the jQuery Javascript library. ...","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Requires</h4><div class='dependency'>1.3</div><div class='dependency'><a href='#!/api/jQuery' rel='jQuery' class='docClass'>jQuery</a></div><h4>Files</h4><div class='dependency'><a href='source/datatables.html#DataTable' target='_blank'>datatables.js</a></div></pre><div class='doc-contents'><p>DataTables is a plug-in for the jQuery Javascript library. It is a\nhighly flexible tool, based upon the foundations of progressive\nenhancement, which will add advanced interaction controls to any\nHTML table. For a full list of features please refer to\n<a href=\"http://datatables.net\">DataTables.net</a>.</p>\n\n<p>Note that the <i>DataTable</i> object is not a global variable but is\naliased to <i>jQuery.fn.DataTable</i> and <i>jQuery.fn.dataTable</i> through which\nit may be  accessed.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oInit</span> : object (optional)<div class='sub-desc'><p>Configuration object for DataTables. Options\n   are defined by DataTable.defaults\n +</p>\n\n<p> @example\n   // Basic initialisation\n   $(document).ready( function {\n     $('#example').dataTable();\n   } );</p>\n\n<p> @example\n   // Initialisation with configuration options - in this case, disable\n   // pagination and sorting.\n   $(document).ready( function {\n     $('#example').dataTable( {\n       \"bPaginate\": false,\n       \"bSort\": false\n     } );\n   } );</p>\n<p>Defaults to: <code>{}</code></p></div></li></ul></div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-property'>Properties</h3><div class='subsection'><div id='property-' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-' class='name expandable'></a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>This parameter has been replaced by mData in DataTables to ensure naming\nconsistency. ...</div><div class='long'><p>This parameter has been replaced by mData in DataTables to ensure naming\nconsistency. mDataProp can still be used, as there is backwards compatibility\nin DataTables for this option, but it is strongly recommended that you use\nmData in preference to mDataProp.\n @name DataTable.defaults.columns.mDataProp</p>\n</div></div></div><div id='property-_aData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-_aData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-_aData' class='name expandable'>_aData</a> : array|object<span class=\"signature\"></span></div><div class='description'><div class='short'>Data object from the original data source for the row. ...</div><div class='long'><p>Data object from the original data source for the row. This is either\nan array if using the traditional form of DataTables, or an object if\nusing mData options. The exact type will depend on the passed in\ndata from the data source, or will be an array if using DOM a data\nsource.\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-_aSortData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-_aSortData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-_aSortData' class='name expandable'>_aSortData</a> : array<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Sorting data cache - this array is ostensibly the same length as the\nnumber of columns (although each index is genera...</div><div class='long'><p>Sorting data cache - this array is ostensibly the same length as the\nnumber of columns (although each index is generated only as it is\nneeded), and holds the data that is used for sorting each column in the\nrow. We do this cache generation at the start of the sort in order that\nthe formatting of the sort data need be done only once for each cell\nper sort. This array should not be read from or written to by anything\nother than the master sorting methods.\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-_anHidden' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-_anHidden' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-_anHidden' class='name expandable'>_anHidden</a> : array<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Array of TD elements that are cached for hidden rows, so they can be\nreinserted into the table if a column is made vi...</div><div class='long'><p>Array of TD elements that are cached for hidden rows, so they can be\nreinserted into the table if a column is made visible again (or to act\nas a store if a column is made hidden). Only hidden columns have a\nreference in the array. For non-hidden columns the value is either\nundefined or null.\n nodes\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-_bAutoType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-_bAutoType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-_bAutoType' class='name expandable'>_bAutoType</a> : boolean<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Flag to indicate to the type detection method if the automatic type\ndetection should be used, or if a column type (sT...</div><div class='long'><p>Flag to indicate to the type detection method if the automatic type\ndetection should be used, or if a column type (sType) has been specified\n @default true</p>\n<p>Defaults to: <code>true</code></p></div></div></div><div id='property-_iDisplayEnd' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-_iDisplayEnd' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-_iDisplayEnd' class='name expandable'>_iDisplayEnd</a> : int<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Paging end point - aiDisplay index. ...</div><div class='long'><p>Paging end point - aiDisplay index. Use fnDisplayEnd rather than\nthis property to get the end point\n @default 10</p>\n<p>Defaults to: <code>10</code></p></div></div></div><div id='property-_iDisplayLength' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-_iDisplayLength' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-_iDisplayLength' class='name expandable'>_iDisplayLength</a> : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Paging display length\n @default 10 ...</div><div class='long'><p>Paging display length\n @default 10</p>\n<p>Defaults to: <code>10</code></p></div></div></div><div id='property-_iDisplayStart' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-_iDisplayStart' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-_iDisplayStart' class='name expandable'>_iDisplayStart</a> : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Paging start point - aiDisplay index\n @default 0 ...</div><div class='long'><p>Paging start point - aiDisplay index\n @default 0</p>\n<p>Defaults to: <code>0</code></p></div></div></div><div id='property-_iRecordsDisplay' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-_iRecordsDisplay' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-_iRecordsDisplay' class='name expandable'>_iRecordsDisplay</a> : boolean<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Server-side processing - number of records in the current display set\n(i.e. ...</div><div class='long'><p>Server-side processing - number of records in the current display set\n(i.e. after filtering). Use fnRecordsDisplay rather than\nthis property to get the value of the number of records, regardless of\nthe server-side processing setting.\n @default 0</p>\n<p>Defaults to: <code>0</code></p></div></div></div><div id='property-_iRecordsTotal' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-_iRecordsTotal' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-_iRecordsTotal' class='name expandable'>_iRecordsTotal</a> : int<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Server-side processing - number of records in the result set\n(i.e. ...</div><div class='long'><p>Server-side processing - number of records in the result set\n(i.e. before filtering), Use fnRecordsTotal rather than\nthis property to get the value of the number of records, regardless of\nthe server-side processing setting.\n @default 0</p>\n<p>Defaults to: <code>0</code></p></div></div></div><div id='property-_oExternConfig' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-_oExternConfig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-_oExternConfig' class='name expandable'>_oExternConfig</a> : Object<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Store information for DataTables to access globally about other instances\n @namespace ...</div><div class='long'><p>Store information for DataTables to access globally about other instances\n @namespace</p>\n<p>Defaults to: <code>{&quot;iNextUnique&quot;: 0}</code></p></div></div></div><div id='property-_sRowStripe' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-_sRowStripe' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-_sRowStripe' class='name expandable'>_sRowStripe</a> : string<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Cache of the class name that DataTables has applied to the row, so we\ncan quickly look at this variable rather than n...</div><div class='long'><p>Cache of the class name that DataTables has applied to the row, so we\ncan quickly look at this variable rather than needing to do a DOM check\non className for the nTr property.\n @default <i>Empty string</i></p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></div></div><div id='property-aDataSort' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aDataSort' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aDataSort' class='name expandable'>aDataSort</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Allows a column's sorting to take multiple columns into account when\ndoing a sort. ...</div><div class='long'><p>Allows a column's sorting to take multiple columns into account when\ndoing a sort. For example first name / last name columns make sense to\ndo a multi-column sort over the two columns.\n @default null <i>Takes the value of the column index automatically</i>\n @dtopt Columns</p>\n\n<p> @example\n   // Using aoColumnDefs\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumnDefs\": [\n         { \"aDataSort\": [ 0, 1 ], \"aTargets\": [ 0 ] },\n         { \"aDataSort\": [ 1, 0 ], \"aTargets\": [ 1 ] },\n         { \"aDataSort\": [ 2, 3, 4 ], \"aTargets\": [ 2 ] }\n       ]\n     } );\n   } );</p>\n\n<p> @example\n   // Using aoColumns\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumns\": [\n         { \"aDataSort\": [ 0, 1 ] },\n         { \"aDataSort\": [ 1, 0 ] },\n         { \"aDataSort\": [ 2, 3, 4 ] },\n         null,\n         null\n       ]\n     } );\n   } );</p>\n</div></div></div><div id='property-aLengthMenu' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aLengthMenu' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aLengthMenu' class='name expandable'>aLengthMenu</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>List of options that can be used for the user selectable length menu. ...</div><div class='long'><p>List of options that can be used for the user selectable length menu.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.\n @default []</p>\n</div></div></div><div id='property-aTypes' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aTypes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aTypes' class='name expandable'>aTypes</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Type detection plug-in functions - DataTables utilises types to define how sorting and\nfiltering behave, and types ca...</div><div class='long'><p>Type detection plug-in functions - DataTables utilises types to define how sorting and\nfiltering behave, and types can be either  be defined by the developer (sType for the\ncolumn) or they can be automatically detected by the methods in this array. The functions\ndefined in the array are quite simple, taking a single parameter (the data to analyse)\nand returning the type if it is a known type, or null otherwise.\n  <ul>\n    <li>\n      Function input parameters:\n      <ul>\n        <li>{*} Data from the column cell to be analysed</li>\n      </ul>\n    </li>\n    <li>\n      Function return:\n      <ul>\n        <li>{string|null} Data type detected, or null if unknown (and thus pass it\n          on to the other type detection functions.</li>\n      </ul>\n    \n  </li></ul>\n @default []</p>\n\n<p> @example\n   // Currency type detection plug-in:\n   jQuery.fn.dataTableExt.aTypes.push(\n     function ( sData ) {\n       var sValidChars = \"0123456789.-\";\n       var Char;</p>\n\n<pre><code>   // Check the numeric part\n   for ( i=1 ; i&lt;sData.length ; i++ ) {\n     Char = sData.charAt(i); \n     if (sValidChars.indexOf(Char) == -1) {\n       return null;\n     }\n   }\n\n   // Check prefixed by currency\n   if ( sData.charAt(0) == '$' || sData.charAt(0) == '&amp;pound;' ) {\n     return 'currency';\n   }\n   return null;\n }\n</code></pre>\n\n<p>   );</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aaData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aaData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aaData' class='name expandable'>aaData</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>An array of data to use for the table, passed in at initialisation which\nwill be used in preference to any data which...</div><div class='long'><p>An array of data to use for the table, passed in at initialisation which\nwill be used in preference to any data which is already in the DOM. This is\nparticularly useful for constructing tables purely in Javascript, for\nexample with a custom Ajax call.\n @default null\n @dtopt Option</p>\n\n<p> @example\n   // Using a 2D array data source\n   $(document).ready( function () {\n     $('#example').dataTable( {\n       \"aaData\": [\n         ['Trident', 'Internet Explorer 4.0', 'Win 95+', 4, 'X'],\n         ['Trident', 'Internet Explorer 5.0', 'Win 95+', 5, 'C'],\n       ],\n       \"aoColumns\": [\n         { \"sTitle\": \"Engine\" },\n         { \"sTitle\": \"Browser\" },\n         { \"sTitle\": \"Platform\" },\n         { \"sTitle\": \"Version\" },\n         { \"sTitle\": \"Grade\" }\n       ]\n     } );\n   } );</p>\n\n<p> @example\n   // Using an array of objects as a data source (mData)\n   $(document).ready( function () {\n     $('#example').dataTable( {\n       \"aaData\": [\n         {\n           \"engine\":   \"Trident\",\n           \"browser\":  \"Internet Explorer 4.0\",\n           \"platform\": \"Win 95+\",\n           \"version\":  4,\n           \"grade\":    \"X\"\n         },\n         {\n           \"engine\":   \"Trident\",\n           \"browser\":  \"Internet Explorer 5.0\",\n           \"platform\": \"Win 95+\",\n           \"version\":  5,\n           \"grade\":    \"C\"\n         }\n       ],\n       \"aoColumns\": [\n         { \"sTitle\": \"Engine\",   \"mData\": \"engine\" },\n         { \"sTitle\": \"Browser\",  \"mData\": \"browser\" },\n         { \"sTitle\": \"Platform\", \"mData\": \"platform\" },\n         { \"sTitle\": \"Version\",  \"mData\": \"version\" },\n         { \"sTitle\": \"Grade\",    \"mData\": \"grade\" }\n       ]\n     } );\n   } );</p>\n</div></div></div><div id='property-aaSorting' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aaSorting' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aaSorting' class='name expandable'>aaSorting</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Sorting that is applied to the table. ...</div><div class='long'><p>Sorting that is applied to the table. Note that the inner arrays are\nused in the following manner:</p>\n\n<ul>\n  <li>Index 0 - column number</li>\n  <li>Index 1 - current sorting direction</li>\n  <li>Index 2 - index of asSorting for this column</li>\n</ul>\n\n\n<p>Note that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.\n @todo These inner arrays should really be objects</p>\n</div></div></div><div id='property-aaSortingFixed' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aaSortingFixed' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aaSortingFixed' class='name expandable'>aaSortingFixed</a> : array|null<span class=\"signature\"></span></div><div class='description'><div class='short'>Sorting that is always applied to the table (i.e. ...</div><div class='long'><p>Sorting that is always applied to the table (i.e. prefixed in front of\naaSorting).\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.\n @default null</p>\n</div></div></div><div id='property-aanFeatures' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aanFeatures' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aanFeatures' class='name expandable'>aanFeatures</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Array referencing the nodes which are used for the features. ...</div><div class='long'><p>Array referencing the nodes which are used for the features. The\nparameters of this object match what is allowed by sDom - i.e.\n  <ul>\n    <li>'l' - Length changing</li>\n    <li>'f' - Filtering input</li>\n    <li>'t' - The table!</li>\n    <li>'i' - Information</li>\n    <li>'p' - Pagination</li>\n    <li>'r' - pRocessing</li>\n  </ul>\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-afnFiltering' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-afnFiltering' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-afnFiltering' class='name expandable'>afnFiltering</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Plug-in filtering functions - this method of filtering is complimentary to the default\ntype based filtering, and a lo...</div><div class='long'><p>Plug-in filtering functions - this method of filtering is complimentary to the default\ntype based filtering, and a lot more comprehensive as it allows you complete control\nover the filtering logic. Each element in this array is a function (parameters\ndescribed below) that is called for every row in the table, and your logic decides if\nit should be included in the filtered data set or not.\n  <ul>\n    <li>\n      Function input parameters:\n      <ul>\n        <li>{object} DataTables settings object: see DataTable.models.oSettings.</li>\n        <li>{array|object} Data for the row to be processed (same as the original format\n          that was passed in as the data source, or an array from a DOM data source</li>\n        <li>{int} Row index in aoData (DataTable.models.oSettings.aoData), which can\n          be useful to retrieve the TR element if you need DOM interaction.</li>\n      </ul>\n    </li>\n    <li>\n      Function return:\n      <ul>\n        <li>{boolean} Include the row in the filtered result set (true) or not (false)</li>\n      </ul>\n    \n  </li></ul>\n @default []</p>\n\n<p> @example\n   // The following example shows custom filtering being applied to the fourth column (i.e.\n   // the aData[3] index) based on two input values from the end-user, matching the data in\n   // a certain range.\n   $.fn.dataTableExt.afnFiltering.push(\n     function( oSettings, aData, iDataIndex ) {\n       var iMin = document.getElementById('min').value * 1;\n       var iMax = document.getElementById('max').value * 1;\n       var iVersion = aData[3] == \"-\" ? 0 : aData[3]*1;\n       if ( iMin == \"\" &amp;&amp; iMax == \"\" ) {\n         return true;\n       }\n       else if ( iMin == \"\" &amp;&amp; iVersion &lt; iMax ) {\n         return true;\n       }\n       else if ( iMin &lt; iVersion &amp;&amp; \"\" == iMax ) {\n         return true;\n       }\n       else if ( iMin &lt; iVersion &amp;&amp; iVersion &lt; iMax ) {\n         return true;\n       }\n       return false;\n     }\n   );</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-afnSortData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-afnSortData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-afnSortData' class='name expandable'>afnSortData</a> : array<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Plug-in sorting functions - this method of sorting is complimentary to the default type\nbased sorting that DataTables...</div><div class='long'><p>Plug-in sorting functions - this method of sorting is complimentary to the default type\nbased sorting that DataTables does automatically, allowing much greater control over the\nthe data that is being used to sort a column. This is useful if you want to do sorting\nbased on live data (for example the contents of an 'input' element) rather than just the\nstatic string that DataTables knows of. The way these plug-ins work is that you create\nan array of the values you wish to be sorted for the column in question and then return\nthat array. Which pre-sorting function is run here depends on the sSortDataType parameter\nthat is used for the column (if any). This is the corollary of <i>ofnSearch</i> for sort\ndata.\n  <ul>\n    <li>\n      Function input parameters:\n      <ul>\n        <li>{object} DataTables settings object: see DataTable.models.oSettings.</li>\n        <li>{int} Target column index</li>\n      </ul>\n    </li>\n    <li>\n      Function return:\n      <ul>\n        <li>{array} Data for the column to be sorted upon</li>\n      </ul>\n    \n  </li></ul></p>\n\n<p>Note that as of v1.9, it is typically preferable to use <i>mData</i> to prepare data for\nthe different uses that DataTables can put the data to. Specifically <i>mData</i> when\nused as a function will give you a 'type' (sorting, filtering etc) that you can use to\nprepare the data as required for the different types. As such, this method is deprecated.\n @default []</p>\n<p>Defaults to: <code>[]</code></p>        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This property has been <strong>deprected</strong> </p>\n        <p>@example\n   // Updating the cached sorting information with user entered values in HTML input elements\n   jQuery.fn.dataTableExt.afnSortData['dom-text'] = function ( oSettings, iColumn )\n   {\n     var aData = [];\n     $( 'td:eq('+iColumn+') input', oSettings.oApi._fnGetTrNodes(oSettings) ).each( function () {\n       aData.push( this.value );\n     } );\n     return aData;\n   }</p>\n\n        </div>\n</div></div></div><div id='property-aiDisplay' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aiDisplay' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aiDisplay' class='name expandable'>aiDisplay</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Array of indexes which are in the current display (after filtering etc)\n @default [] ...</div><div class='long'><p>Array of indexes which are in the current display (after filtering etc)\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aiDisplayMaster' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aiDisplayMaster' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aiDisplayMaster' class='name expandable'>aiDisplayMaster</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Array of indexes for display - no filtering\n @default [] ...</div><div class='long'><p>Array of indexes for display - no filtering\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoColumnDefs' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoColumnDefs' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoColumnDefs' class='name expandable'>aoColumnDefs</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Very similar to aoColumns, aoColumnDefs allows you to target a specific\ncolumn, multiple columns, or all columns, usi...</div><div class='long'><p>Very similar to aoColumns, aoColumnDefs allows you to target a specific\ncolumn, multiple columns, or all columns, using the aTargets property of\neach object in the array. This allows great flexibility when creating\ntables, as the aoColumnDefs arrays can be of any length, targeting the\ncolumns you specifically want. aoColumnDefs may use any of the column\noptions available: DataTable.defaults.columns, but it <em>must</em>\nhave aTargets defined in each object in the array. Values in the aTargets\narray may be:\n  <ul>\n    <li>a string - class name will be matched on the TH for the column</li>\n    <li>0 or a positive integer - column index counting from the left</li>\n    <li>a negative integer - column index counting from the right</li>\n    <li>the string \"_all\" - all columns (i.e. assign a default)</li>\n  </ul></p>\n</div></div></div><div id='property-aoColumns' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoColumns' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoColumns' class='name expandable'>aoColumns</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Store information about each column that is in use\n @default [] ...</div><div class='long'><p>Store information about each column that is in use\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoData' class='name expandable'>aoData</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Store data information - see DataTable.models.oRow for detailed\ninformation. ...</div><div class='long'><p>Store data information - see DataTable.models.oRow for detailed\ninformation.\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoDestroyCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoDestroyCallback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoDestroyCallback' class='name expandable'>aoDestroyCallback</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Destroy callback functions - for plug-ins to attach themselves to the\ndestroy so they can clean up markup and events. ...</div><div class='long'><p>Destroy callback functions - for plug-ins to attach themselves to the\ndestroy so they can clean up markup and events.\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoDrawCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoDrawCallback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoDrawCallback' class='name expandable'>aoDrawCallback</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Array of callback functions for draw callback functions\n @default [] ...</div><div class='long'><p>Array of callback functions for draw callback functions\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoFeatures' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoFeatures' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoFeatures' class='name expandable'>aoFeatures</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Feature plug-ins - This is an array of objects which describe the feature plug-ins that are\navailable to DataTables. ...</div><div class='long'><p>Feature plug-ins - This is an array of objects which describe the feature plug-ins that are\navailable to DataTables. These feature plug-ins are accessible through the sDom initialisation\noption. As such, each feature plug-in must describe a function that is used to initialise\nitself (fnInit), a character so the feature can be enabled by sDom (cFeature) and the name\nof the feature (sFeature). Thus the objects attached to this method must provide:\n  <ul>\n    <li>{function} fnInit Initialisation of the plug-in\n      <ul>\n        <li>\n          Function input parameters:\n          <ul>\n            <li>{object} DataTables settings object: see DataTable.models.oSettings.</li>\n          </ul>\n        </li>\n        <li>\n          Function return:\n          <ul>\n            <li>{node|null} The element which contains your feature. Note that the return\n               may also be void if your plug-in does not require to inject any DOM elements\n               into DataTables control (sDom) - for example this might be useful when\n               developing a plug-in which allows table control via keyboard entry.</li>\n          </ul>\n        \n      </li></ul>\n    </li>\n    <li>{character} cFeature Character that will be matched in sDom - case sensitive</li>\n    <li>{string} sFeature Feature name</li>\n  </ul>\n @default []</p>\n\n<p> @example\n   // How TableTools initialises itself.\n   $.fn.dataTableExt.aoFeatures.push( {\n     \"fnInit\": function( oSettings ) {\n       return new TableTools( { \"oDTSettings\": oSettings } );\n     },\n     \"cFeature\": \"T\",\n     \"sFeature\": \"TableTools\"\n   } );</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoFooter' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoFooter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoFooter' class='name expandable'>aoFooter</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Store information about the table's footer\n @default [] ...</div><div class='long'><p>Store information about the table's footer\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoFooterCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoFooterCallback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoFooterCallback' class='name expandable'>aoFooterCallback</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Callback function for the footer on each draw. ...</div><div class='long'><p>Callback function for the footer on each draw.\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoHeader' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoHeader' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoHeader' class='name expandable'>aoHeader</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Store information about the table's header\n @default [] ...</div><div class='long'><p>Store information about the table's header\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoHeaderCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoHeaderCallback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoHeaderCallback' class='name expandable'>aoHeaderCallback</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Callback functions for the header on each draw. ...</div><div class='long'><p>Callback functions for the header on each draw.\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoInitComplete' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoInitComplete' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoInitComplete' class='name expandable'>aoInitComplete</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Callback functions for when the table has been initialised. ...</div><div class='long'><p>Callback functions for when the table has been initialised.\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoOpenRows' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoOpenRows' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoOpenRows' class='name expandable'>aoOpenRows</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Information about open rows. ...</div><div class='long'><p>Information about open rows. Each object in the array has the parameters\n'nTr' and 'nParent'\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoPreDrawCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoPreDrawCallback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoPreDrawCallback' class='name expandable'>aoPreDrawCallback</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Callback functions for just before the table is redrawn. ...</div><div class='long'><p>Callback functions for just before the table is redrawn. A return of\nfalse will be used to cancel the draw.\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoPreSearchCols' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoPreSearchCols' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoPreSearchCols' class='name expandable'>aoPreSearchCols</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Store the applied search for each column - see\nDataTable.models.oSearch for the format that is used for the\nfiltering...</div><div class='long'><p>Store the applied search for each column - see\nDataTable.models.oSearch for the format that is used for the\nfiltering information for each column.\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoRowCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoRowCallback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoRowCallback' class='name expandable'>aoRowCallback</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Callback functions array for every time a row is inserted (i.e. ...</div><div class='long'><p>Callback functions array for every time a row is inserted (i.e. on a draw).\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoRowCreatedCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoRowCreatedCallback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoRowCreatedCallback' class='name expandable'>aoRowCreatedCallback</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Array of callback functions for row created function\n @default [] ...</div><div class='long'><p>Array of callback functions for row created function\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoSearchCols' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoSearchCols' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoSearchCols' class='name expandable'>aoSearchCols</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Basically the same as oSearch, this parameter defines the individual column\nfiltering state at initialisation time. ...</div><div class='long'><p>Basically the same as oSearch, this parameter defines the individual column\nfiltering state at initialisation time. The array must be of the same size\nas the number of columns, and each element be an object with the parameters\n\"sSearch\" and \"bEscapeRegex\" (the latter is optional). 'null' is also\naccepted and the default will be used.\n @default []\n @dtopt Option</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoSearchCols\": [\n         null,\n         { \"sSearch\": \"My filter\" },\n         null,\n         { \"sSearch\": \"^[0-9]\", \"bEscapeRegex\": false }\n       ]\n     } );\n   } )</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoServerParams' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoServerParams' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoServerParams' class='name expandable'>aoServerParams</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Functions which are called prior to sending an Ajax request so extra\nparameters can easily be sent to the server\n @de...</div><div class='long'><p>Functions which are called prior to sending an Ajax request so extra\nparameters can easily be sent to the server\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoStateLoad' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoStateLoad' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoStateLoad' class='name expandable'>aoStateLoad</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Array of callback functions for state loading. ...</div><div class='long'><p>Array of callback functions for state loading. Each array element is an\nobject with the following parameters:\n  <ul>\n    <li>function:fn - function to call. Takes two parameters, oSettings\n      and the object stored. May return false to cancel state loading</li>\n    <li>string:sName - name of callback</li>\n  </ul>\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoStateLoadParams' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoStateLoadParams' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoStateLoadParams' class='name expandable'>aoStateLoadParams</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Callbacks for modifying the settings that have been stored for state saving\nprior to using the stored values to resto...</div><div class='long'><p>Callbacks for modifying the settings that have been stored for state saving\nprior to using the stored values to restore the state.\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoStateLoaded' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoStateLoaded' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoStateLoaded' class='name expandable'>aoStateLoaded</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Callbacks for operating on the settings object once the saved state has been\nloaded\n @default [] ...</div><div class='long'><p>Callbacks for operating on the settings object once the saved state has been\nloaded\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoStateSave' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoStateSave' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoStateSave' class='name expandable'>aoStateSave</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Array of callback functions for state saving. ...</div><div class='long'><p>Array of callback functions for state saving. Each array element is an\nobject with the following parameters:\n  <ul>\n    <li>function:fn - function to call. Takes two parameters, oSettings\n      and the JSON string to save that has been thus far created. Returns\n      a JSON string to be inserted into a json object\n      (i.e. '\"param\": [ 0, 1, 2]')</li>\n    <li>string:sName - name of callback</li>\n  </ul>\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-aoStateSaveParams' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-aoStateSaveParams' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-aoStateSaveParams' class='name expandable'>aoStateSaveParams</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Callbacks for modifying the settings to be stored for state saving, prior to\nsaving state. ...</div><div class='long'><p>Callbacks for modifying the settings to be stored for state saving, prior to\nsaving state.\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-asDataSearch' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-asDataSearch' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-asDataSearch' class='name expandable'>asDataSearch</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Search data array for regular expression searching\n @default [] ...</div><div class='long'><p>Search data array for regular expression searching\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-asDestroyStripes' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-asDestroyStripes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-asDestroyStripes' class='name expandable'>asDestroyStripes</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>If restoring a table - we should restore its striping classes as well\n @default [] ...</div><div class='long'><p>If restoring a table - we should restore its striping classes as well\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-asSorting' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-asSorting' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-asSorting' class='name expandable'>asSorting</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>You can control the default sorting direction, and even alter the behaviour\nof the sort handler (i.e. ...</div><div class='long'><p>You can control the default sorting direction, and even alter the behaviour\nof the sort handler (i.e. only allow ascending sorting etc) using this\nparameter.\n @default [ 'asc', 'desc' ]\n @dtopt Columns</p>\n\n<p> @example\n   // Using aoColumnDefs\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumnDefs\": [\n         { \"asSorting\": [ \"asc\" ], \"aTargets\": [ 1 ] },\n         { \"asSorting\": [ \"desc\", \"asc\", \"asc\" ], \"aTargets\": [ 2 ] },\n         { \"asSorting\": [ \"desc\" ], \"aTargets\": [ 3 ] }\n       ]\n     } );\n   } );</p>\n\n<p> @example\n   // Using aoColumns\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumns\": [\n         null,\n         { \"asSorting\": [ \"asc\" ] },\n         { \"asSorting\": [ \"desc\", \"asc\", \"asc\" ] },\n         { \"asSorting\": [ \"desc\" ] },\n         null\n       ]\n     } );\n   } );</p>\n<p>Defaults to: <code>[&#39;asc&#39;, &#39;desc&#39;]</code></p></div></div></div><div id='property-asStripeClasses' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-asStripeClasses' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-asStripeClasses' class='name expandable'>asStripeClasses</a> : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Classes to use for the striping of a table. ...</div><div class='long'><p>Classes to use for the striping of a table.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.\n @default []</p>\n</div></div></div><div id='property-bAjaxDataGet' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bAjaxDataGet' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bAjaxDataGet' class='name expandable'>bAjaxDataGet</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Note if draw should be blocked while getting data\n @default true ...</div><div class='long'><p>Note if draw should be blocked while getting data\n @default true</p>\n<p>Defaults to: <code>true</code></p></div></div></div><div id='property-bAutoCss' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bAutoCss' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bAutoCss' class='name expandable'>bAutoCss</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Indicate if DataTables should be allowed to set the padding / margin\netc for the scrolling header elements or not. ...</div><div class='long'><p>Indicate if DataTables should be allowed to set the padding / margin\netc for the scrolling header elements or not. Typically you will want\nthis.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-bAutoWidth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bAutoWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bAutoWidth' class='name expandable'>bAutoWidth</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Flag to say if DataTables should automatically try to calculate the\noptimum table and columns widths (true) or not (f...</div><div class='long'><p>Flag to say if DataTables should automatically try to calculate the\noptimum table and columns widths (true) or not (false).\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-bCaseInsensitive' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bCaseInsensitive' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bCaseInsensitive' class='name expandable'>bCaseInsensitive</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Flag to indicate if the filtering should be case insensitive or not\n @default true ...</div><div class='long'><p>Flag to indicate if the filtering should be case insensitive or not\n @default true</p>\n<p>Defaults to: <code>true</code></p></div></div></div><div id='property-bCollapse' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bCollapse' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bCollapse' class='name expandable'>bCollapse</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>When the table is shorter in height than sScrollY, collapse the\ntable container down to the height of the table (when...</div><div class='long'><p>When the table is shorter in height than sScrollY, collapse the\ntable container down to the height of the table (when true).\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-bDeferLoading' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bDeferLoading' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bDeferLoading' class='name expandable'>bDeferLoading</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Indicate if when using server-side processing the loading of data\nshould be deferred until the second draw. ...</div><div class='long'><p>Indicate if when using server-side processing the loading of data\nshould be deferred until the second draw.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.\n @default false</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='property-bDeferRender' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bDeferRender' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bDeferRender' class='name expandable'>bDeferRender</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Delay the creation of TR and TD elements until they are actually\nneeded by a driven page draw. ...</div><div class='long'><p>Delay the creation of TR and TD elements until they are actually\nneeded by a driven page draw. This can give a significant speed\nincrease for Ajax source and Javascript source data, but makes no\ndifference at all fro DOM and server-side processing tables.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-bDestroy' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bDestroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bDestroy' class='name expandable'>bDestroy</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Replace a DataTable which matches the given selector and replace it with\none which has the properties of the new init...</div><div class='long'><p>Replace a DataTable which matches the given selector and replace it with\none which has the properties of the new initialisation object passed. If no\ntable matches the selector, then the new DataTable will be constructed as\nper normal.\n @default false\n @dtopt Options</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"sScrollY\": \"200px\",\n       \"bPaginate\": false\n     } );</p>\n\n<pre><code> // Some time later....\n $('#example').dataTable( {\n   \"bFilter\": false,\n   \"bDestroy\": true\n } );\n</code></pre>\n\n<p>   } );</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='property-bDrawing' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bDrawing' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bDrawing' class='name expandable'>bDrawing</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Indicate if a redraw is being done - useful for Ajax\n @default false ...</div><div class='long'><p>Indicate if a redraw is being done - useful for Ajax\n @default false</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='property-bFilter' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bFilter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bFilter' class='name expandable'>bFilter</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Enable filtering on the table or not. ...</div><div class='long'><p>Enable filtering on the table or not. Note that if this is disabled\nthen there is no filtering at all on the table, including fnFilter.\nTo just remove the filtering input use sDom and remove the 'f' option.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-bFiltered' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bFiltered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bFiltered' class='name expandable'>bFiltered</a> : boolean<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Flag attached to the settings object so you can check in the draw\ncallback if filtering has been done in the draw. ...</div><div class='long'><p>Flag attached to the settings object so you can check in the draw\ncallback if filtering has been done in the draw. Deprecated in favour of\nevents.\n @default false</p>\n<p>Defaults to: <code>false</code></p>        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This property has been <strong>deprected</strong> </p>\n        \n\n        </div>\n</div></div></div><div id='property-bInfinite' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bInfinite' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bInfinite' class='name expandable'>bInfinite</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Infinite scrolling enablement flag. ...</div><div class='long'><p>Infinite scrolling enablement flag. Now deprecated in favour of\nusing the Scroller plug-in.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-bInfo' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bInfo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bInfo' class='name expandable'>bInfo</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Table information element (the 'Showing x of y records' div) enable\nflag. ...</div><div class='long'><p>Table information element (the 'Showing x of y records' div) enable\nflag.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-bInitialised' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bInitialised' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bInitialised' class='name expandable'>bInitialised</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Indicate if all required information has been read in\n @default false ...</div><div class='long'><p>Indicate if all required information has been read in\n @default false</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='property-bJQueryUI' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bJQueryUI' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bJQueryUI' class='name expandable'>bJQueryUI</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Enable jQuery UI ThemeRoller support (required as ThemeRoller requires some\nslightly different and additional mark-up...</div><div class='long'><p>Enable jQuery UI ThemeRoller support (required as ThemeRoller requires some\nslightly different and additional mark-up from what DataTables has\ntraditionally used).\n @default false\n @dtopt Features</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"bJQueryUI\": true\n     } );\n   } );</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='property-bJUI' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bJUI' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bJUI' class='name expandable'>bJUI</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Flag to indicate if jQuery UI marking and classes should be used. ...</div><div class='long'><p>Flag to indicate if jQuery UI marking and classes should be used.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-bLengthChange' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bLengthChange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bLengthChange' class='name expandable'>bLengthChange</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Present a user control allowing the end user to change the page size\nwhen pagination is enabled. ...</div><div class='long'><p>Present a user control allowing the end user to change the page size\nwhen pagination is enabled.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-bPaginate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bPaginate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bPaginate' class='name expandable'>bPaginate</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Pagination enabled or not. ...</div><div class='long'><p>Pagination enabled or not. Note that if this is disabled then length\nchanging must also be disabled.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-bProcessing' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bProcessing' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bProcessing' class='name expandable'>bProcessing</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Processing indicator enable flag whenever DataTables is enacting a\nuser request - typically an Ajax request for serve...</div><div class='long'><p>Processing indicator enable flag whenever DataTables is enacting a\nuser request - typically an Ajax request for server-side processing.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-bRegex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bRegex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bRegex' class='name expandable'>bRegex</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Flag to indicate if the search term should be interpreted as a\nregular expression (true) or not (false) and therefore...</div><div class='long'><p>Flag to indicate if the search term should be interpreted as a\nregular expression (true) or not (false) and therefore and special\nregex characters escaped.\n @default false</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='property-bRetrieve' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bRetrieve' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bRetrieve' class='name expandable'>bRetrieve</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Retrieve the DataTables object for the given selector. ...</div><div class='long'><p>Retrieve the DataTables object for the given selector. Note that if the\ntable has already been initialised, this parameter will cause DataTables\nto simply return the object that has already been set up - it will not take\naccount of any changes you might have made to the initialisation object\npassed to DataTables (setting this parameter to true is an acknowledgement\nthat you understand this). bDestroy can be used to reinitialise a table if\nyou need.\n @default false\n @dtopt Options</p>\n\n<p> @example\n   $(document).ready( function() {\n     initTable();\n     tableActions();\n   } );</p>\n\n<p>   function initTable ()\n   {\n     return $('#example').dataTable( {\n       \"sScrollY\": \"200px\",\n       \"bPaginate\": false,\n       \"bRetrieve\": true\n     } );\n   }</p>\n\n<p>   function tableActions ()\n   {\n     var oTable = initTable();\n     // perform API operations with oTable\n   }</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='property-bScrollAutoCss' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bScrollAutoCss' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bScrollAutoCss' class='name expandable'>bScrollAutoCss</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Indicate if DataTables should be allowed to set the padding / margin\netc for the scrolling header elements or not. ...</div><div class='long'><p>Indicate if DataTables should be allowed to set the padding / margin\netc for the scrolling header elements or not. Typically you will want\nthis.\n @default true\n @dtopt Options</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"bScrollAutoCss\": false,\n       \"sScrollY\": \"200px\"\n     } );\n   } );</p>\n<p>Defaults to: <code>true</code></p></div></div></div><div id='property-bScrollCollapse' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bScrollCollapse' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bScrollCollapse' class='name expandable'>bScrollCollapse</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>When vertical (y) scrolling is enabled, DataTables will force the height of\nthe table's viewport to the given height ...</div><div class='long'><p>When vertical (y) scrolling is enabled, DataTables will force the height of\nthe table's viewport to the given height at all times (useful for layout).\nHowever, this can look odd when filtering data down to a small data set,\nand the footer is left \"floating\" further down. This parameter (when\nenabled) will cause DataTables to collapse the table's viewport down when\nthe result set will fit within the given Y height.\n @default false\n @dtopt Options</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"sScrollY\": \"200\",\n       \"bScrollCollapse\": true\n     } );\n   } );</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='property-bScrollInfinite' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bScrollInfinite' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bScrollInfinite' class='name expandable'>bScrollInfinite</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Enable infinite scrolling for DataTables (to be used in combination with\nsScrollY). ...</div><div class='long'><p>Enable infinite scrolling for DataTables (to be used in combination with\nsScrollY). Infinite scrolling means that DataTables will continually load\ndata as a user scrolls through a table, which is very useful for large\ndataset. This cannot be used with pagination, which is automatically\ndisabled. Note - the Scroller extra for DataTables is recommended in\nin preference to this option.\n @default false\n @dtopt Features</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"bScrollInfinite\": true,\n       \"bScrollCollapse\": true,\n       \"sScrollY\": \"200px\"\n     } );\n   } );</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='property-bScrollOversize' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bScrollOversize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bScrollOversize' class='name expandable'>bScrollOversize</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Indicate if the browser incorrectly calculates width:100% inside a\nscrolling element (IE6/7)\n @default false ...</div><div class='long'><p>Indicate if the browser incorrectly calculates width:100% inside a\nscrolling element (IE6/7)\n @default false</p>\n<p>Defaults to: <code>false</code></p></div></div></div><div id='property-bSearchable' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bSearchable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bSearchable' class='name expandable'>bSearchable</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Enable or disable filtering on the data in this column. ...</div><div class='long'><p>Enable or disable filtering on the data in this column.\n @default true\n @dtopt Columns</p>\n\n<p> @example\n   // Using aoColumnDefs\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumnDefs\": [\n         { \"bSearchable\": false, \"aTargets\": [ 0 ] }\n       ] } );\n   } );</p>\n\n<p> @example\n   // Using aoColumns\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumns\": [\n         { \"bSearchable\": false },\n         null,\n         null,\n         null,\n         null\n       ] } );\n   } );</p>\n<p>Defaults to: <code>true</code></p></div></div></div><div id='property-bServerSide' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bServerSide' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bServerSide' class='name expandable'>bServerSide</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Server-side processing enabled flag - when enabled DataTables will\nget all data from the server for every draw - ther...</div><div class='long'><p>Server-side processing enabled flag - when enabled DataTables will\nget all data from the server for every draw - there is no filtering,\nsorting or paging done on the client-side.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-bSmart' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bSmart' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bSmart' class='name expandable'>bSmart</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Flag to indicate if DataTables is to use its smart filtering or not. ...</div><div class='long'><p>Flag to indicate if DataTables is to use its smart filtering or not.\n @default true</p>\n<p>Defaults to: <code>true</code></p></div></div></div><div id='property-bSort' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bSort' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bSort' class='name expandable'>bSort</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Sorting enablement flag. ...</div><div class='long'><p>Sorting enablement flag.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-bSortCellsTop' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bSortCellsTop' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bSortCellsTop' class='name expandable'>bSortCellsTop</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Indicate that if multiple rows are in the header and there is more than\none unique cell per column, if the top one (t...</div><div class='long'><p>Indicate that if multiple rows are in the header and there is more than\none unique cell per column, if the top one (true) or bottom one (false)\nshould be used for sorting / title by DataTables.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-bSortClasses' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bSortClasses' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bSortClasses' class='name expandable'>bSortClasses</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Apply a class to the columns which are being sorted to provide a\nvisual highlight or not. ...</div><div class='long'><p>Apply a class to the columns which are being sorted to provide a\nvisual highlight or not. This can slow things down when enabled since\nthere is a lot of DOM interaction.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-bSortable' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bSortable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bSortable' class='name expandable'>bSortable</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Enable or disable sorting on this column. ...</div><div class='long'><p>Enable or disable sorting on this column.\n @default true\n @dtopt Columns</p>\n\n<p> @example\n   // Using aoColumnDefs\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumnDefs\": [\n         { \"bSortable\": false, \"aTargets\": [ 0 ] }\n       ] } );\n   } );</p>\n\n<p> @example\n   // Using aoColumns\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumns\": [\n         { \"bSortable\": false },\n         null,\n         null,\n         null,\n         null\n       ] } );\n   } );</p>\n<p>Defaults to: <code>true</code></p></div></div></div><div id='property-bSorted' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bSorted' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bSorted' class='name expandable'>bSorted</a> : boolean<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Flag attached to the settings object so you can check in the draw\ncallback if sorting has been done in the draw. ...</div><div class='long'><p>Flag attached to the settings object so you can check in the draw\ncallback if sorting has been done in the draw. Deprecated in favour of\nevents.\n @default false</p>\n<p>Defaults to: <code>false</code></p>        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This property has been <strong>deprected</strong> </p>\n        \n\n        </div>\n</div></div></div><div id='property-bStateSave' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bStateSave' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bStateSave' class='name expandable'>bStateSave</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>State saving enablement flag. ...</div><div class='long'><p>State saving enablement flag.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-bUseRendered' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bUseRendered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bUseRendered' class='name expandable'>bUseRendered</a> : boolean<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Deprecated When using fnRender() for a column, you may wish\nto use the original data (before rendering) for sorting a...</div><div class='long'><p><code>Deprecated</code> When using fnRender() for a column, you may wish\nto use the original data (before rendering) for sorting and filtering\n(the default is to used the rendered data that the user can see). This\nmay be useful for dates etc.</p>\n\n<p>Please note that this option has now been deprecated and will be removed\nin the next version of DataTables. Please use mRender / mData rather than\nfnRender.\n @default true\n @dtopt Columns</p>\n<p>Defaults to: <code>true</code></p>        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This property has been <strong>deprected</strong> </p>\n        \n\n        </div>\n</div></div></div><div id='property-bVisible' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-bVisible' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-bVisible' class='name expandable'>bVisible</a> : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Enable or disable the display of this column. ...</div><div class='long'><p>Enable or disable the display of this column.\n @default true\n @dtopt Columns</p>\n\n<p> @example\n   // Using aoColumnDefs\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumnDefs\": [\n         { \"bVisible\": false, \"aTargets\": [ 0 ] }\n       ] } );\n   } );</p>\n\n<p> @example\n   // Using aoColumns\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumns\": [\n         { \"bVisible\": false },\n         null,\n         null,\n         null,\n         null\n       ] } );\n   } );</p>\n<p>Defaults to: <code>true</code></p></div></div></div><div id='property-columns' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-columns' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-columns' class='name expandable'>columns</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Column options that can be given to DataTables at initialisation time. ...</div><div class='long'><p>Column options that can be given to DataTables at initialisation time.\n @namespace</p>\n</div></div></div><div id='property-defaults' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-defaults' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-defaults' class='name expandable'>defaults</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Initialisation options that can be given to DataTables at initialisation\ntime. ...</div><div class='long'><p>Initialisation options that can be given to DataTables at initialisation\ntime.\n @namespace</p>\n</div></div></div><div id='property-ext' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-ext' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-ext' class='name expandable'>ext</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Extension object for DataTables that is used to provide all extension options. ...</div><div class='long'><p>Extension object for DataTables that is used to provide all extension options.</p>\n\n<p>Note that the <i><a href=\"#!/api/DataTable-property-ext\" rel=\"DataTable-property-ext\" class=\"docClass\">DataTable.ext</a></i> object is available through\n<i>jQuery.fn.dataTable.ext</i> where it may be accessed and manipulated. It is\nalso aliased to <i>jQuery.fn.dataTableExt</i> for historic reasons.\n @namespace</p>\n</div></div></div><div id='property-fnCookieCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnCookieCallback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnCookieCallback' class='name expandable'>fnCookieCallback</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Callback function for cookie creation. ...</div><div class='long'><p>Callback function for cookie creation.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.\n @default null</p>\n</div></div></div><div id='property-fnCreatedCell' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnCreatedCell' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnCreatedCell' class='name expandable'>fnCreatedCell</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Developer definable function that is called whenever a cell is created (Ajax source,\netc) or processed for input (DOM...</div><div class='long'><p>Developer definable function that is called whenever a cell is created (Ajax source,\netc) or processed for input (DOM source). This can be used as a compliment to mRender\nallowing you to modify the DOM element (add background colour for example) when the\nelement is available.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>nTd</span> : element<div class='sub-desc'><p>The TD node that has been created</p>\n</div></li><li><span class='pre'>sData</span> : *<div class='sub-desc'><p>The Data for the cell</p>\n</div></li><li><span class='pre'>oData</span> : array|object<div class='sub-desc'><p>The data for the whole row</p>\n</div></li><li><span class='pre'>iRow</span> : int<div class='sub-desc'><p>The row index for the aoData data store</p>\n</div></li><li><span class='pre'>iCol</span> : int<div class='sub-desc'><p>The column index for aoColumns\n @dtopt Columns</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumnDefs\": [ {\n         \"aTargets\": [3],\n         \"fnCreatedCell\": function (nTd, sData, oData, iRow, iCol) {\n           if ( sData == \"1.7\" ) {\n             $(nTd).css('color', 'blue')\n           }\n         }\n       } ]\n     });\n   } );</p>\n</div></li></ul></div></div></div><div id='property-fnCreatedRow' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnCreatedRow' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnCreatedRow' class='name expandable'>fnCreatedRow</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>This function is called when a TR element is created (and all TD child\nelements have been inserted), or registered if...</div><div class='long'><p>This function is called when a TR element is created (and all TD child\nelements have been inserted), or registered if using a DOM source, allowing\nmanipulation of the TR element (adding classes etc).</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>nRow</span> : node<div class='sub-desc'><p>\"TR\" element for the current row</p>\n</div></li><li><span class='pre'>aData</span> : array<div class='sub-desc'><p>Raw data array for this row</p>\n</div></li><li><span class='pre'>iDataIndex</span> : int<div class='sub-desc'><p>The index of this row in aoData\n @dtopt Callbacks</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"fnCreatedRow\": function( nRow, aData, iDataIndex ) {\n         // Bold the grade for all 'A' grade browsers\n         if ( aData[4] == \"A\" )\n         {\n           $('td:eq(4)', nRow).html( '<b>A</b>' );\n         }\n       }\n     } );\n   } );</p>\n</div></li></ul></div></div></div><div id='property-fnDisplayEnd' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnDisplayEnd' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnDisplayEnd' class='name expandable'>fnDisplayEnd</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Set the display end point - aiDisplay index\n @todo Should do away with _iDisplayEnd and calculate it on-the-fly here</p>\n</div><div class='long'><p>Set the display end point - aiDisplay index\n @todo Should do away with _iDisplayEnd and calculate it on-the-fly here</p>\n</div></div></div><div id='property-fnDrawCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnDrawCallback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnDrawCallback' class='name expandable'>fnDrawCallback</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>This function is called on every 'draw' event, and allows you to\ndynamically modify any aspect you want about the cre...</div><div class='long'><p>This function is called on every 'draw' event, and allows you to\ndynamically modify any aspect you want about the created DOM.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>DataTables settings object\n @dtopt Callbacks</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"fnDrawCallback\": function( oSettings ) {\n         alert( 'DataTables has redrawn the table' );\n       }\n     } );\n   } );</p>\n</div></li></ul></div></div></div><div id='property-fnFooterCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnFooterCallback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnFooterCallback' class='name expandable'>fnFooterCallback</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Identical to fnHeaderCallback() but for the table footer this function\nallows you to modify the table footer on every...</div><div class='long'><p>Identical to fnHeaderCallback() but for the table footer this function\nallows you to modify the table footer on every 'draw' even.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>nFoot</span> : node<div class='sub-desc'><p>\"TR\" element for the footer</p>\n</div></li><li><span class='pre'>aData</span> : array<div class='sub-desc'><p>Full table data (as derived from the original HTML)</p>\n</div></li><li><span class='pre'>iStart</span> : int<div class='sub-desc'><p>Index for the current display starting point in the\n   display array</p>\n</div></li><li><span class='pre'>iEnd</span> : int<div class='sub-desc'><p>Index for the current display ending point in the\n   display array</p>\n</div></li><li><span class='pre'>aiDisplay</span> : array int<div class='sub-desc'><p>Index array to translate the visual position\n   to the full data array\n @dtopt Callbacks</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"fnFooterCallback\": function( nFoot, aData, iStart, iEnd, aiDisplay ) {\n         nFoot.getElementsByTagName('th')[0].innerHTML = \"Starting index is \"+iStart;\n       }\n     } );\n   } )</p>\n</div></li></ul></div></div></div><div id='property-fnFormatNumber' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnFormatNumber' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnFormatNumber' class='name expandable'>fnFormatNumber</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Format numbers for display. ...</div><div class='long'><p>Format numbers for display.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-fnGetData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnGetData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnGetData' class='name expandable'>fnGetData</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Function to get data from a cell in a column. ...</div><div class='long'><p>Function to get data from a cell in a column. You should <b>never</b>\naccess data directly through _aData internally in DataTables - always use\nthe method attached to this property. It allows mData to function as\nrequired. This function is automatically assigned by the column\ninitialisation method</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oData</span> : array|object<div class='sub-desc'><p>The data array/object for the array\n   (i.e. aoData[]._aData)</p>\n</div></li><li><span class='pre'>sSpecific</span> : string<div class='sub-desc'><p>The specific data type you want to get -\n   'display', 'type' 'filter' 'sort'</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>*</span><div class='sub-desc'><p>The data for the cell from the given row's data\n @default null</p>\n</div></li></ul></div></div></div><div id='property-fnHeaderCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnHeaderCallback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnHeaderCallback' class='name expandable'>fnHeaderCallback</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>This function is called on every 'draw' event, and allows you to\ndynamically modify the header row. ...</div><div class='long'><p>This function is called on every 'draw' event, and allows you to\ndynamically modify the header row. This can be used to calculate and\ndisplay useful information about the table.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>nHead</span> : node<div class='sub-desc'><p>\"TR\" element for the header</p>\n</div></li><li><span class='pre'>aData</span> : array<div class='sub-desc'><p>Full table data (as derived from the original HTML)</p>\n</div></li><li><span class='pre'>iStart</span> : int<div class='sub-desc'><p>Index for the current display starting point in the\n   display array</p>\n</div></li><li><span class='pre'>iEnd</span> : int<div class='sub-desc'><p>Index for the current display ending point in the\n   display array</p>\n</div></li><li><span class='pre'>aiDisplay</span> : array int<div class='sub-desc'><p>Index array to translate the visual position\n   to the full data array\n @dtopt Callbacks</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"fnHeaderCallback\": function( nHead, aData, iStart, iEnd, aiDisplay ) {\n         nHead.getElementsByTagName('th')[0].innerHTML = \"Displaying \"+(iEnd-iStart)+\" records\";\n       }\n     } );\n   } )</p>\n</div></li></ul></div></div></div><div id='property-fnInfoCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnInfoCallback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnInfoCallback' class='name expandable'>fnInfoCallback</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Information callback function. ...</div><div class='long'><p>Information callback function. See\nDataTable.defaults.fnInfoCallback\n @default null</p>\n</div></div></div><div id='property-fnInitComplete' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnInitComplete' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnInitComplete' class='name expandable'>fnInitComplete</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Called when the table has been initialised. ...</div><div class='long'><p>Called when the table has been initialised. Normally DataTables will\ninitialise sequentially and there will be no need for this function,\nhowever, this does not hold true when using external language information\nsince that is obtained using an async XHR call.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>DataTables settings object</p>\n</div></li><li><span class='pre'>json</span> : object<div class='sub-desc'><p>The JSON object request from the server - only\n   present if client-side Ajax sourced data is used\n @dtopt Callbacks</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"fnInitComplete\": function(oSettings, json) {\n         alert( 'DataTables has finished its initialisation.' );\n       }\n     } );\n   } )</p>\n</div></li></ul></div></div></div><div id='property-fnPreDrawCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnPreDrawCallback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnPreDrawCallback' class='name expandable'>fnPreDrawCallback</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Called at the very start of each table draw and can be used to cancel the\ndraw by returning false, any other return (...</div><div class='long'><p>Called at the very start of each table draw and can be used to cancel the\ndraw by returning false, any other return (including undefined) results in\nthe full draw occurring).</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>DataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>boolean</span><div class='sub-desc'><p>False will cancel the draw, anything else (including no\n   return) will allow it to complete.\n @dtopt Callbacks</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"fnPreDrawCallback\": function( oSettings ) {\n         if ( $('#test').val() == 1 ) {\n           return false;\n         }\n       }\n     } );\n   } );</p>\n</div></li></ul></div></div></div><div id='property-fnRecordsDisplay' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnRecordsDisplay' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnRecordsDisplay' class='name expandable'>fnRecordsDisplay</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Get the number of records in the current record set, after filtering</p>\n</div><div class='long'><p>Get the number of records in the current record set, after filtering</p>\n</div></div></div><div id='property-fnRecordsTotal' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnRecordsTotal' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnRecordsTotal' class='name expandable'>fnRecordsTotal</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Get the number of records in the current record set, before filtering</p>\n</div><div class='long'><p>Get the number of records in the current record set, before filtering</p>\n</div></div></div><div id='property-fnRender' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnRender' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnRender' class='name expandable'>fnRender</a> : function<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Deprecated Custom display function that will be called for the\ndisplay of each cell in this column. ...</div><div class='long'><p><code>Deprecated</code> Custom display function that will be called for the\ndisplay of each cell in this column.</p>\n\n<p>Please note that this option has now been deprecated and will be removed\nin the next version of DataTables. Please use mRender / mData rather than\nfnRender.</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This property has been <strong>deprected</strong> </p>\n        \n\n        </div>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>o</span> : object<div class='sub-desc'><p>Object with the following parameters:</p>\n<ul><li><span class='pre'>iDataRow</span> : int<div class='sub-desc'><p>The row in aoData</p>\n</div></li><li><span class='pre'>iDataColumn</span> : int<div class='sub-desc'><p>The column in question</p>\n</div></li><li><span class='pre'>aData</span> : array<div class='sub-desc'><p>The data for the row in question</p>\n</div></li><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>The settings object for this DataTables instance</p>\n</div></li><li><span class='pre'>mDataProp</span> : object<div class='sub-desc'><p>The data property used for this column</p>\n</div></li></ul></div></li><li><span class='pre'>val</span> : *<div class='sub-desc'><p>The current cell value</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>string</span><div class='sub-desc'><p>The string you which to use in the display\n @dtopt Columns</p>\n</div></li></ul></div></div></div><div id='property-fnRowCallback' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnRowCallback' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnRowCallback' class='name expandable'>fnRowCallback</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>This function allows you to 'post process' each row after it have been\ngenerated for each table draw, but before it i...</div><div class='long'><p>This function allows you to 'post process' each row after it have been\ngenerated for each table draw, but before it is rendered on screen. This\nfunction might be used for setting the row class name etc.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>nRow</span> : node<div class='sub-desc'><p>\"TR\" element for the current row</p>\n</div></li><li><span class='pre'>aData</span> : array<div class='sub-desc'><p>Raw data array for this row</p>\n</div></li><li><span class='pre'>iDisplayIndex</span> : int<div class='sub-desc'><p>The display index for the current table draw</p>\n</div></li><li><span class='pre'>iDisplayIndexFull</span> : int<div class='sub-desc'><p>The index of the data in the full list of\n   rows (after filtering)\n @dtopt Callbacks</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"fnRowCallback\": function( nRow, aData, iDisplayIndex, iDisplayIndexFull ) {\n         // Bold the grade for all 'A' grade browsers\n         if ( aData[4] == \"A\" )\n         {\n           $('td:eq(4)', nRow).html( '<b>A</b>' );\n         }\n       }\n     } );\n   } );</p>\n</div></li></ul></div></div></div><div id='property-fnServerData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnServerData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnServerData' class='name expandable'>fnServerData</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Function to get the server-side data. ...</div><div class='long'><p>Function to get the server-side data.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-fnServerParams' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnServerParams' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnServerParams' class='name expandable'>fnServerParams</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>It is often useful to send extra data to the server when making an Ajax\nrequest - for example custom filtering inform...</div><div class='long'><p>It is often useful to send extra data to the server when making an Ajax\nrequest - for example custom filtering information, and this callback\nfunction makes it trivial to send extra information to the server. The\npassed in parameter is the data set that has been constructed by\nDataTables, and you can add to this or modify it as you require.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>aoData</span> : array<div class='sub-desc'><p>Data array (array of objects which are name/value\n   pairs) that has been constructed by DataTables and will be sent to the\n   server. In the case of Ajax sourced data with server-side processing\n   this will be an empty array, for server-side processing there will be a\n   significant number of parameters!</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>undefined</span><div class='sub-desc'><p>Ensure that you modify the aoData array passed in,\n   as this is passed by reference.\n @dtopt Callbacks\n @dtopt Server-side</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"bProcessing\": true,\n       \"bServerSide\": true,\n       \"sAjaxSource\": \"scripts/server_processing.php\",\n       \"fnServerParams\": function ( aoData ) {\n         aoData.push( { \"name\": \"more_data\", \"value\": \"my_value\" } );\n       }\n     } );\n   } );</p>\n</div></li></ul></div></div></div><div id='property-fnSetData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnSetData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnSetData' class='name expandable'>fnSetData</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Function to set data for a cell in the column. ...</div><div class='long'><p>Function to set data for a cell in the column. You should <b>never</b>\nset the data directly to _aData internally in DataTables - always use\nthis method. It allows mData to function as required. This function\nis automatically assigned by the column initialisation method</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oData</span> : array|object<div class='sub-desc'><p>The data array/object for the array\n   (i.e. aoData[]._aData)</p>\n</div></li><li><span class='pre'>sValue</span> : *<div class='sub-desc'><p>Value to set\n @default null</p>\n</div></li></ul></div></div></div><div id='property-fnStateLoad' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnStateLoad' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnStateLoad' class='name expandable'>fnStateLoad</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Load the table state. ...</div><div class='long'><p>Load the table state. With this function you can define from where, and how, the\nstate of a table is loaded. By default DataTables will load from its state saving\ncookie, but you might wish to use local storage (HTML5) or a server-side database.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>DataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>object</span><div class='sub-desc'><p>The DataTables state object to be loaded\n @dtopt Callbacks</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"bStateSave\": true,\n       \"fnStateLoad\": function (oSettings) {\n         var o;</p>\n\n<pre><code>     // Send an Ajax request to the server to get the data. Note that\n     // this is a synchronous request.\n     $.ajax( {\n       \"url\": \"/state_load\",\n       \"async\": false,\n       \"dataType\": \"json\",\n       \"success\": function (json) {\n         o = json;\n       }\n     } );\n\n     return o;\n   }\n } );\n</code></pre>\n\n<p>   } );</p>\n</div></li></ul></div></div></div><div id='property-fnStateLoadParams' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnStateLoadParams' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnStateLoadParams' class='name expandable'>fnStateLoadParams</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Callback which allows modification of the saved state prior to loading that state. ...</div><div class='long'><p>Callback which allows modification of the saved state prior to loading that state.\nThis callback is called when the table is loading state from the stored data, but\nprior to the settings object being modified by the saved state. Note that for\nplug-in authors, you should use the 'stateLoadParams' event to load parameters for\na plug-in.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>DataTables settings object</p>\n</div></li><li><span class='pre'>oData</span> : object<div class='sub-desc'><p>The state object that is to be loaded\n @dtopt Callbacks</p>\n\n<p> @example\n   // Remove a saved filter, so filtering is never loaded\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"bStateSave\": true,\n       \"fnStateLoadParams\": function (oSettings, oData) {\n         oData.oSearch.sSearch = \"\";\n       }\n     } );\n   } );</p>\n\n<p> @example\n   // Disallow state loading by returning false\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"bStateSave\": true,\n       \"fnStateLoadParams\": function (oSettings, oData) {\n         return false;\n       }\n     } );\n   } );</p>\n</div></li></ul></div></div></div><div id='property-fnStateLoaded' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnStateLoaded' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnStateLoaded' class='name expandable'>fnStateLoaded</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Callback that is called when the state has been loaded from the state saving method\nand the DataTables settings objec...</div><div class='long'><p>Callback that is called when the state has been loaded from the state saving method\nand the DataTables settings object has been modified as a result of the loaded state.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>DataTables settings object</p>\n</div></li><li><span class='pre'>oData</span> : object<div class='sub-desc'><p>The state object that was loaded\n @dtopt Callbacks</p>\n\n<p> @example\n   // Show an alert with the filtering value that was saved\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"bStateSave\": true,\n       \"fnStateLoaded\": function (oSettings, oData) {\n         alert( 'Saved filter was: '+oData.oSearch.sSearch );\n       }\n     } );\n   } );</p>\n</div></li></ul></div></div></div><div id='property-fnStateSave' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnStateSave' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnStateSave' class='name expandable'>fnStateSave</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Save the table state. ...</div><div class='long'><p>Save the table state. This function allows you to define where and how the state\ninformation for the table is stored - by default it will use a cookie, but you\nmight want to use local storage (HTML5) or a server-side database.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>DataTables settings object</p>\n</div></li><li><span class='pre'>oData</span> : object<div class='sub-desc'><p>The state object to be saved\n @dtopt Callbacks</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"bStateSave\": true,\n       \"fnStateSave\": function (oSettings, oData) {\n         // Send an Ajax request to the server with the state object\n         $.ajax( {\n           \"url\": \"/state_save\",\n           \"data\": oData,\n           \"dataType\": \"json\",\n           \"method\": \"POST\"\n           \"success\": function () {}\n         } );\n       }\n     } );\n   } );</p>\n</div></li></ul></div></div></div><div id='property-fnStateSaveParams' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnStateSaveParams' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnStateSaveParams' class='name expandable'>fnStateSaveParams</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Callback which allows modification of the state to be saved. ...</div><div class='long'><p>Callback which allows modification of the state to be saved. Called when the table\nhas changed state a new state save is required. This method allows modification of\nthe state saving object prior to actually doing the save, including addition or\nother state properties or modification. Note that for plug-in authors, you should\nuse the 'stateSaveParams' event to save parameters for a plug-in.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>DataTables settings object</p>\n</div></li><li><span class='pre'>oData</span> : object<div class='sub-desc'><p>The state object to be saved\n @dtopt Callbacks</p>\n\n<p> @example\n   // Remove a saved filter, so filtering is never saved\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"bStateSave\": true,\n       \"fnStateSaveParams\": function (oSettings, oData) {\n         oData.oSearch.sSearch = \"\";\n       }\n     } );\n   } );</p>\n</div></li></ul></div></div></div><div id='property-fnVersionCheck' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-fnVersionCheck' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-fnVersionCheck' class='name expandable'>fnVersionCheck</a> : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Provide a common method for plug-ins to check the version of DataTables being used,\nin order to ensure compatibility. ...</div><div class='long'><p>Provide a common method for plug-ins to check the version of DataTables being used,\nin order to ensure compatibility.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sVersion</span> : string<div class='sub-desc'><p>Version string to check for, in the format \"X.Y.Z\". Note\n   that the formats \"X\" and \"X.Y\" are also acceptable.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>boolean</span><div class='sub-desc'><p>true if this version of DataTables is greater or equal to the\n   required version, or false if this version of DataTales is not suitable</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();\n     alert( oTable.fnVersionCheck( '1.9.0' ) );\n   } );</p>\n</div></li></ul></div></div></div><div id='property-iApiIndex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-iApiIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-iApiIndex' class='name expandable'>iApiIndex</a> : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Index for what 'this' index API functions should use\n @default 0 ...</div><div class='long'><p>Index for what 'this' index API functions should use\n @default 0</p>\n<p>Defaults to: <code>0</code></p></div></div></div><div id='property-iBarWidth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-iBarWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-iBarWidth' class='name expandable'>iBarWidth</a> : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Width of the scrollbar for the web-browser's platform. ...</div><div class='long'><p>Width of the scrollbar for the web-browser's platform. Calculated\nduring table initialisation.\n @default 0</p>\n<p>Defaults to: <code>0</code></p></div></div></div><div id='property-iCookieDuration' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-iCookieDuration' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-iCookieDuration' class='name expandable'>iCookieDuration</a> : int<span class=\"signature\"></span></div><div class='description'><div class='short'>The cookie duration (for bStateSave) in seconds. ...</div><div class='long'><p>The cookie duration (for bStateSave) in seconds.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.\n @default 0</p>\n<p>Defaults to: <code>0</code></p></div></div></div><div id='property-iDataSort' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-iDataSort' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-iDataSort' class='name expandable'>iDataSort</a> : int<span class=\"signature\"></span></div><div class='description'><div class='short'>The column index (starting from 0!) that you wish a sort to be performed\nupon when this column is selected for sorting. ...</div><div class='long'><p>The column index (starting from 0!) that you wish a sort to be performed\nupon when this column is selected for sorting. This can be used for sorting\non hidden columns for example.\n @default -1 <i>Use automatically calculated column index</i>\n @dtopt Columns</p>\n\n<p> @example\n   // Using aoColumnDefs\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumnDefs\": [\n         { \"iDataSort\": 1, \"aTargets\": [ 0 ] }\n       ]\n     } );\n   } );</p>\n\n<p> @example\n   // Using aoColumns\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumns\": [\n         { \"iDataSort\": 1 },\n         null,\n         null,\n         null,\n         null\n       ]\n     } );\n   } );</p>\n</div></div></div><div id='property-iDeferLoading' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-iDeferLoading' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-iDeferLoading' class='name expandable'>iDeferLoading</a> : int<span class=\"signature\"></span></div><div class='description'><div class='short'>When enabled DataTables will not make a request to the server for the first\npage draw - rather it will use the data a...</div><div class='long'><p>When enabled DataTables will not make a request to the server for the first\npage draw - rather it will use the data already on the page (no sorting etc\nwill be applied to it), thus saving on an XHR at load time. iDeferLoading\nis used to indicate that deferred loading is required, but it is also used\nto tell DataTables how many records there are in the full table (allowing\nthe information element and pagination to be displayed correctly). In the case\nwhere a filtering is applied to the table on initial load, this can be\nindicated by giving the parameter as an array, where the first element is\nthe number of records available after filtering and the second element is the\nnumber of records without filtering (allowing the table information element\nto be shown correctly).\n | array\n @default null\n @dtopt Options</p>\n\n<p> @example\n   // 57 records available in the table, no filtering applied\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"bServerSide\": true,\n       \"sAjaxSource\": \"scripts/server_processing.php\",\n       \"iDeferLoading\": 57\n     } );\n   } );</p>\n\n<p> @example\n   // 57 records after filtering, 100 without filtering (an initial filter applied)\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"bServerSide\": true,\n       \"sAjaxSource\": \"scripts/server_processing.php\",\n       \"iDeferLoading\": [ 57, 100 ],\n       \"oSearch\": {\n         \"sSearch\": \"my_filter\"\n       }\n     } );\n   } );</p>\n</div></div></div><div id='property-iDisplayLength' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-iDisplayLength' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-iDisplayLength' class='name expandable'>iDisplayLength</a> : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Number of rows to display on a single page when using pagination. ...</div><div class='long'><p>Number of rows to display on a single page when using pagination. If\nfeature enabled (bLengthChange) then the end user will be able to override\nthis to a custom setting using a pop-up menu.\n @default 10\n @dtopt Options</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"iDisplayLength\": 50\n     } );\n   } )</p>\n<p>Defaults to: <code>10</code></p></div></div></div><div id='property-iDisplayStart' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-iDisplayStart' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-iDisplayStart' class='name expandable'>iDisplayStart</a> : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Define the starting point for data display when using DataTables with\npagination. ...</div><div class='long'><p>Define the starting point for data display when using DataTables with\npagination. Note that this parameter is the number of records, rather than\nthe page number, so if you have 10 records per page and want to start on\nthe third page, it should be \"20\".\n @default 0\n @dtopt Options</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"iDisplayStart\": 20\n     } );\n   } )</p>\n<p>Defaults to: <code>0</code></p></div></div></div><div id='property-iDraw' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-iDraw' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-iDraw' class='name expandable'>iDraw</a> : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Counter for the draws that the table does. ...</div><div class='long'><p>Counter for the draws that the table does. Also used as a tracker for\nserver-side processing\n @default 0</p>\n<p>Defaults to: <code>0</code></p></div></div></div><div id='property-iDrawError' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-iDrawError' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-iDrawError' class='name expandable'>iDrawError</a> : int<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Draw index (iDraw) of the last error when parsing the returned data\n @default -1</p>\n</div><div class='long'><p>Draw index (iDraw) of the last error when parsing the returned data\n @default -1</p>\n</div></div></div><div id='property-iLoadGap' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-iLoadGap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-iLoadGap' class='name expandable'>iLoadGap</a> : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Space (in pixels) between the bottom of the scrolling container and\nthe bottom of the scrolling viewport before the n...</div><div class='long'><p>Space (in pixels) between the bottom of the scrolling container and\nthe bottom of the scrolling viewport before the next page is loaded\nwhen using infinite scrolling.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-iScrollLoadGap' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-iScrollLoadGap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-iScrollLoadGap' class='name expandable'>iScrollLoadGap</a> : int<span class=\"signature\"></span></div><div class='description'><div class='short'>The scroll gap is the amount of scrolling that is left to go before\nDataTables will load the next 'page' of data auto...</div><div class='long'><p>The scroll gap is the amount of scrolling that is left to go before\nDataTables will load the next 'page' of data automatically. You typically\nwant a gap which is big enough that the scrolling will be smooth for the\nuser, while not so large that it will load more data than need.\n @default 100\n @dtopt Options</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"bScrollInfinite\": true,\n       \"bScrollCollapse\": true,\n       \"sScrollY\": \"200px\",\n       \"iScrollLoadGap\": 50\n     } );\n   } );</p>\n<p>Defaults to: <code>100</code></p></div></div></div><div id='property-iTabIndex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-iTabIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-iTabIndex' class='name expandable'>iTabIndex</a> : Number<span class=\"signature\"></span></div><div class='description'><div class='short'>tabindex attribute value that is added to DataTables control elements, allowing\nkeyboard navigation of the table and ...</div><div class='long'><p>tabindex attribute value that is added to DataTables control elements, allowing\nkeyboard navigation of the table and its controls.</p>\n<p>Defaults to: <code>0</code></p></div></div></div><div id='property-jqXHR' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-jqXHR' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-jqXHR' class='name expandable'>jqXHR</a> : object<span class=\"signature\"></span></div><div class='description'><div class='short'>The last jQuery XHR object that was used for server-side data gathering. ...</div><div class='long'><p>The last jQuery XHR object that was used for server-side data gathering.\nThis can be used for working with the XHR information in one of the\ncallbacks\n @default null</p>\n</div></div></div><div id='property-mData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-mData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-mData' class='name expandable'>mData</a> : string|int|function|null<span class=\"signature\"></span></div><div class='description'><div class='short'>This property can be used to read data from any JSON data source property,\nincluding deeply nested objects / properties. ...</div><div class='long'><p>This property can be used to read data from any JSON data source property,\nincluding deeply nested objects / properties. mData can be given in a\nnumber of different ways which effect its behaviour:\n  <ul>\n    <li>integer - treated as an array index for the data source. This is the\n      default that DataTables uses (incrementally increased for each column).</li>\n    <li>string - read an object property from the data source. Note that you can\n      use Javascript dotted notation to read deep properties / arrays from the\n      data source.</li>\n    <li>null - the sDefaultContent option will be used for the cell (null\n      by default, so you will need to specify the default content you want -\n      typically an empty string). This can be useful on generated columns such\n      as edit / delete action columns.</li>\n    <li>function - the function given will be executed whenever DataTables\n      needs to set or get the data for a cell in the column. The function\n      takes three parameters:\n      <ul>\n        <li>{array|object} The data source for the row</li>\n        <li>{string} The type call data requested - this will be 'set' when\n          setting data or 'filter', 'display', 'type', 'sort' or undefined when\n          gathering data. Note that when <i>undefined</i> is given for the type\n          DataTables expects to get the raw data for the object back</li>\n        <li>{*} Data to set when the second parameter is 'set'.</li>\n      </ul>\n      The return value from the function is not required when 'set' is the type\n      of call, but otherwise the return is what will be used for the data\n      requested.</li>\n   </ul></p>\n\n<p>Note that prior to DataTables 1.9.2 mData was called mDataProp. The name change\nreflects the flexibility of this property and is consistent with the naming of\nmRender. If 'mDataProp' is given, then it will still be used by DataTables, as\nit automatically maps the old name to the new if required.\n @default null <i>Use automatically calculated column index</i>\n @dtopt Columns</p>\n\n<p> @example\n   // Read table data from objects\n   $(document).ready( function() {\n     var oTable = $('#example').dataTable( {\n       \"sAjaxSource\": \"sources/deep.txt\",\n       \"aoColumns\": [\n         { \"mData\": \"engine\" },\n         { \"mData\": \"browser\" },\n         { \"mData\": \"platform.inner\" },\n         { \"mData\": \"platform.details.0\" },\n         { \"mData\": \"platform.details.1\" }\n       ]\n     } );\n   } );</p>\n\n<p> @example\n   // Using mData as a function to provide different information for\n   // sorting, filtering and display. In this case, currency (price)\n   $(document).ready( function() {\n     var oTable = $('#example').dataTable( {\n       \"aoColumnDefs\": [ {\n         \"aTargets\": [ 0 ],\n         \"mData\": function ( source, type, val ) {\n           if (type === 'set') {\n             source.price = val;\n             // Store the computed dislay and filter values for efficiency\n             source.price_display = val==\"\" ? \"\" : \"$\"+numberFormat(val);\n             source.price_filter  = val==\"\" ? \"\" : \"$\"+numberFormat(val)+\" \"+val;\n             return;\n           }\n           else if (type === 'display') {\n             return source.price_display;\n           }\n           else if (type === 'filter') {\n             return source.price_filter;\n           }\n           // 'sort', 'type' and undefined all just use the integer\n           return source.price;\n         }\n       } ]\n     } );\n   } );</p>\n</div></div></div><div id='property-mRender' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-mRender' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-mRender' class='name expandable'>mRender</a> : string|int|function|null<span class=\"signature\"></span></div><div class='description'><div class='short'>This property is the rendering partner to mData and it is suggested that\nwhen you want to manipulate data for display...</div><div class='long'><p>This property is the rendering partner to mData and it is suggested that\nwhen you want to manipulate data for display (including filtering, sorting etc)\nbut not altering the underlying data for the table, use this property. mData\ncan actually do everything this property can and more, but this parameter is\neasier to use since there is no 'set' option. Like mData is can be given\nin a number of different ways to effect its behaviour, with the addition of\nsupporting array syntax for easy outputting of arrays (including arrays of\nobjects):\n  <ul>\n    <li>integer - treated as an array index for the data source. This is the\n      default that DataTables uses (incrementally increased for each column).</li>\n    <li>string - read an object property from the data source. Note that you can\n      use Javascript dotted notation to read deep properties / arrays from the\n      data source and also array brackets to indicate that the data reader should\n      loop over the data source array. When characters are given between the array\n      brackets, these characters are used to join the data source array together.\n      For example: \"accounts[, ].name\" would result in a comma separated list with\n      the 'name' value from the 'accounts' array of objects.</li>\n    <li>function - the function given will be executed whenever DataTables\n      needs to set or get the data for a cell in the column. The function\n      takes three parameters:\n      <ul>\n        <li>{array|object} The data source for the row (based on mData)</li>\n        <li>{string} The type call data requested - this will be 'filter', 'display',\n          'type' or 'sort'.</li>\n        <li>{array|object} The full data source for the row (not based on mData)</li>\n      </ul>\n      The return value from the function is what will be used for the data\n      requested.</li>\n   </ul>\n @default null <i>Use mData</i>\n @dtopt Columns</p>\n\n<p> @example\n   // Create a comma separated list from an array of objects\n   $(document).ready( function() {\n     var oTable = $('#example').dataTable( {\n       \"sAjaxSource\": \"sources/deep.txt\",\n       \"aoColumns\": [\n         { \"mData\": \"engine\" },\n         { \"mData\": \"browser\" },\n         {\n           \"mData\": \"platform\",\n           \"mRender\": \"[, ].name\"\n         }\n       ]\n     } );\n   } );</p>\n\n<p> @example\n   // Use as a function to create a link from the data source\n   $(document).ready( function() {\n     var oTable = $('#example').dataTable( {\n       \"aoColumnDefs\": [\n       {\n         \"aTargets\": [ 0 ],\n         \"mData\": \"download_link\",\n         \"mRender\": function ( data, type, full ) {\n           return '<a href=\"'+data+'\">Download</a>';\n         }\n       ]\n     } );\n   } );</p>\n</div></div></div><div id='property-models' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-models' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-models' class='name expandable'>models</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Object models container, for the various models that DataTables has available\nto it. ...</div><div class='long'><p>Object models container, for the various models that DataTables has available\nto it. These models define the objects that are used to hold the active state\nand configuration of the table.\n @namespace</p>\n<p>Defaults to: <code>{}</code></p></div></div></div><div id='property-nScrollFoot' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-nScrollFoot' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-nScrollFoot' class='name expandable'>nScrollFoot</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'><p>DIV container for the footer scrolling table if scrolling</p>\n</div><div class='long'><p>DIV container for the footer scrolling table if scrolling</p>\n</div></div></div><div id='property-nScrollHead' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-nScrollHead' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-nScrollHead' class='name expandable'>nScrollHead</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'><p>DIV container for the footer scrolling table if scrolling</p>\n</div><div class='long'><p>DIV container for the footer scrolling table if scrolling</p>\n</div></div></div><div id='property-nTBody' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-nTBody' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-nTBody' class='name expandable'>nTBody</a> : node<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Permanent ref to the tbody element\n @default null</p>\n</div><div class='long'><p>Permanent ref to the tbody element\n @default null</p>\n</div></div></div><div id='property-nTFoot' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-nTFoot' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-nTFoot' class='name expandable'>nTFoot</a> : node<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Permanent ref to the tfoot element - if it exists\n @default null</p>\n</div><div class='long'><p>Permanent ref to the tfoot element - if it exists\n @default null</p>\n</div></div></div><div id='property-nTHead' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-nTHead' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-nTHead' class='name expandable'>nTHead</a> : node<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Permanent ref to the thead element\n @default null</p>\n</div><div class='long'><p>Permanent ref to the thead element\n @default null</p>\n</div></div></div><div id='property-nTable' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-nTable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-nTable' class='name expandable'>nTable</a> : node<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The TABLE node for the main table\n @default null</p>\n</div><div class='long'><p>The TABLE node for the main table\n @default null</p>\n</div></div></div><div id='property-nTableWrapper' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-nTableWrapper' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-nTableWrapper' class='name expandable'>nTableWrapper</a> : node<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Cache the wrapper node (contains all DataTables controlled elements)\n @default null</p>\n</div><div class='long'><p>Cache the wrapper node (contains all DataTables controlled elements)\n @default null</p>\n</div></div></div><div id='property-nTf' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-nTf' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-nTf' class='name expandable'>nTf</a> : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Unique footer TH/TD element for this column (if there is one). ...</div><div class='long'><p>Unique footer TH/TD element for this column (if there is one). Not used\nin DataTables as such, but can be used for plug-ins to reference the\nfooter for each column.\n @default null</p>\n</div></div></div><div id='property-nTh' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-nTh' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-nTh' class='name expandable'>nTh</a> : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Unique header TH/TD element for this column - this is what the sorting\nlistener is attached to (if sorting is enabled...</div><div class='long'><p>Unique header TH/TD element for this column - this is what the sorting\nlistener is attached to (if sorting is enabled.)\n @default null</p>\n</div></div></div><div id='property-nTr' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-nTr' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-nTr' class='name expandable'>nTr</a> : node<span class=\"signature\"></span></div><div class='description'><div class='short'><p>TR element for the row\n @default null</p>\n</div><div class='long'><p>TR element for the row\n @default null</p>\n</div></div></div><div id='property-oApi' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oApi' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oApi' class='name expandable'>oApi</a> : object<span class=\"signature\"></span></div><div class='description'><div class='short'>Container for all private functions in DataTables so they can be exposed externally\n @default {} ...</div><div class='long'><p>Container for all private functions in DataTables so they can be exposed externally\n @default {}</p>\n<p>Defaults to: <code>{}</code></p></div></div></div><div id='property-oAria' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oAria' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oAria' class='name expandable'>oAria</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Strings that are used for WAI-ARIA labels and controls only (these are not\nactually visible on the page, but will be ...</div><div class='long'><p>Strings that are used for WAI-ARIA labels and controls only (these are not\nactually visible on the page, but will be read by screenreaders, and thus\nmust be internationalised as well).\n @namespace</p>\n<p>Defaults to: <code>{&quot;sSortAscending&quot;: &quot;: activate to sort column ascending&quot;, &quot;sSortDescending&quot;: &quot;: activate to sort column descending&quot;}</code></p></div></div></div><div id='property-oBrowser' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oBrowser' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oBrowser' class='name expandable'>oBrowser</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Browser support parameters\n @namespace ...</div><div class='long'><p>Browser support parameters\n @namespace</p>\n<p>Defaults to: <code>{&quot;bScrollOversize&quot;: false}</code></p></div></div></div><div id='property-oClasses' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oClasses' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oClasses' class='name expandable'>oClasses</a> : object<span class=\"signature\"></span></div><div class='description'><div class='short'>The classes to use for the table\n @default {} ...</div><div class='long'><p>The classes to use for the table\n @default {}</p>\n<p>Defaults to: <code>{}</code></p></div></div></div><div id='property-oColumn' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oColumn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oColumn' class='name expandable'>oColumn</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Template object for the column information object in DataTables. ...</div><div class='long'><p>Template object for the column information object in DataTables. This object\nis held in the settings aoColumns array and contains all the information that\nDataTables needs about each individual column.</p>\n\n<p>Note that this object is related to DataTable.defaults.columns\nbut this one is the internal data store for DataTables's cache of columns.\nIt should NOT be manipulated outside of DataTables. Any configuration should\nbe done through the initialisation options.\n @namespace</p>\n<p>Defaults to: <code>{&quot;aDataSort&quot;: null, &quot;asSorting&quot;: null, &quot;bSearchable&quot;: null, &quot;bSortable&quot;: null, &quot;bUseRendered&quot;: null, &quot;bVisible&quot;: null, &quot;_bAutoType&quot;: true, &quot;fnCreatedCell&quot;: null, &quot;fnGetData&quot;: null, &quot;fnRender&quot;: null, &quot;fnSetData&quot;: null, &quot;mData&quot;: null, &quot;mRender&quot;: null, &quot;nTh&quot;: null, &quot;nTf&quot;: null, &quot;sClass&quot;: null, &quot;sContentPadding&quot;: null, &quot;sDefaultContent&quot;: null, &quot;sName&quot;: null, &quot;sSortDataType&quot;: &#39;std&#39;, &quot;sSortingClass&quot;: null, &quot;sSortingClassJUI&quot;: null, &quot;sTitle&quot;: null, &quot;sType&quot;: null, &quot;sWidth&quot;: null, &quot;sWidthOrig&quot;: null}</code></p></div></div></div><div id='property-oFeatures' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oFeatures' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oFeatures' class='name expandable'>oFeatures</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Primary features of DataTables and their enablement state. ...</div><div class='long'><p>Primary features of DataTables and their enablement state.\n @namespace</p>\n<p>Defaults to: <code>{&quot;bAutoWidth&quot;: null, &quot;bDeferRender&quot;: null, &quot;bFilter&quot;: null, &quot;bInfo&quot;: null, &quot;bLengthChange&quot;: null, &quot;bPaginate&quot;: null, &quot;bProcessing&quot;: null, &quot;bServerSide&quot;: null, &quot;bSort&quot;: null, &quot;bSortClasses&quot;: null, &quot;bStateSave&quot;: null}</code></p></div></div></div><div id='property-oInit' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oInit' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oInit' class='name expandable'>oInit</a> : object<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Initialisation object that is used for the table\n @default null</p>\n</div><div class='long'><p>Initialisation object that is used for the table\n @default null</p>\n</div></div></div><div id='property-oInstance' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oInstance' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oInstance' class='name expandable'>oInstance</a> : object<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The DataTables object for this table\n @default null</p>\n</div><div class='long'><p>The DataTables object for this table\n @default null</p>\n</div></div></div><div id='property-oJUIClasses' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oJUIClasses' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oJUIClasses' class='name expandable'>oJUIClasses</a> : object<span class=\"signature\"></span></div><div class='description'><div class='short'>Storage for the various classes that DataTables uses - jQuery UI suitable\n @default {} ...</div><div class='long'><p>Storage for the various classes that DataTables uses - jQuery UI suitable\n @default {}</p>\n<p>Defaults to: <code>{}</code></p></div></div></div><div id='property-oLanguage' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oLanguage' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oLanguage' class='name expandable'>oLanguage</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Language information for the table. ...</div><div class='long'><p>Language information for the table.\n @namespace</p>\n<p>Defaults to: <code>{&quot;fnInfoCallback&quot;: null}</code></p></div></div></div><div id='property-oLoadedState' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oLoadedState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oLoadedState' class='name expandable'>oLoadedState</a> : object<span class=\"signature\"></span></div><div class='description'><div class='short'>State that was loaded from the cookie. ...</div><div class='long'><p>State that was loaded from the cookie. Useful for back reference\n @default null</p>\n</div></div></div><div id='property-oPaginate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oPaginate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oPaginate' class='name expandable'>oPaginate</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Pagination string used by DataTables for the two built-in pagination\ncontrol types (\"two_button\" and \"full_numbers\")\n...</div><div class='long'><p>Pagination string used by DataTables for the two built-in pagination\ncontrol types (\"two_button\" and \"full_numbers\")\n @namespace</p>\n<p>Defaults to: <code>{&quot;sFirst&quot;: &quot;First&quot;, &quot;sLast&quot;: &quot;Last&quot;, &quot;sNext&quot;: &quot;Next&quot;, &quot;sPrevious&quot;: &quot;Previous&quot;}</code></p></div></div></div><div id='property-oPagination' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oPagination' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oPagination' class='name expandable'>oPagination</a> : object<span class=\"signature\"></span></div><div class='description'><div class='short'>Pagination plug-in methods - The style and controls of the pagination can significantly\nimpact on how the end user in...</div><div class='long'><p>Pagination plug-in methods - The style and controls of the pagination can significantly\nimpact on how the end user interacts with the data in your table, and DataTables allows\nthe addition of pagination controls by extending this object, which can then be enabled\nthrough the <i>sPaginationType</i> initialisation parameter. Each pagination type that\nis added is an object (the property name of which is what <i>sPaginationType</i> refers\nto) that has two properties, both methods that are used by DataTables to update the\ncontrol's state.\n  <ul>\n    <li>\n      fnInit -  Initialisation of the paging controls. Called only during initialisation\n        of the table. It is expected that this function will add the required DOM elements\n        to the page for the paging controls to work. The element pointer\n        'oSettings.aanFeatures.p' array is provided by DataTables to contain the paging\n        controls (note that this is a 2D array to allow for multiple instances of each\n        DataTables DOM element). It is suggested that you add the controls to this element\n        as children\n      <ul>\n        <li>\n          Function input parameters:\n          <ul>\n            <li>{object} DataTables settings object: see DataTable.models.oSettings.</li>\n            <li>{node} Container into which the pagination controls must be inserted</li>\n            <li>{function} Draw callback function - whenever the controls cause a page\n              change, this method must be called to redraw the table.</li>\n          </ul>\n        </li>\n        <li>\n          Function return:\n          <ul>\n            <li>No return required</li>\n          </ul>\n        \n      </li></ul>\n    \n    <li>\n      fnInit -  This function is called whenever the paging status of the table changes and is\n        typically used to update classes and/or text of the paging controls to reflex the new\n        status.\n      <ul>\n        <li>\n          Function input parameters:\n          <ul>\n            <li>{object} DataTables settings object: see DataTable.models.oSettings.</li>\n            <li>{function} Draw callback function - in case you need to redraw the table again\n              or attach new event listeners</li>\n          </ul>\n        </li>\n        <li>\n          Function return:\n          <ul>\n            <li>No return required</li>\n          </ul>\n        \n      </li></ul>\n    \n  </li></li></ul>\n @default {}</p>\n\n<p> @example\n   $.fn.dataTableExt.oPagination.four_button = {\n     \"fnInit\": function ( oSettings, nPaging, fnCallbackDraw ) {\n       nFirst = document.createElement( 'span' );\n       nPrevious = document.createElement( 'span' );\n       nNext = document.createElement( 'span' );\n       nLast = document.createElement( 'span' );</p>\n\n<pre><code>   nFirst.appendChild( document.createTextNode( oSettings.oLanguage.oPaginate.sFirst ) );\n   nPrevious.appendChild( document.createTextNode( oSettings.oLanguage.oPaginate.sPrevious ) );\n   nNext.appendChild( document.createTextNode( oSettings.oLanguage.oPaginate.sNext ) );\n   nLast.appendChild( document.createTextNode( oSettings.oLanguage.oPaginate.sLast ) );\n\n   nFirst.className = \"paginate_button first\";\n   nPrevious.className = \"paginate_button previous\";\n   nNext.className=\"paginate_button next\";\n   nLast.className = \"paginate_button last\";\n\n   nPaging.appendChild( nFirst );\n   nPaging.appendChild( nPrevious );\n   nPaging.appendChild( nNext );\n   nPaging.appendChild( nLast );\n\n   $(nFirst).click( function () {\n     oSettings.oApi._fnPageChange( oSettings, \"first\" );\n     fnCallbackDraw( oSettings );\n   } );\n\n   $(nPrevious).click( function() {\n     oSettings.oApi._fnPageChange( oSettings, \"previous\" );\n     fnCallbackDraw( oSettings );\n   } );\n\n   $(nNext).click( function() {\n     oSettings.oApi._fnPageChange( oSettings, \"next\" );\n     fnCallbackDraw( oSettings );\n   } );\n\n   $(nLast).click( function() {\n     oSettings.oApi._fnPageChange( oSettings, \"last\" );\n     fnCallbackDraw( oSettings );\n   } );\n\n   $(nFirst).bind( 'selectstart', function () { return false; } );\n   $(nPrevious).bind( 'selectstart', function () { return false; } );\n   $(nNext).bind( 'selectstart', function () { return false; } );\n   $(nLast).bind( 'selectstart', function () { return false; } );\n },\n\n \"fnUpdate\": function ( oSettings, fnCallbackDraw ) {\n   if ( !oSettings.aanFeatures.p ) {\n     return;\n   }\n\n   // Loop over each instance of the pager\n   var an = oSettings.aanFeatures.p;\n   for ( var i=0, iLen=an.length ; i&lt;iLen ; i++ ) {\n     var buttons = an[i].getElementsByTagName('span');\n     if ( oSettings._iDisplayStart === 0 ) {\n       buttons[0].className = \"paginate_disabled_previous\";\n       buttons[1].className = \"paginate_disabled_previous\";\n     }\n     else {\n       buttons[0].className = \"paginate_enabled_previous\";\n       buttons[1].className = \"paginate_enabled_previous\";\n     }\n\n     if ( oSettings.fnDisplayEnd() == oSettings.fnRecordsDisplay() ) {\n       buttons[2].className = \"paginate_disabled_next\";\n       buttons[3].className = \"paginate_disabled_next\";\n     }\n     else {\n       buttons[2].className = \"paginate_enabled_next\";\n       buttons[3].className = \"paginate_enabled_next\";\n     }\n   }\n }\n</code></pre>\n\n<p>   };</p>\n<p>Defaults to: <code>{}</code></p></div></div></div><div id='property-oPreviousSearch' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oPreviousSearch' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oPreviousSearch' class='name expandable'>oPreviousSearch</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Store the applied global search information in case we want to force a\nresearch or compare the old search to a new one. ...</div><div class='long'><p>Store the applied global search information in case we want to force a\nresearch or compare the old search to a new one.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.\n @namespace</p>\n<p>Defaults to: <code>{}</code></p></div></div></div><div id='property-oRow' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oRow' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oRow' class='name expandable'>oRow</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Template object for the way in which DataTables holds information about\neach individual row. ...</div><div class='long'><p>Template object for the way in which DataTables holds information about\neach individual row. This is the object format used for the settings\naoData array.\n @namespace</p>\n<p>Defaults to: <code>{&quot;nTr&quot;: null, &quot;_aData&quot;: [], &quot;_aSortData&quot;: [], &quot;_anHidden&quot;: [], &quot;_sRowStripe&quot;: &quot;&quot;}</code></p></div></div></div><div id='property-oScroll' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oScroll' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oScroll' class='name expandable'>oScroll</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Scrolling settings for a table. ...</div><div class='long'><p>Scrolling settings for a table.\n @namespace</p>\n<p>Defaults to: <code>{&quot;bAutoCss&quot;: null, &quot;bCollapse&quot;: null, &quot;bInfinite&quot;: null, &quot;iBarWidth&quot;: 0, &quot;iLoadGap&quot;: null, &quot;sX&quot;: null, &quot;sXInner&quot;: null, &quot;sY&quot;: null}</code></p></div></div></div><div id='property-oSearch' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oSearch' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oSearch' class='name expandable'>oSearch</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>This parameter allows you to have define the global filtering state at\ninitialisation time. ...</div><div class='long'><p>This parameter allows you to have define the global filtering state at\ninitialisation time. As an object the \"sSearch\" parameter must be\ndefined, but all other parameters are optional. When \"bRegex\" is true,\nthe search string will be treated as a regular expression, when false\n(default) it will be treated as a straight string. When \"bSmart\"\nDataTables will use it's smart filtering methods (to word match at\nany point in the data), when false this will not be done.\n @namespace\n @dtopt Options</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oSearch\": {\"sSearch\": \"Initial search\"}\n     } );\n   } )</p>\n</div></div></div><div id='property-oSettings' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oSettings' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oSettings' class='name expandable'>oSettings</a> : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>DataTables settings object - this holds all the information needed for a\ngiven table, including configuration, data a...</div><div class='long'><p>DataTables settings object - this holds all the information needed for a\ngiven table, including configuration, data and current application of the\ntable options. DataTables does not have a single instance for each DataTable\nwith the settings attached to that instance, but rather instances of the\nDataTable \"class\" are created on-the-fly as needed (typically by a\n$().dataTable() call) and the settings object is then applied to that\ninstance.</p>\n\n<p>Note that this object is related to DataTable.defaults but this\none is the internal data store for DataTables's cache of columns. It should\nNOT be manipulated outside of DataTables. Any configuration should be done\nthrough the initialisation options.\n @namespace\n @todo Really should attach the settings object to individual instances so we\n   don't need to create new instances on each $().dataTable() call (if the\n   table already exists). It would also save passing oSettings around and\n   into every single function. However, this is a very significant\n   architecture change for DataTables and will almost certainly break\n   backwards compatibility with older installations. This is something that\n   will be done in 2.0.</p>\n</div></div></div><div id='property-oSort' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oSort' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oSort' class='name expandable'>oSort</a> : object<span class=\"signature\"></span></div><div class='description'><div class='short'>Sorting plug-in methods - Sorting in DataTables is based on the detected type of the\ndata column (you can add your ow...</div><div class='long'><p>Sorting plug-in methods - Sorting in DataTables is based on the detected type of the\ndata column (you can add your own type detection functions, or override automatic\ndetection using sType). With this specific type given to the column, DataTables will\napply the required sort from the functions in the object. Each sort type must provide\ntwo mandatory methods, one each for ascending and descending sorting, and can optionally\nprovide a pre-formatting method that will help speed up sorting by allowing DataTables\nto pre-format the sort data only once (rather than every time the actual sort functions\nare run). The two sorting functions are typical Javascript sort methods:\n  <ul>\n    <li>\n      Function input parameters:\n      <ul>\n        <li>{<em>} Data to compare to the second parameter</em></li>\n        <li>{} Data to compare to the first parameter</li>\n      </ul>\n    </li>\n    <li>\n      Function return:\n      <ul>\n        <li>{int} Sorting match: <0 if first parameter should be sorted lower than\n          the second parameter, ===0 if the two parameters are equal and >0 if\n          the first parameter should be sorted height than the second parameter.</0></li>\n      </ul>\n    \n  </li></ul>\n @default {}</p>\n\n<p> @example\n   // Case-sensitive string sorting, with no pre-formatting method\n   $.extend( $.fn.dataTableExt.oSort, {\n     \"string-case-asc\": function(x,y) {\n       return ((x &lt; y) ? -1 : ((x > y) ? 1 : 0));\n     },\n     \"string-case-desc\": function(x,y) {\n       return ((x &lt; y) ? 1 : ((x > y) ? -1 : 0));\n     }\n   } );</p>\n\n<p> @example\n   // Case-insensitive string sorting, with pre-formatting\n   $.extend( $.fn.dataTableExt.oSort, {\n     \"string-pre\": function(x) {\n       return x.toLowerCase();\n     },\n     \"string-asc\": function(x,y) {\n       return ((x &lt; y) ? -1 : ((x > y) ? 1 : 0));\n     },\n     \"string-desc\": function(x,y) {\n       return ((x &lt; y) ? 1 : ((x > y) ? -1 : 0));\n     }\n   } );</p>\n<p>Defaults to: <code>{}</code></p></div></div></div><div id='property-oStdClasses' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-oStdClasses' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-oStdClasses' class='name expandable'>oStdClasses</a> : object<span class=\"signature\"></span></div><div class='description'><div class='short'>Storage for the various classes that DataTables uses\n @default {} ...</div><div class='long'><p>Storage for the various classes that DataTables uses\n @default {}</p>\n<p>Defaults to: <code>{}</code></p></div></div></div><div id='property-ofnSearch' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-ofnSearch' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-ofnSearch' class='name expandable'>ofnSearch</a> : object<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Pre-processing of filtering data plug-ins - When you assign the sType for a column\n(or have it automatically detected...</div><div class='long'><p>Pre-processing of filtering data plug-ins - When you assign the sType for a column\n(or have it automatically detected for you by DataTables or a type detection plug-in),\nyou will typically be using this for custom sorting, but it can also be used to provide\ncustom filtering by allowing you to pre-processing the data and returning the data in\nthe format that should be filtered upon. This is done by adding functions this object\nwith a parameter name which matches the sType for that target column. This is the\ncorollary of <i>afnSortData</i> for filtering data.\n  <ul>\n    <li>\n      Function input parameters:\n      <ul>\n        <li>{*} Data from the column cell to be prepared for filtering</li>\n      </ul>\n    </li>\n    <li>\n      Function return:\n      <ul>\n        <li>{string|null} Formatted string that will be used for the filtering.</li>\n      </ul>\n    \n  </li></ul></p>\n\n<p>Note that as of v1.9, it is typically preferable to use <i>mData</i> to prepare data for\nthe different uses that DataTables can put the data to. Specifically <i>mData</i> when\nused as a function will give you a 'type' (sorting, filtering etc) that you can use to\nprepare the data as required for the different types. As such, this method is deprecated.\n @default {}</p>\n<p>Defaults to: <code>{}</code></p>        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This property has been <strong>deprected</strong> </p>\n        <p>@example\n   $.fn.dataTableExt.ofnSearch['title-numeric'] = function ( sData ) {\n     return sData.replace(/\\n/g,\" \").replace( /&lt;.*?>/g, \"\" );\n   }</p>\n\n        </div>\n</div></div></div><div id='property-sAjaxDataProp' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sAjaxDataProp' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sAjaxDataProp' class='name expandable'>sAjaxDataProp</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Property from a given object from which to read the table data from. ...</div><div class='long'><p>Property from a given object from which to read the table data from. This\ncan be an empty string (when not server-side processing), in which case\nit is  assumed an an array is given directly.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-sAjaxSource' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sAjaxSource' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sAjaxSource' class='name expandable'>sAjaxSource</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Source url for AJAX data for the table. ...</div><div class='long'><p>Source url for AJAX data for the table.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.\n @default null</p>\n</div></div></div><div id='property-sCellType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sCellType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sCellType' class='name expandable'>sCellType</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Change the cell type created for the column - either TD cells or TH cells. ...</div><div class='long'><p>Change the cell type created for the column - either TD cells or TH cells. This\ncan be useful as TH cells have semantic meaning in the table body, allowing them\nto act as a header for a row (you may wish to add scope='row' to the TH elements).\n @default td\n @dtopt Columns</p>\n\n<p> @example\n   // Make the first column use TH cells\n   $(document).ready( function() {\n     var oTable = $('#example').dataTable( {\n       \"aoColumnDefs\": [ {\n         \"aTargets\": [ 0 ],\n         \"sCellType\": \"th\"\n       } ]\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;td&quot;</code></p></div></div></div><div id='property-sClass' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sClass' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sClass' class='name expandable'>sClass</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Class to give to each cell in this column. ...</div><div class='long'><p>Class to give to each cell in this column.\n @default <i>Empty string</i>\n @dtopt Columns</p>\n\n<p> @example\n   // Using aoColumnDefs\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumnDefs\": [\n         { \"sClass\": \"my_class\", \"aTargets\": [ 0 ] }\n       ]\n     } );\n   } );</p>\n\n<p> @example\n   // Using aoColumns\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumns\": [\n         { \"sClass\": \"my_class\" },\n         null,\n         null,\n         null,\n         null\n       ]\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></div></div><div id='property-sContentPadding' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sContentPadding' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sContentPadding' class='name expandable'>sContentPadding</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>When DataTables calculates the column widths to assign to each column,\nit finds the longest string in each column and...</div><div class='long'><p>When DataTables calculates the column widths to assign to each column,\nit finds the longest string in each column and then constructs a\ntemporary table and reads the widths from that. The problem with this\nis that \"mmm\" is much wider then \"iiii\", but the latter is a longer\nstring - thus the calculation can go wrong (doing it properly and putting\nit into an DOM object and measuring that is horribly(!) slow). Thus as\na \"work around\" we provide this option. It will append its value to the\ntext that is found to be the longest string for the column - i.e. padding.\nGenerally you shouldn't need this, and it is not documented on the\ngeneral DataTables.net documentation\n @default <i>Empty string<i>\n @dtopt Columns</i></i></p>\n\n<p> @example\n   // Using aoColumns\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumns\": [\n         null,\n         null,\n         null,\n         {\n           \"sContentPadding\": \"mmm\"\n         }\n       ]\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></div></div><div id='property-sCookiePrefix' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sCookiePrefix' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sCookiePrefix' class='name expandable'>sCookiePrefix</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>The cookie name prefix. ...</div><div class='long'><p>The cookie name prefix.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.\n @default <i>Empty string</i></p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></div></div><div id='property-sDefaultContent' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sDefaultContent' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sDefaultContent' class='name expandable'>sDefaultContent</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Allows a default value to be given for a column's data, and will be used\nwhenever a null data source is encountered (...</div><div class='long'><p>Allows a default value to be given for a column's data, and will be used\nwhenever a null data source is encountered (this can be because mData\nis set to null, or because the data source itself is null).\n @default null\n @dtopt Columns</p>\n\n<p> @example\n   // Using aoColumnDefs\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumnDefs\": [\n         {\n           \"mData\": null,\n           \"sDefaultContent\": \"Edit\",\n           \"aTargets\": [ -1 ]\n         }\n       ]\n     } );\n   } );</p>\n\n<p> @example\n   // Using aoColumns\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumns\": [\n         null,\n         null,\n         null,\n         {\n           \"mData\": null,\n           \"sDefaultContent\": \"Edit\"\n         }\n       ]\n     } );\n   } );</p>\n</div></div></div><div id='property-sDestroyWidth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sDestroyWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sDestroyWidth' class='name expandable'>sDestroyWidth</a> : int<span class=\"signature\"></span></div><div class='description'><div class='short'>If restoring a table - we should restore its width\n @default 0 ...</div><div class='long'><p>If restoring a table - we should restore its width\n @default 0</p>\n<p>Defaults to: <code>0</code></p></div></div></div><div id='property-sDom' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sDom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sDom' class='name expandable'>sDom</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Dictate the positioning of DataTables' control elements - see\nDataTable.model.oInit.sDom. ...</div><div class='long'><p>Dictate the positioning of DataTables' control elements - see\nDataTable.model.oInit.sDom.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.\n @default null</p>\n</div></div></div><div id='property-sEmptyTable' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sEmptyTable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sEmptyTable' class='name expandable'>sEmptyTable</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>This string is shown in preference to sZeroRecords when the table is\nempty of data (regardless of filtering). ...</div><div class='long'><p>This string is shown in preference to sZeroRecords when the table is\nempty of data (regardless of filtering). Note that this is an optional\nparameter - if it is not given, the value of sZeroRecords will be used\ninstead (either the default or given value).\n @default No data available in table\n @dtopt Language</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"sEmptyTable\": \"No data available in table\"\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;No data available in table&quot;</code></p></div></div></div><div id='property-sErrMode' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sErrMode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sErrMode' class='name expandable'>sErrMode</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>How should DataTables report an error. ...</div><div class='long'><p>How should DataTables report an error. Can take the value 'alert' or 'throw'\n @default alert</p>\n<p>Defaults to: <code>&quot;alert&quot;</code></p></div></div></div><div id='property-sFirst' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sFirst' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sFirst' class='name expandable'>sFirst</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Text to use when using the 'full_numbers' type of pagination for the\nbutton to take the user to the first page. ...</div><div class='long'><p>Text to use when using the 'full_numbers' type of pagination for the\nbutton to take the user to the first page.\n @default First\n @dtopt Language</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"oPaginate\": {\n           \"sFirst\": \"First page\"\n         }\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;First&quot;</code></p></div></div></div><div id='property-sInfo' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sInfo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sInfo' class='name expandable'>sInfo</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>This string gives information to the end user about the information that\nis current on display on the page. ...</div><div class='long'><p>This string gives information to the end user about the information that\nis current on display on the page. The <em>START</em>, <em>END</em> and <em>TOTAL</em>\nvariables are all dynamically replaced as the table display updates, and\ncan be freely moved or removed as the language requirements change.\n @default Showing <em>START</em> to <em>END</em> of <em>TOTAL</em> entries\n @dtopt Language</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"sInfo\": \"Got a total of <em>TOTAL</em> entries to show (<em>START</em> to <em>END</em>)\"\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;Showing _START_ to _END_ of _TOTAL_ entries&quot;</code></p></div></div></div><div id='property-sInfoEmpty' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sInfoEmpty' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sInfoEmpty' class='name expandable'>sInfoEmpty</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Display information string for when the table is empty. ...</div><div class='long'><p>Display information string for when the table is empty. Typically the\nformat of this string should match sInfo.\n @default Showing 0 to 0 of 0 entries\n @dtopt Language</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"sInfoEmpty\": \"No entries to show\"\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;Showing 0 to 0 of 0 entries&quot;</code></p></div></div></div><div id='property-sInfoFiltered' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sInfoFiltered' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sInfoFiltered' class='name expandable'>sInfoFiltered</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>When a user filters the information in a table, this string is appended\nto the information (sInfo) to give an idea of...</div><div class='long'><p>When a user filters the information in a table, this string is appended\nto the information (sInfo) to give an idea of how strong the filtering\nis. The variable <em>MAX</em> is dynamically updated.\n @default (filtered from <em>MAX</em> total entries)\n @dtopt Language</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"sInfoFiltered\": \" - filtering from <em>MAX</em> records\"\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;(filtered from _MAX_ total entries)&quot;</code></p></div></div></div><div id='property-sInfoPostFix' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sInfoPostFix' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sInfoPostFix' class='name expandable'>sInfoPostFix</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>If can be useful to append extra information to the info string at times,\nand this variable does exactly that. ...</div><div class='long'><p>If can be useful to append extra information to the info string at times,\nand this variable does exactly that. This information will be appended to\nthe sInfo (sInfoEmpty and sInfoFiltered in whatever combination they are\nbeing used) at all times.\n @default <i>Empty string</i>\n @dtopt Language</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"sInfoPostFix\": \"All records shown are derived from real information.\"\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></div></div><div id='property-sInfoThousands' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sInfoThousands' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sInfoThousands' class='name expandable'>sInfoThousands</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>DataTables has a build in number formatter (fnFormatNumber) which is used\nto format large numbers that are used in th...</div><div class='long'><p>DataTables has a build in number formatter (fnFormatNumber) which is used\nto format large numbers that are used in the table information. By\ndefault a comma is used, but this can be trivially changed to any\ncharacter you wish with this parameter.\n @default ,\n @dtopt Language</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"sInfoThousands\": \"'\"\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;,&quot;</code></p></div></div></div><div id='property-sInstance' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sInstance' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sInstance' class='name expandable'>sInstance</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Unique identifier for each instance of the DataTables object. ...</div><div class='long'><p>Unique identifier for each instance of the DataTables object. If there\nis an ID on the table node, then it takes that value, otherwise an\nincrementing internal counter is used.\n @default null</p>\n</div></div></div><div id='property-sLast' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sLast' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sLast' class='name expandable'>sLast</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Text to use when using the 'full_numbers' type of pagination for the\nbutton to take the user to the last page. ...</div><div class='long'><p>Text to use when using the 'full_numbers' type of pagination for the\nbutton to take the user to the last page.\n @default Last\n @dtopt Language</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"oPaginate\": {\n           \"sLast\": \"Last page\"\n         }\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;Last&quot;</code></p></div></div></div><div id='property-sLengthMenu' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sLengthMenu' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sLengthMenu' class='name expandable'>sLengthMenu</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Detail the action that will be taken when the drop down menu for the\npagination length option is changed. ...</div><div class='long'><p>Detail the action that will be taken when the drop down menu for the\npagination length option is changed. The '<em>MENU</em>' variable is replaced\nwith a default select list of 10, 25, 50 and 100, and can be replaced\nwith a custom select box if required.\n @default Show <em>MENU</em> entries\n @dtopt Language</p>\n\n<p> @example\n   // Language change only\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"sLengthMenu\": \"Display <em>MENU</em> records\"\n       }\n     } );\n   } );</p>\n\n<p> @example\n   // Language and options change\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"sLengthMenu\": 'Display <select>'+\n           '<option value=\"10\">10'+\n           '<option value=\"20\">20'+\n           '<option value=\"30\">30'+\n           '<option value=\"40\">40'+\n           '<option value=\"50\">50'+\n           '<option value=\"-1\">All'+\n           '</select> records'\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;Show _MENU_ entries&quot;</code></p></div></div></div><div id='property-sLoadingRecords' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sLoadingRecords' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sLoadingRecords' class='name expandable'>sLoadingRecords</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>When using Ajax sourced data and during the first draw when DataTables is\ngathering the data, this message is shown i...</div><div class='long'><p>When using Ajax sourced data and during the first draw when DataTables is\ngathering the data, this message is shown in an empty row in the table to\nindicate to the end user the the data is being loaded. Note that this\nparameter is not used when loading data by server-side processing, just\nAjax sourced data with client-side processing.\n @default Loading...\n @dtopt Language</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"sLoadingRecords\": \"Please wait - loading...\"\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;Loading...&quot;</code></p></div></div></div><div id='property-sName' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sName' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sName' class='name expandable'>sName</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>This parameter is only used in DataTables' server-side processing. ...</div><div class='long'><p>This parameter is only used in DataTables' server-side processing. It can\nbe exceptionally useful to know what columns are being displayed on the\nclient side, and to map these to database fields. When defined, the names\nalso allow DataTables to reorder information from the server if it comes\nback in an unexpected order (i.e. if you switch your columns around on the\nclient-side, your server-side code does not also need updating).\n @default <i>Empty string</i>\n @dtopt Columns</p>\n\n<p> @example\n   // Using aoColumnDefs\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumnDefs\": [\n         { \"sName\": \"engine\", \"aTargets\": [ 0 ] },\n         { \"sName\": \"browser\", \"aTargets\": [ 1 ] },\n         { \"sName\": \"platform\", \"aTargets\": [ 2 ] },\n         { \"sName\": \"version\", \"aTargets\": [ 3 ] },\n         { \"sName\": \"grade\", \"aTargets\": [ 4 ] }\n       ]\n     } );\n   } );</p>\n\n<p> @example\n   // Using aoColumns\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumns\": [\n         { \"sName\": \"engine\" },\n         { \"sName\": \"browser\" },\n         { \"sName\": \"platform\" },\n         { \"sName\": \"version\" },\n         { \"sName\": \"grade\" }\n       ]\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></div></div><div id='property-sNext' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sNext' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sNext' class='name expandable'>sNext</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Text to use for the 'next' pagination button (to take the user to the\nnext page). ...</div><div class='long'><p>Text to use for the 'next' pagination button (to take the user to the\nnext page).\n @default Next\n @dtopt Language</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"oPaginate\": {\n           \"sNext\": \"Next page\"\n         }\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;Next&quot;</code></p></div></div></div><div id='property-sPaginationType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sPaginationType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sPaginationType' class='name expandable'>sPaginationType</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Which type of pagination should be used. ...</div><div class='long'><p>Which type of pagination should be used.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.\n @default two_button</p>\n<p>Defaults to: <code>&quot;two_button&quot;</code></p></div></div></div><div id='property-sPrevious' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sPrevious' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sPrevious' class='name expandable'>sPrevious</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Text to use for the 'previous' pagination button (to take the user to\nthe previous page). ...</div><div class='long'><p>Text to use for the 'previous' pagination button (to take the user to<br/>\nthe previous page).\n @default Previous\n @dtopt Language</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"oPaginate\": {\n           \"sPrevious\": \"Previous page\"\n         }\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;Previous&quot;</code></p></div></div></div><div id='property-sProcessing' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sProcessing' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sProcessing' class='name expandable'>sProcessing</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Text which is displayed when the table is processing a user action\n(usually a sort command or similar). ...</div><div class='long'><p>Text which is displayed when the table is processing a user action\n(usually a sort command or similar).\n @default Processing...\n @dtopt Language</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"sProcessing\": \"DataTables is currently busy\"\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;Processing...&quot;</code></p></div></div></div><div id='property-sScrollX' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sScrollX' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sScrollX' class='name expandable'>sScrollX</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Enable horizontal scrolling. ...</div><div class='long'><p>Enable horizontal scrolling. When a table is too wide to fit into a certain\nlayout, or you have a large number of columns in the table, you can enable\nx-scrolling to show the table in a viewport, which can be scrolled. This\nproperty can be any CSS unit, or a number (in which case it will be treated\nas a pixel measurement).\n @default <i>blank string - i.e. disabled</i>\n @dtopt Features</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"sScrollX\": \"100%\",\n       \"bScrollCollapse\": true\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></div></div><div id='property-sScrollXInner' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sScrollXInner' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sScrollXInner' class='name expandable'>sScrollXInner</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>This property can be used to force a DataTable to use more width than it\nmight otherwise do when x-scrolling is enabled. ...</div><div class='long'><p>This property can be used to force a DataTable to use more width than it\nmight otherwise do when x-scrolling is enabled. For example if you have a\ntable which requires to be well spaced, this parameter is useful for\n\"over-sizing\" the table, and thus forcing scrolling. This property can by\nany CSS unit, or a number (in which case it will be treated as a pixel\nmeasurement).\n @default <i>blank string - i.e. disabled</i>\n @dtopt Options</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"sScrollX\": \"100%\",\n       \"sScrollXInner\": \"110%\"\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></div></div><div id='property-sScrollY' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sScrollY' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sScrollY' class='name expandable'>sScrollY</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Enable vertical scrolling. ...</div><div class='long'><p>Enable vertical scrolling. Vertical scrolling will constrain the DataTable\nto the given height, and enable scrolling for any data which overflows the\ncurrent viewport. This can be used as an alternative to paging to display\na lot of data in a small area (although paging and scrolling can both be\nenabled at the same time). This property can be any CSS unit, or a number\n(in which case it will be treated as a pixel measurement).\n @default <i>blank string - i.e. disabled</i>\n @dtopt Features</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"sScrollY\": \"200px\",\n       \"bPaginate\": false\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></div></div><div id='property-sSearch' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sSearch' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sSearch' class='name expandable'>sSearch</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Details the actions that will be taken when the user types into the\nfiltering input text box. ...</div><div class='long'><p>Details the actions that will be taken when the user types into the\nfiltering input text box. The variable \"<em>INPUT</em>\", if used in the string,\nis replaced with the HTML text box for the filtering input allowing\ncontrol over where it appears in the string. If \"<em>INPUT</em>\" is not given\nthen the input box is appended to the string automatically.\n @default Search:\n @dtopt Language</p>\n\n<p> @example\n   // Input text box will be appended at the end automatically\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"sSearch\": \"Filter records:\"\n       }\n     } );\n   } );</p>\n\n<p> @example\n   // Specify where the filter should appear\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"sSearch\": \"Apply filter <em>INPUT</em> to table\"\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;Search:&quot;</code></p></div></div></div><div id='property-sServerMethod' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sServerMethod' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sServerMethod' class='name expandable'>sServerMethod</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Send the XHR HTTP method - GET or POST (could be PUT or DELETE if\nrequired). ...</div><div class='long'><p>Send the XHR HTTP method - GET or POST (could be PUT or DELETE if\nrequired).\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-sSortAscending' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sSortAscending' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sSortAscending' class='name expandable'>sSortAscending</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>ARIA label that is added to the table headers when the column may be\nsorted ascending by activing the column (click o...</div><div class='long'><p>ARIA label that is added to the table headers when the column may be\nsorted ascending by activing the column (click or return when focused).\nNote that the column header is prefixed to this string.\n @default : activate to sort column ascending\n @dtopt Language</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"oAria\": {\n           \"sSortAscending\": \" - click/return to sort ascending\"\n         }\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;: activate to sort column ascending&quot;</code></p></div></div></div><div id='property-sSortDataType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sSortDataType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sSortDataType' class='name expandable'>sSortDataType</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Defines a data source type for the sorting which can be used to read\nreal-time information from the table (updating t...</div><div class='long'><p>Defines a data source type for the sorting which can be used to read\nreal-time information from the table (updating the internally cached\nversion) prior to sorting. This allows sorting to occur on user editable\nelements such as form inputs.\n @default std\n @dtopt Columns</p>\n\n<p> @example\n   // Using aoColumnDefs\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumnDefs\": [\n         { \"sSortDataType\": \"dom-text\", \"aTargets\": [ 2, 3 ] },\n         { \"sType\": \"numeric\", \"aTargets\": [ 3 ] },\n         { \"sSortDataType\": \"dom-select\", \"aTargets\": [ 4 ] },\n         { \"sSortDataType\": \"dom-checkbox\", \"aTargets\": [ 5 ] }\n       ]\n     } );\n   } );</p>\n\n<p> @example\n   // Using aoColumns\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumns\": [\n         null,\n         null,\n         { \"sSortDataType\": \"dom-text\" },\n         { \"sSortDataType\": \"dom-text\", \"sType\": \"numeric\" },\n         { \"sSortDataType\": \"dom-select\" },\n         { \"sSortDataType\": \"dom-checkbox\" }\n       ]\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;std&quot;</code></p></div></div></div><div id='property-sSortDescending' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sSortDescending' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sSortDescending' class='name expandable'>sSortDescending</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>ARIA label that is added to the table headers when the column may be\nsorted descending by activing the column (click ...</div><div class='long'><p>ARIA label that is added to the table headers when the column may be\nsorted descending by activing the column (click or return when focused).\nNote that the column header is prefixed to this string.\n @default : activate to sort column ascending\n @dtopt Language</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"oAria\": {\n           \"sSortDescending\": \" - click/return to sort descending\"\n         }\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;: activate to sort column descending&quot;</code></p></div></div></div><div id='property-sSortingClass' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sSortingClass' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sSortingClass' class='name expandable'>sSortingClass</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Class to be applied to the header element when sorting on this column\n @default null</p>\n</div><div class='long'><p>Class to be applied to the header element when sorting on this column\n @default null</p>\n</div></div></div><div id='property-sSortingClassJUI' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sSortingClassJUI' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sSortingClassJUI' class='name expandable'>sSortingClassJUI</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Class to be applied to the header element when sorting on this column -\nwhen jQuery UI theming is used. ...</div><div class='long'><p>Class to be applied to the header element when sorting on this column -\nwhen jQuery UI theming is used.\n @default null</p>\n</div></div></div><div id='property-sTableId' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sTableId' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sTableId' class='name expandable'>sTableId</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Cache the table ID for quick access\n @default Empty string ...</div><div class='long'><p>Cache the table ID for quick access\n @default <i>Empty string</i></p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></div></div><div id='property-sTitle' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sTitle' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sTitle' class='name expandable'>sTitle</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>The title of this column. ...</div><div class='long'><p>The title of this column.\n @default null <i>Derived from the 'TH' value for this column in the\n   original HTML table.</i>\n @dtopt Columns</p>\n\n<p> @example\n   // Using aoColumnDefs\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumnDefs\": [\n         { \"sTitle\": \"My column title\", \"aTargets\": [ 0 ] }\n       ]\n     } );\n   } );</p>\n\n<p> @example\n   // Using aoColumns\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumns\": [\n         { \"sTitle\": \"My column title\" },\n         null,\n         null,\n         null,\n         null\n       ]\n     } );\n   } );</p>\n</div></div></div><div id='property-sType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sType' class='name expandable'>sType</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>The type allows you to specify how the data for this column will be sorted. ...</div><div class='long'><p>The type allows you to specify how the data for this column will be sorted.\nFour types (string, numeric, date and html (which will strip HTML tags\nbefore sorting)) are currently available. Note that only date formats\nunderstood by Javascript's Date() object will be accepted as type date. For\nexample: \"Mar 26, 2008 5:03 PM\". May take the values: 'string', 'numeric',\n'date' or 'html' (by default). Further types can be adding through\nplug-ins.\n @default null <i>Auto-detected from raw data</i>\n @dtopt Columns</p>\n\n<p> @example\n   // Using aoColumnDefs\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumnDefs\": [\n         { \"sType\": \"html\", \"aTargets\": [ 0 ] }\n       ]\n     } );\n   } );</p>\n\n<p> @example\n   // Using aoColumns\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumns\": [\n         { \"sType\": \"html\" },\n         null,\n         null,\n         null,\n         null\n       ]\n     } );\n   } );</p>\n</div></div></div><div id='property-sUrl' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sUrl' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sUrl' class='name expandable'>sUrl</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>All of the language information can be stored in a file on the\nserver-side, which DataTables will look up if this par...</div><div class='long'><p>All of the language information can be stored in a file on the\nserver-side, which DataTables will look up if this parameter is passed.\nIt must store the URL of the language file, which is in a JSON format,\nand the object has the same properties as the oLanguage object in the\ninitialiser object (i.e. the above parameters). Please refer to one of\nthe example language files to see how this works in action.\n @default <i>Empty string - i.e. disabled</i>\n @dtopt Language</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"sUrl\": \"http://www.sprymedia.co.uk/dataTables/lang.txt\"\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;&quot;</code></p></div></div></div><div id='property-sVersion' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sVersion' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sVersion' class='name expandable'>sVersion</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Version string for plug-ins to check compatibility. ...</div><div class='long'><p>Version string for plug-ins to check compatibility. Allowed format is\na.b.c.d.e where: a:int, b:int, c:int, d:string(dev|beta), e:int. d and\ne are optional\n @default Version number</p>\n</div></div></div><div id='property-sWidth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sWidth' class='name expandable'>sWidth</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Defining the width of the column, this parameter may take any CSS value\n(3em, 20px etc). ...</div><div class='long'><p>Defining the width of the column, this parameter may take any CSS value\n(3em, 20px etc). DataTables apples 'smart' widths to columns which have not\nbeen given a specific width through this interface ensuring that the table\nremains readable.\n @default null <i>Automatic</i>\n @dtopt Columns</p>\n\n<p> @example\n   // Using aoColumnDefs\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumnDefs\": [\n         { \"sWidth\": \"20%\", \"aTargets\": [ 0 ] }\n       ]\n     } );\n   } );</p>\n\n<p> @example\n   // Using aoColumns\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"aoColumns\": [\n         { \"sWidth\": \"20%\" },\n         null,\n         null,\n         null,\n         null\n       ]\n     } );\n   } );</p>\n</div></div></div><div id='property-sWidthOrig' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sWidthOrig' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sWidthOrig' class='name expandable'>sWidthOrig</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Width of the column when it was first \"encountered\"\n @default null</p>\n</div><div class='long'><p>Width of the column when it was first \"encountered\"\n @default null</p>\n</div></div></div><div id='property-sX' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sX' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sX' class='name expandable'>sX</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Viewport width for horizontal scrolling. ...</div><div class='long'><p>Viewport width for horizontal scrolling. Horizontal scrolling is\ndisabled if an empty string.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-sXInner' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sXInner' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sXInner' class='name expandable'>sXInner</a> : string<span class=\"signature\"><span class='deprecated' >deprecated</span></span></div><div class='description'><div class='short'>Width to expand the table to when using x-scrolling. ...</div><div class='long'><p>Width to expand the table to when using x-scrolling. Typically you\nshould not need to use this.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n        <div class='rounded-box deprecated-box deprecated-tag-box'>\n        <p>This property has been <strong>deprected</strong> </p>\n        \n\n        </div>\n</div></div></div><div id='property-sY' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sY' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sY' class='name expandable'>sY</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Viewport height for vertical scrolling. ...</div><div class='long'><p>Viewport height for vertical scrolling. Vertical scrolling is disabled\nif an empty string.\nNote that this parameter will be set by the initialisation routine. To\nset a default use DataTable.defaults.</p>\n</div></div></div><div id='property-sZeroRecords' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-sZeroRecords' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-sZeroRecords' class='name expandable'>sZeroRecords</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Text shown inside the table records when the is no information to be\ndisplayed after filtering. ...</div><div class='long'><p>Text shown inside the table records when the is no information to be\ndisplayed after filtering. sEmptyTable is shown when there is simply no\ninformation in the table at all (regardless of filtering).\n @default No matching records found\n @dtopt Language</p>\n\n<p> @example\n   $(document).ready( function() {\n     $('#example').dataTable( {\n       \"oLanguage\": {\n         \"sZeroRecords\": \"No records to display\"\n       }\n     } );\n   } );</p>\n<p>Defaults to: <code>&quot;No matching records found&quot;</code></p></div></div></div><div id='property-settings' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-settings' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-settings' class='name expandable'>settings</a> : array<span class=\"signature\"><span class='private' >private</span></span></div><div class='description'><div class='short'>Private data store, containing all of the settings objects that are created for the\ntables on a given page. ...</div><div class='long'><p>Private data store, containing all of the settings objects that are created for the\ntables on a given page.</p>\n\n<p>Note that the <i><a href=\"#!/api/DataTable-property-settings\" rel=\"DataTable-property-settings\" class=\"docClass\">DataTable.settings</a></i> object is aliased to <i>jQuery.fn.dataTableExt</i>\nthrough which it may be accessed and manipulated, or <i>jQuery.fn.dataTable.settings</i>.\n @default []</p>\n<p>Defaults to: <code>[]</code></p></div></div></div><div id='property-version' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-property-version' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-property-version' class='name expandable'>version</a> : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Version string for plug-ins to check compatibility. ...</div><div class='long'><p>Version string for plug-ins to check compatibility. Allowed format is\na.b.c.d.e where: a:int, b:int, c:int, d:string(dev|beta), e:int. d and\ne are optional\n @default Version number</p>\n<p>Defaults to: <code>&quot;1.9.4&quot;</code></p></div></div></div></div></div><div class='members-section'><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Instance methods</h3><div id='method-S-' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-S-' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-S-' class='name expandable'>$</a>( <span class='pre'>sSelector, [oOpts]</span> ) : object<span class=\"signature\"></span></div><div class='description'><div class='short'>Perform a jQuery selector action on the table's TR elements (from the tbody) and\nreturn the resulting jQuery object. ...</div><div class='long'><p>Perform a jQuery selector action on the table's TR elements (from the tbody) and\nreturn the resulting jQuery object.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sSelector</span> : string|node|jQuery<div class='sub-desc'><p>jQuery selector or node collection to act on</p>\n</div></li><li><span class='pre'>oOpts</span> : object (optional)<div class='sub-desc'><p>Optional parameters for modifying the rows to be included</p>\n<ul><li><span class='pre'>filter</span> : string (optional)<div class='sub-desc'><p>Select TR elements that meet the current filter\n   criterion (\"applied\") or all TR elements (i.e. no filter).</p>\n<p>Defaults to: <code>none</code></p></div></li><li><span class='pre'>order</span> : string (optional)<div class='sub-desc'><p>Order of the TR elements in the processed array.\n   Can be either 'current', whereby the current sorting of the table is used, or\n   'original' whereby the original order the data was read into the table is used.</p>\n<p>Defaults to: <code>current</code></p></div></li><li><span class='pre'>page</span> : string (optional)<div class='sub-desc'><p>Limit the selection to the currently displayed page\n   (\"current\") or not (\"all\"). If 'current' is given, then order is assumed to be\n   'current' and filter is 'applied', regardless of what they might be given as.</p>\n<p>Defaults to: <code>all</code></p></div></li></ul></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>object</span><div class='sub-desc'><p>jQuery object, filtered by the given selector.\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Highlight every second row\n oTable.$('tr:odd').css('backgroundColor', 'blue');\n</code></pre>\n\n<p>   } );</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Filter to rows with 'Webkit' in them, add a background colour and then\n // remove the filter, thus highlighting the 'Webkit' rows only.\n oTable.fnFilter('Webkit');\n oTable.$('tr', {\"filter\": \"applied\"}).css('backgroundColor', 'blue');\n oTable.fnFilter('');\n</code></pre>\n\n<p>   } );</p>\n</div></li></ul></div></div></div><div id='method-_' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_' class='name expandable'>_</a>( <span class='pre'>sSelector, [oOpts]</span> ) : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Almost identical to $ in operation, but in this case returns the data for the matched\nrows - as such, the jQuery sele...</div><div class='long'><p>Almost identical to $ in operation, but in this case returns the data for the matched\nrows - as such, the jQuery selector used should match TR row nodes or TD/TH cell nodes\nrather than any descendants, so the data can be obtained for the row/cell. If matching\nrows are found, the data returned is the original data array/object that was used to<br/>\ncreate the row (or a generated array if from a DOM source).</p>\n\n<p>This method is often useful in-combination with $ where both functions are given the\nsame parameters and the array indexes will match identically.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sSelector</span> : string|node|jQuery<div class='sub-desc'><p>jQuery selector or node collection to act on</p>\n</div></li><li><span class='pre'>oOpts</span> : object (optional)<div class='sub-desc'><p>Optional parameters for modifying the rows to be included</p>\n<ul><li><span class='pre'>filter</span> : string (optional)<div class='sub-desc'><p>Select elements that meet the current filter\n   criterion (\"applied\") or all elements (i.e. no filter).</p>\n<p>Defaults to: <code>none</code></p></div></li><li><span class='pre'>order</span> : string (optional)<div class='sub-desc'><p>Order of the data in the processed array.\n   Can be either 'current', whereby the current sorting of the table is used, or\n   'original' whereby the original order the data was read into the table is used.</p>\n<p>Defaults to: <code>current</code></p></div></li><li><span class='pre'>page</span> : string (optional)<div class='sub-desc'><p>Limit the selection to the currently displayed page\n   (\"current\") or not (\"all\"). If 'current' is given, then order is assumed to be\n   'current' and filter is 'applied', regardless of what they might be given as.</p>\n<p>Defaults to: <code>all</code></p></div></li></ul></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array</span><div class='sub-desc'><p>Data for the matched elements. If any elements, as a result of the\n   selector, were not TR, TD or TH elements in the DataTable, they will have a null\n   entry in the array.\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Get the data from the first row in the table\n var data = oTable._('tr:first');\n\n // Do something useful with the data\n alert( \"First cell is: \"+data[0] );\n</code></pre>\n\n<p>   } );</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Filter to 'Webkit' and get all data for \n oTable.fnFilter('Webkit');\n var data = oTable._('tr', {\"filter\": \"applied\"});\n\n // Do something with the data\n alert( data.length+\" rows matched the filter\" );\n</code></pre>\n\n<p>   } );</p>\n</div></li></ul></div></div></div><div id='method-_fnAddColumn' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnAddColumn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnAddColumn' class='name expandable'>_fnAddColumn</a>( <span class='pre'>oSettings, nTh</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Add a column to the list used for the table with default values ...</div><div class='long'><p>Add a column to the list used for the table with default values</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>nTh</span> : node<div class='sub-desc'><p>The th element for this column\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnAddData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnAddData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnAddData' class='name expandable'>_fnAddData</a>( <span class='pre'>oSettings, aData</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Add a data array to the table, creating DOM node etc. ...</div><div class='long'><p>Add a data array to the table, creating DOM node etc. This is the parallel to\n_fnGatherData, but for adding rows from a Javascript source, rather than a\nDOM source.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>aData</span> : array<div class='sub-desc'><p>data array to be added</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><blockquote><p>=0 if successful (index of new aoData entry), -1 if failed\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p></blockquote>\n</div></li></ul></div></div></div><div id='method-_fnAddOptionsHtml' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnAddOptionsHtml' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnAddOptionsHtml' class='name expandable'>_fnAddOptionsHtml</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Add the options to the page HTML for the table ...</div><div class='long'><p>Add the options to the page HTML for the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnAdjustColumnSizing' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnAdjustColumnSizing' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnAdjustColumnSizing' class='name expandable'>_fnAdjustColumnSizing</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Adjust the table column widths for new data. ...</div><div class='long'><p>Adjust the table column widths for new data. Note: you would probably want to\ndo a redraw after calling this function!</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnAjaxParameters' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnAjaxParameters' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnAjaxParameters' class='name expandable'>_fnAjaxParameters</a>( <span class='pre'>oSettings</span> ) : bool<span class=\"signature\"></span></div><div class='description'><div class='short'>Build up the parameters in an object needed for a server-side processing request ...</div><div class='long'><p>Build up the parameters in an object needed for a server-side processing request</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>bool</span><div class='sub-desc'><p>block the table drawing or not\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnAjaxUpdate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnAjaxUpdate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnAjaxUpdate' class='name expandable'>_fnAjaxUpdate</a>( <span class='pre'>oSettings</span> ) : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Update the table using an Ajax call ...</div><div class='long'><p>Update the table using an Ajax call</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>boolean</span><div class='sub-desc'><p>Block the table drawing or not\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnAjaxUpdateDraw' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnAjaxUpdateDraw' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnAjaxUpdateDraw' class='name expandable'>_fnAjaxUpdateDraw</a>( <span class='pre'>oSettings, json</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Data the data from the server (nuking the old) and redraw the table ...</div><div class='long'><p>Data the data from the server (nuking the old) and redraw the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>json</span> : object<div class='sub-desc'><p>json data return from the server.</p>\n<ul><li><span class='pre'>sEcho</span> : string<div class='sub-desc'><p>Tracking flag for DataTables to match requests</p>\n</div></li><li><span class='pre'>iTotalRecords</span> : int<div class='sub-desc'><p>Number of records in the data set, not accounting for filtering</p>\n</div></li><li><span class='pre'>iTotalDisplayRecords</span> : int<div class='sub-desc'><p>Number of records in the data set, accounting for filtering</p>\n</div></li><li><span class='pre'>aaData</span> : array<div class='sub-desc'><p>The data to display on this page</p>\n</div></li><li><span class='pre'>sColumns</span> : string (optional)<div class='sub-desc'><p>Column ordering (sName, comma separated)\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></li></ul></div></div></div><div id='method-_fnApplyColumnDefs' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnApplyColumnDefs' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnApplyColumnDefs' class='name expandable'>_fnApplyColumnDefs</a>( <span class='pre'>oSettings, aoColDefs, aoCols, fn</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Take the column definitions and static columns arrays and calculate how\nthey relate to column indexes. ...</div><div class='long'><p>Take the column definitions and static columns arrays and calculate how\nthey relate to column indexes. The callback function will then apply the\ndefinition found for a column to a suitable configuration object.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>aoColDefs</span> : array<div class='sub-desc'><p>The aoColumnDefs array that is to be applied</p>\n</div></li><li><span class='pre'>aoCols</span> : array<div class='sub-desc'><p>The aoColumns array that defines columns individually</p>\n</div></li><li><span class='pre'>fn</span> : function<div class='sub-desc'><p>Callback function - takes two parameters, the calculated\n   column index and the definition for that column.\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnApplyToChildren' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnApplyToChildren' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnApplyToChildren' class='name expandable'>_fnApplyToChildren</a>( <span class='pre'>fn, array, array</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Apply a given function to the display child nodes of an element array (typically\nTD children of TR rows ...</div><div class='long'><p>Apply a given function to the display child nodes of an element array (typically\nTD children of TR rows</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>fn</span> : function<div class='sub-desc'><p>Method to apply to the objects</p>\n</div></li><li><span class='pre'>array</span> : Object<div class='sub-desc'><p>{nodes} an1 List of elements to look through for display children</p>\n</div></li><li><span class='pre'>array</span> : Object<div class='sub-desc'><p>{nodes} an2 Another list (identical structure to the first) - optional\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnBindAction' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnBindAction' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnBindAction' class='name expandable'>_fnBindAction</a>( <span class='pre'>n, oData, fn</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Bind an event handers to allow a click or return key to activate the callback. ...</div><div class='long'><p>Bind an event handers to allow a click or return key to activate the callback.\nThis is good for accessibility since a return on the keyboard will have the\nsame effect as a click, if the element has focus.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>n</span> : element<div class='sub-desc'><p>Element to bind the action to</p>\n</div></li><li><span class='pre'>oData</span> : object<div class='sub-desc'><p>Data object to pass to the triggered function</p>\n</div></li><li><span class='pre'>fn</span> : function<div class='sub-desc'><p>Callback function for when the event is triggered\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnBrowserDetect' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnBrowserDetect' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnBrowserDetect' class='name expandable'>_fnBrowserDetect</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>From some browsers (specifically IE6/7) we need special handling to work around browser\nbugs - this function is used ...</div><div class='long'><p>From some browsers (specifically IE6/7) we need special handling to work around browser\nbugs - this function is used to detect when these workarounds are needed.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnBuildHead' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnBuildHead' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnBuildHead' class='name expandable'>_fnBuildHead</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Create the HTML header for the table ...</div><div class='long'><p>Create the HTML header for the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnBuildSearchArray' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnBuildSearchArray' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnBuildSearchArray' class='name expandable'>_fnBuildSearchArray</a>( <span class='pre'>oSettings, iMaster</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Create an array which can be quickly search through ...</div><div class='long'><p>Create an array which can be quickly search through</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iMaster</span> : int<div class='sub-desc'><p>use the master data array - optional\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnBuildSearchRow' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnBuildSearchRow' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnBuildSearchRow' class='name expandable'>_fnBuildSearchRow</a>( <span class='pre'>oSettings, aData</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Create a searchable string from a single data row ...</div><div class='long'><p>Create a searchable string from a single data row</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>aData</span> : array<div class='sub-desc'><p>Row data array to use for the data to search\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnCalculateColumnWidths' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnCalculateColumnWidths' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnCalculateColumnWidths' class='name expandable'>_fnCalculateColumnWidths</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Calculate the width of columns for the table ...</div><div class='long'><p>Calculate the width of columns for the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnCalculateEnd' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnCalculateEnd' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnCalculateEnd' class='name expandable'>_fnCalculateEnd</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Recalculate the end point based on the start point ...</div><div class='long'><p>Recalculate the end point based on the start point</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnCallbackFire' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnCallbackFire' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnCallbackFire' class='name expandable'>_fnCallbackFire</a>( <span class='pre'>oSettings, sStore, sTrigger, aArgs</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Fire callback functions and trigger events. ...</div><div class='long'><p>Fire callback functions and trigger events. Note that the loop over the callback\narray store is done backwards! Further note that you do not want to fire off triggers\nin time sensitive applications (for example cell creation) as its slow.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>sStore</span> : string<div class='sub-desc'><p>Name of the array storage for the callbacks in oSettings</p>\n</div></li><li><span class='pre'>sTrigger</span> : string<div class='sub-desc'><p>Name of the jQuery custom event to trigger. If null no trigger\n   is fired</p>\n</div></li><li><span class='pre'>aArgs</span> : array<div class='sub-desc'><p>Array of arguments to pass to the callback function / trigger\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnCallbackReg' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnCallbackReg' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnCallbackReg' class='name expandable'>_fnCallbackReg</a>( <span class='pre'>oSettings, sStore, fn, sName</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Register a callback function. ...</div><div class='long'><p>Register a callback function. Easily allows a callback function to be added to\nan array store of callback functions that can then all be called together.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>sStore</span> : string<div class='sub-desc'><p>Name of the array storage for the callbacks in oSettings</p>\n</div></li><li><span class='pre'>fn</span> : function<div class='sub-desc'><p>Function to be called back</p>\n</div></li><li><span class='pre'>sName</span> : string<div class='sub-desc'><p>Identifying name for the callback (i.e. a label)\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnClearTable' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnClearTable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnClearTable' class='name expandable'>_fnClearTable</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Nuke the table ...</div><div class='long'><p>Nuke the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnColumnIndexToVisible' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnColumnIndexToVisible' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnColumnIndexToVisible' class='name expandable'>_fnColumnIndexToVisible</a>( <span class='pre'>iMatch, oSettings</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Covert the index of an index in the data array and convert it to the visible\n  column index (take account of hidden c...</div><div class='long'><p>Covert the index of an index in the data array and convert it to the visible\n  column index (take account of hidden columns)</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>iMatch</span> : int<div class='sub-desc'><p>Column index to lookup</p>\n</div></li><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>i the data index\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnColumnOptions' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnColumnOptions' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnColumnOptions' class='name expandable'>_fnColumnOptions</a>( <span class='pre'>oSettings, iCol, oOptions</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Apply options for a column ...</div><div class='long'><p>Apply options for a column</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iCol</span> : int<div class='sub-desc'><p>column index to consider</p>\n</div></li><li><span class='pre'>oOptions</span> : object<div class='sub-desc'><p>object with sType, bVisible and bSearchable etc\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnColumnOrdering' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnColumnOrdering' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnColumnOrdering' class='name expandable'>_fnColumnOrdering</a>( <span class='pre'>oSettings</span> ) : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the column ordering that DataTables expects ...</div><div class='long'><p>Get the column ordering that DataTables expects</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>string</span><div class='sub-desc'><p>comma separated list of names\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnConvertToWidth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnConvertToWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnConvertToWidth' class='name expandable'>_fnConvertToWidth</a>( <span class='pre'>sWidth, nParent</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Convert a CSS unit width to pixels (e.g. ...</div><div class='long'><p>Convert a CSS unit width to pixels (e.g. 2em)</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sWidth</span> : string<div class='sub-desc'><p>width to be converted</p>\n</div></li><li><span class='pre'>nParent</span> : node<div class='sub-desc'><p>parent to get the with for (required for relative widths) - optional</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>iWidth width in pixels\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnCreateCookie' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnCreateCookie' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnCreateCookie' class='name expandable'>_fnCreateCookie</a>( <span class='pre'>sName, sValue, iSecs, sBaseName, fnCallback</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Create a new cookie with a value to store the state of a table ...</div><div class='long'><p>Create a new cookie with a value to store the state of a table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sName</span> : string<div class='sub-desc'><p>name of the cookie to create</p>\n</div></li><li><span class='pre'>sValue</span> : string<div class='sub-desc'><p>the value the cookie should take</p>\n</div></li><li><span class='pre'>iSecs</span> : int<div class='sub-desc'><p>duration of the cookie</p>\n</div></li><li><span class='pre'>sBaseName</span> : string<div class='sub-desc'><p>sName is made up of the base + file name - this is the base</p>\n</div></li><li><span class='pre'>fnCallback</span> : function<div class='sub-desc'><p>User definable function to modify the cookie\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnCreateTr' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnCreateTr' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnCreateTr' class='name expandable'>_fnCreateTr</a>( <span class='pre'>oSettings, iRow</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Create a new TR element (and it's TD children) for a row ...</div><div class='long'><p>Create a new TR element (and it's TD children) for a row</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iRow</span> : int<div class='sub-desc'><p>Row to consider\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnDataToSearch' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnDataToSearch' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnDataToSearch' class='name expandable'>_fnDataToSearch</a>( <span class='pre'>sData, sType</span> ) : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Convert raw data into something that the user can search on ...</div><div class='long'><p>Convert raw data into something that the user can search on</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sData</span> : string<div class='sub-desc'><p>data to be modified</p>\n</div></li><li><span class='pre'>sType</span> : string<div class='sub-desc'><p>data type</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>string</span><div class='sub-desc'><p>search string\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnDeleteIndex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnDeleteIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnDeleteIndex' class='name expandable'>_fnDeleteIndex</a>( <span class='pre'>a, iTarget</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Take an array of integers (index array) and remove a target integer (value - not\nthe key!) ...</div><div class='long'><p>Take an array of integers (index array) and remove a target integer (value - not\nthe key!)</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>a</span> : array<div class='sub-desc'><p>Index array to target</p>\n</div></li><li><span class='pre'>iTarget</span> : int<div class='sub-desc'><p>value to find\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnDetectHeader' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnDetectHeader' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnDetectHeader' class='name expandable'>_fnDetectHeader</a>( <span class='pre'>array, nThead</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Use the DOM source to create up an array of header cells. ...</div><div class='long'><p>Use the DOM source to create up an array of header cells. The idea here is to\ncreate a layout grid (array) of rows x columns, which contains a reference\nto the cell that that point in the grid (regardless of col/rowspan), such that\nany column / row could be removed and the new grid constructed</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>array</span> : Object<div class='sub-desc'><p>{object} aLayout Array to store the calculated layout in</p>\n</div></li><li><span class='pre'>nThead</span> : node<div class='sub-desc'><p>The header/footer element for the table\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnDetectType' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnDetectType' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnDetectType' class='name expandable'>_fnDetectType</a>( <span class='pre'>sData</span> ) : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the sort type based on an input string ...</div><div class='long'><p>Get the sort type based on an input string</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sData</span> : string<div class='sub-desc'><p>data we wish to know the type of</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>string</span><div class='sub-desc'><p>type (defaults to 'string' if no type can be detected)\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnDraw' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnDraw' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnDraw' class='name expandable'>_fnDraw</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Insert the required TR nodes into the table for display ...</div><div class='long'><p>Insert the required TR nodes into the table for display</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnDrawHead' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnDrawHead' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnDrawHead' class='name expandable'>_fnDrawHead</a>( <span class='pre'>oSettings, array, [bIncludeHidden]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Draw the header (or footer) element based on the column visibility states. ...</div><div class='long'><p>Draw the header (or footer) element based on the column visibility states. The\nmethodology here is to use the layout array from _fnDetectHeader, modified for\nthe instantaneous column visibility, to construct the new layout. The grid is\ntraversed over cell at a time in a rows x columns grid fashion, although each\ncell insert can cover multiple elements in the grid - which is tracks using the\naApplied array. Cell inserts in the grid will only occur where there isn't\nalready a cell in that position.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>array</span> : Object<div class='sub-desc'><p>{objects} aoSource Layout array from _fnDetectHeader</p>\n</div></li><li><span class='pre'>bIncludeHidden</span> : boolean (optional)<div class='sub-desc'><p>If true then include the hidden columns in the calc,\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n<p>Defaults to: <code>false</code></p></div></li></ul></div></div></div><div id='method-_fnEscapeRegex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnEscapeRegex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnEscapeRegex' class='name expandable'>_fnEscapeRegex</a>( <span class='pre'>sVal</span> ) : string<span class=\"signature\"></span></div><div class='description'><div class='short'>scape a string such that it can be used in a regular expression ...</div><div class='long'><p>scape a string such that it can be used in a regular expression</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sVal</span> : string<div class='sub-desc'><p>string to escape</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>string</span><div class='sub-desc'><p>escaped string\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnExtend' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnExtend' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnExtend' class='name expandable'>_fnExtend</a>( <span class='pre'>oOut, oExtender</span> ) : object<span class=\"signature\"></span></div><div class='description'><div class='short'>Extend objects - very similar to jQuery.extend, but deep copy objects, and shallow\ncopy arrays. ...</div><div class='long'><p>Extend objects - very similar to jQuery.extend, but deep copy objects, and shallow\ncopy arrays. The reason we need to do this, is that we don't want to deep copy array\ninit values (such as aaSorting) since the dev wouldn't be able to override them, but\nwe do want to deep copy arrays.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oOut</span> : object<div class='sub-desc'><p>Object to extend</p>\n</div></li><li><span class='pre'>oExtender</span> : object<div class='sub-desc'><p>Object from which the properties will be applied to oOut</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>object</span><div class='sub-desc'><p>oOut Reference, just for convenience - oOut === the return.\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a>\n @todo This doesn't take account of arrays inside the deep copied objects.</p>\n</div></li></ul></div></div></div><div id='method-_fnExternApiFunc' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnExternApiFunc' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnExternApiFunc' class='name expandable'>_fnExternApiFunc</a>( <span class='pre'>sFunc</span> ) : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Create a wrapper function for exporting an internal functions to an external API. ...</div><div class='long'><p>Create a wrapper function for exporting an internal functions to an external API.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sFunc</span> : string<div class='sub-desc'><p>API function name</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>function</span><div class='sub-desc'><p>wrapped function\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnFeatureHtmlFilter' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFeatureHtmlFilter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFeatureHtmlFilter' class='name expandable'>_fnFeatureHtmlFilter</a>( <span class='pre'>oSettings</span> ) : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Generate the node required for filtering text ...</div><div class='long'><p>Generate the node required for filtering text</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>Filter control element</p>\n</div></li></ul></div></div></div><div id='method-_fnFeatureHtmlInfo' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFeatureHtmlInfo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFeatureHtmlInfo' class='name expandable'>_fnFeatureHtmlInfo</a>( <span class='pre'>oSettings</span> ) : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Generate the node required for the info display ...</div><div class='long'><p>Generate the node required for the info display</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>Information element\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnFeatureHtmlLength' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFeatureHtmlLength' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFeatureHtmlLength' class='name expandable'>_fnFeatureHtmlLength</a>( <span class='pre'>oSettings</span> ) : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Generate the node required for user display length changing ...</div><div class='long'><p>Generate the node required for user display length changing</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>Display length feature node\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnFeatureHtmlPaginate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFeatureHtmlPaginate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFeatureHtmlPaginate' class='name expandable'>_fnFeatureHtmlPaginate</a>( <span class='pre'>oSettings</span> ) : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Generate the node required for default pagination ...</div><div class='long'><p>Generate the node required for default pagination</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>Pagination feature node\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnFeatureHtmlProcessing' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFeatureHtmlProcessing' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFeatureHtmlProcessing' class='name expandable'>_fnFeatureHtmlProcessing</a>( <span class='pre'>oSettings</span> ) : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Generate the node required for the processing node ...</div><div class='long'><p>Generate the node required for the processing node</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>Processing element\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnFeatureHtmlTable' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFeatureHtmlTable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFeatureHtmlTable' class='name expandable'>_fnFeatureHtmlTable</a>( <span class='pre'>oSettings</span> ) : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Add any control elements for the table - specifically scrolling ...</div><div class='long'><p>Add any control elements for the table - specifically scrolling</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>Node to add to the DOM\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnFilter' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFilter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFilter' class='name expandable'>_fnFilter</a>( <span class='pre'>oSettings, sInput, iForce, bRegex, bSmart, bCaseInsensitive</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Filter the data table based on user input and draw the table ...</div><div class='long'><p>Filter the data table based on user input and draw the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>sInput</span> : string<div class='sub-desc'><p>string to filter on</p>\n</div></li><li><span class='pre'>iForce</span> : int<div class='sub-desc'><p>optional - force a research of the master array (1) or not (undefined or 0)</p>\n</div></li><li><span class='pre'>bRegex</span> : bool<div class='sub-desc'><p>treat as a regular expression or not</p>\n</div></li><li><span class='pre'>bSmart</span> : bool<div class='sub-desc'><p>perform smart filtering or not</p>\n</div></li><li><span class='pre'>bCaseInsensitive</span> : bool<div class='sub-desc'><p>Do case insenstive matching or not\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnFilterColumn' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFilterColumn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFilterColumn' class='name expandable'>_fnFilterColumn</a>( <span class='pre'>oSettings, sInput, iColumn, bRegex, bSmart, bCaseInsensitive</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Filter the table on a per-column basis ...</div><div class='long'><p>Filter the table on a per-column basis</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>sInput</span> : string<div class='sub-desc'><p>string to filter on</p>\n</div></li><li><span class='pre'>iColumn</span> : int<div class='sub-desc'><p>column to filter</p>\n</div></li><li><span class='pre'>bRegex</span> : bool<div class='sub-desc'><p>treat search string as a regular expression or not</p>\n</div></li><li><span class='pre'>bSmart</span> : bool<div class='sub-desc'><p>use smart filtering or not</p>\n</div></li><li><span class='pre'>bCaseInsensitive</span> : bool<div class='sub-desc'><p>Do case insenstive matching or not\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnFilterComplete' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFilterComplete' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFilterComplete' class='name expandable'>_fnFilterComplete</a>( <span class='pre'>oSettings, oSearch, [iForce]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Filter the table using both the global filter and column based filtering ...</div><div class='long'><p>Filter the table using both the global filter and column based filtering</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>oSearch</span> : object<div class='sub-desc'><p>search information</p>\n</div></li><li><span class='pre'>iForce</span> : int (optional)<div class='sub-desc'><p>force a research of the master array (1) or not (undefined or 0)\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnFilterCreateSearch' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFilterCreateSearch' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFilterCreateSearch' class='name expandable'>_fnFilterCreateSearch</a>( <span class='pre'>sSearch, bRegex, bSmart, bCaseInsensitive</span> ) : RegExp<span class=\"signature\"></span></div><div class='description'><div class='short'>Build a regular expression object suitable for searching a table ...</div><div class='long'><p>Build a regular expression object suitable for searching a table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sSearch</span> : string<div class='sub-desc'><p>string to search for</p>\n</div></li><li><span class='pre'>bRegex</span> : bool<div class='sub-desc'><p>treat as a regular expression or not</p>\n</div></li><li><span class='pre'>bSmart</span> : bool<div class='sub-desc'><p>perform smart filtering or not</p>\n</div></li><li><span class='pre'>bCaseInsensitive</span> : bool<div class='sub-desc'><p>Do case insensitive matching or not</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>RegExp</span><div class='sub-desc'><p>constructed object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnFilterCustom' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnFilterCustom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnFilterCustom' class='name expandable'>_fnFilterCustom</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Apply custom filtering functions ...</div><div class='long'><p>Apply custom filtering functions</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnGatherData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGatherData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGatherData' class='name expandable'>_fnGatherData</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Read in the data from the target table from the DOM ...</div><div class='long'><p>Read in the data from the target table from the DOM</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnGetCellData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetCellData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetCellData' class='name expandable'>_fnGetCellData</a>( <span class='pre'>oSettings, iRow, iCol, sSpecific</span> ) : *<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the data for a given cell from the internal cache, taking into account data mapping ...</div><div class='long'><p>Get the data for a given cell from the internal cache, taking into account data mapping</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iRow</span> : int<div class='sub-desc'><p>aoData row id</p>\n</div></li><li><span class='pre'>iCol</span> : int<div class='sub-desc'><p>Column index</p>\n</div></li><li><span class='pre'>sSpecific</span> : string<div class='sub-desc'><p>data get type ('display', 'type' 'filter' 'sort')</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>*</span><div class='sub-desc'><p>Cell data\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnGetColumns' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetColumns' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetColumns' class='name expandable'>_fnGetColumns</a>( <span class='pre'>oSettings, sParam</span> ) : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Get an array of column indexes that match a given property ...</div><div class='long'><p>Get an array of column indexes that match a given property</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>sParam</span> : string<div class='sub-desc'><p>Parameter in aoColumns to look for - typically\n   bVisible or bSearchable</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array</span><div class='sub-desc'><p>Array of indexes with matched properties\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnGetDataMaster' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetDataMaster' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetDataMaster' class='name expandable'>_fnGetDataMaster</a>( <span class='pre'>oSettings</span> ) : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Return an array with the full table data ...</div><div class='long'><p>Return an array with the full table data</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>array {array} aData Master data array\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnGetMaxLenString' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetMaxLenString' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetMaxLenString' class='name expandable'>_fnGetMaxLenString</a>( <span class='pre'>oSettings, iCol</span> ) : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the maximum strlen for each data column ...</div><div class='long'><p>Get the maximum strlen for each data column</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iCol</span> : int<div class='sub-desc'><p>column of interest</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>string</span><div class='sub-desc'><p>max string length for each column\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnGetObjectDataFn' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetObjectDataFn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetObjectDataFn' class='name expandable'>_fnGetObjectDataFn</a>( <span class='pre'>mSource</span> ) : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Return a function that can be used to get data from a source object, taking\ninto account the ability to use nested ob...</div><div class='long'><p>Return a function that can be used to get data from a source object, taking\ninto account the ability to use nested objects as a source</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>mSource</span> : string|int|function<div class='sub-desc'><p>The data source for the object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>function</span><div class='sub-desc'><p>Data get function\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnGetRowData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetRowData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetRowData' class='name expandable'>_fnGetRowData</a>( <span class='pre'>oSettings, iRow, sSpecific, aiColumns</span> ) : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Get an array of data for a given row from the internal data cache ...</div><div class='long'><p>Get an array of data for a given row from the internal data cache</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iRow</span> : int<div class='sub-desc'><p>aoData row id</p>\n</div></li><li><span class='pre'>sSpecific</span> : string<div class='sub-desc'><p>data get type ('type' 'filter' 'sort')</p>\n</div></li><li><span class='pre'>aiColumns</span> : array<div class='sub-desc'><p>Array of column indexes to get data from</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array</span><div class='sub-desc'><p>Data array\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnGetTdNodes' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetTdNodes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetTdNodes' class='name expandable'>_fnGetTdNodes</a>( <span class='pre'>oSettings, [iIndividualRow]</span> ) : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Return an flat array with all TD nodes for the table, or row ...</div><div class='long'><p>Return an flat array with all TD nodes for the table, or row</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iIndividualRow</span> : int (optional)<div class='sub-desc'><p>aoData index to get the nodes for - optional\n   if not given then the return array will contain all nodes for the table</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array</span><div class='sub-desc'><p>TD array\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnGetTrNodes' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetTrNodes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetTrNodes' class='name expandable'>_fnGetTrNodes</a>( <span class='pre'>oSettings</span> ) : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Return an array with the TR nodes for the table ...</div><div class='long'><p>Return an array with the TR nodes for the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array</span><div class='sub-desc'><p>TR array\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnGetUniqueThs' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetUniqueThs' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetUniqueThs' class='name expandable'>_fnGetUniqueThs</a>( <span class='pre'>oSettings, nHeader, aLayout</span> ) : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Get an array of unique th elements, one for each column ...</div><div class='long'><p>Get an array of unique th elements, one for each column</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>nHeader</span> : node<div class='sub-desc'><p>automatically detect the layout from this node - optional</p>\n</div></li><li><span class='pre'>aLayout</span> : array<div class='sub-desc'><p>thead/tfoot layout from _fnDetectHeader - optional</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>array {node} aReturn list of unique th's\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnGetWidestNode' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnGetWidestNode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnGetWidestNode' class='name expandable'>_fnGetWidestNode</a>( <span class='pre'>oSettings, iCol</span> ) : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the widest node ...</div><div class='long'><p>Get the widest node</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iCol</span> : int<div class='sub-desc'><p>column of interest</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>widest table node\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnInitComplete' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnInitComplete' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnInitComplete' class='name expandable'>_fnInitComplete</a>( <span class='pre'>oSettings, [json]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Draw the table for the first time, adding all required features ...</div><div class='long'><p>Draw the table for the first time, adding all required features</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>json</span> : object (optional)<div class='sub-desc'><p>JSON from the server that completed the table, if using Ajax source\n   with client-side processing (optional)\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnInitialise' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnInitialise' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnInitialise' class='name expandable'>_fnInitialise</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Draw the table for the first time, adding all required features ...</div><div class='long'><p>Draw the table for the first time, adding all required features</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnJsonString' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnJsonString' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnJsonString' class='name expandable'>_fnJsonString</a>( <span class='pre'>o</span> ) : string<span class=\"signature\"></span></div><div class='description'><div class='short'>JSON stringify. ...</div><div class='long'><p>JSON stringify. If JSON.stringify it provided by the browser, json2.js or any other\nlibrary, then we use that as it is fast, safe and accurate. If the function isn't\navailable then we need to built it ourselves - the inspiration for this function comes\nfrom Craig Buckler ( http://www.sitepoint.com/javascript-json-serialization/ ). It is\nnot perfect and absolutely should not be used as a replacement to json2.js - but it does\ndo what we need, without requiring a dependency for DataTables.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>o</span> : object<div class='sub-desc'><p>JSON object to be converted</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>string</span><div class='sub-desc'><p>JSON string\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnLanguageCompat' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnLanguageCompat' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnLanguageCompat' class='name expandable'>_fnLanguageCompat</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Language compatibility - when certain options are given, and others aren't, we\nneed to duplicate the values over, in ...</div><div class='long'><p>Language compatibility - when certain options are given, and others aren't, we\nneed to duplicate the values over, in order to provide backwards compatibility\nwith older language files.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnLoadState' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnLoadState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnLoadState' class='name expandable'>_fnLoadState</a>( <span class='pre'>oSettings, oInit</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Attempt to load a saved table state from a cookie ...</div><div class='long'><p>Attempt to load a saved table state from a cookie</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>oInit</span> : object<div class='sub-desc'><p>DataTables init object so we can override settings\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnLog' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnLog' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnLog' class='name expandable'>_fnLog</a>( <span class='pre'>oSettings, iLevel, sMesg</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Log an error message ...</div><div class='long'><p>Log an error message</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iLevel</span> : int<div class='sub-desc'><p>log error messages, or display them to the user</p>\n</div></li><li><span class='pre'>sMesg</span> : string<div class='sub-desc'><p>error message\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnMap' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnMap' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnMap' class='name expandable'>_fnMap</a>( <span class='pre'>oRet, oSrc, sName, [sMappedName]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>See if a property is defined on one object, if so assign it to the other object ...</div><div class='long'><p>See if a property is defined on one object, if so assign it to the other object</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oRet</span> : object<div class='sub-desc'><p>target object</p>\n</div></li><li><span class='pre'>oSrc</span> : object<div class='sub-desc'><p>source object</p>\n</div></li><li><span class='pre'>sName</span> : string<div class='sub-desc'><p>property</p>\n</div></li><li><span class='pre'>sMappedName</span> : string (optional)<div class='sub-desc'><p>name to map too - optional, sName used if not given\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnNodeToColumnIndex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnNodeToColumnIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnNodeToColumnIndex' class='name expandable'>_fnNodeToColumnIndex</a>( <span class='pre'>oSettings, iRow, n</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Take a TD element and convert it into a column data index (not the visible index) ...</div><div class='long'><p>Take a TD element and convert it into a column data index (not the visible index)</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iRow</span> : int<div class='sub-desc'><p>The row number the TD/TH can be found in</p>\n</div></li><li><span class='pre'>n</span> : node<div class='sub-desc'><p>The TD/TH element to find</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>index if the node is found, -1 if not\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnNodeToDataIndex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnNodeToDataIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnNodeToDataIndex' class='name expandable'>_fnNodeToDataIndex</a>( <span class='pre'>oSettings, n</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Take a TR element and convert it to an index in aoData ...</div><div class='long'><p>Take a TR element and convert it to an index in aoData</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>n</span> : node<div class='sub-desc'><p>the TR element to find</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>index if the node is found, null if not\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnPageChange' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnPageChange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnPageChange' class='name expandable'>_fnPageChange</a>( <span class='pre'>oSettings, mAction</span> ) : bool<span class=\"signature\"></span></div><div class='description'><div class='short'>Alter the display settings to change the page ...</div><div class='long'><p>Alter the display settings to change the page</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>mAction</span> : string|int<div class='sub-desc'><p>Paging action to take: \"first\", \"previous\", \"next\" or \"last\"\n   or page number to jump to (integer)</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>bool</span><div class='sub-desc'><p>true page has changed, false - no change (no effect) eg 'first' on page 1\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnProcessingDisplay' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnProcessingDisplay' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnProcessingDisplay' class='name expandable'>_fnProcessingDisplay</a>( <span class='pre'>oSettings, bShow</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Display or hide the processing indicator ...</div><div class='long'><p>Display or hide the processing indicator</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>bShow</span> : bool<div class='sub-desc'><p>Show the processing indicator (true) or not (false)\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnReDraw' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnReDraw' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnReDraw' class='name expandable'>_fnReDraw</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Redraw the table - taking account of the various features which are enabled ...</div><div class='long'><p>Redraw the table - taking account of the various features which are enabled</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnReOrderIndex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnReOrderIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnReOrderIndex' class='name expandable'>_fnReOrderIndex</a>( <span class='pre'>oSettings</span> ) : Object<span class=\"signature\"></span></div><div class='description'><div class='short'>Figure out how to reorder a display list ...</div><div class='long'><p>Figure out how to reorder a display list</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>Object</span><div class='sub-desc'><p>array {int} aiReturn index list for reordering\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnReadCookie' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnReadCookie' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnReadCookie' class='name expandable'>_fnReadCookie</a>( <span class='pre'>sName</span> ) : string<span class=\"signature\"></span></div><div class='description'><div class='short'>Read an old cookie to get a cookie with an old table state ...</div><div class='long'><p>Read an old cookie to get a cookie with an old table state</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sName</span> : string<div class='sub-desc'><p>name of the cookie to read</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>string</span><div class='sub-desc'><p>contents of the cookie - or null if no cookie with that name found\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnRender' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnRender' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnRender' class='name expandable'>_fnRender</a>( <span class='pre'>oSettings, iRow, iCol</span> ) : *<span class=\"signature\"></span></div><div class='description'><div class='short'>Call the developer defined fnRender function for a given cell (row/column) with\nthe required parameters and return th...</div><div class='long'><p>Call the developer defined fnRender function for a given cell (row/column) with\nthe required parameters and return the result.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iRow</span> : int<div class='sub-desc'><p>aoData index for the row</p>\n</div></li><li><span class='pre'>iCol</span> : int<div class='sub-desc'><p>aoColumns index for the column</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>*</span><div class='sub-desc'><p>Return of the developer's fnRender function\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnSaveState' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSaveState' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSaveState' class='name expandable'>_fnSaveState</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Save the state of a table in a cookie such that the page can be reloaded ...</div><div class='long'><p>Save the state of a table in a cookie such that the page can be reloaded</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnScrollBarWidth' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnScrollBarWidth' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnScrollBarWidth' class='name expandable'>_fnScrollBarWidth</a>( <span class='pre'></span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the width of a scroll bar in this browser being used ...</div><div class='long'><p>Get the width of a scroll bar in this browser being used</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>width in pixels\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnScrollDraw' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnScrollDraw' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnScrollDraw' class='name expandable'>_fnScrollDraw</a>( <span class='pre'>o</span> ) : node<span class=\"signature\"></span></div><div class='description'><div class='short'>Update the various tables for resizing. ...</div><div class='long'><p>Update the various tables for resizing. It's a bit of a pig this function, but\nbasically the idea to:\n  1. Re-create the table inside the scrolling div\n  2. Take live measurements from the DOM\n  3. Apply the measurements\n  4. Clean up</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>o</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>Node to add to the DOM\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnScrollingWidthAdjust' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnScrollingWidthAdjust' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnScrollingWidthAdjust' class='name expandable'>_fnScrollingWidthAdjust</a>( <span class='pre'>oSettings, n</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Adjust a table's width to take account of scrolling ...</div><div class='long'><p>Adjust a table's width to take account of scrolling</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>n</span> : node<div class='sub-desc'><p>table node\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnServerParams' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnServerParams' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnServerParams' class='name expandable'>_fnServerParams</a>( <span class='pre'>oSettings, array</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Add Ajax parameters from plug-ins ...</div><div class='long'><p>Add Ajax parameters from plug-ins</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>array</span> : Object<div class='sub-desc'><p>{objects} aoData name/value pairs to send to the server\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnSetCellData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSetCellData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSetCellData' class='name expandable'>_fnSetCellData</a>( <span class='pre'>oSettings, iRow, iCol, val</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Set the value for a specific cell, into the internal data cache ...</div><div class='long'><p>Set the value for a specific cell, into the internal data cache</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iRow</span> : int<div class='sub-desc'><p>aoData row id</p>\n</div></li><li><span class='pre'>iCol</span> : int<div class='sub-desc'><p>Column index</p>\n</div></li><li><span class='pre'>val</span> : *<div class='sub-desc'><p>Value to set\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnSetObjectDataFn' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSetObjectDataFn' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSetObjectDataFn' class='name expandable'>_fnSetObjectDataFn</a>( <span class='pre'>mSource</span> ) : function<span class=\"signature\"></span></div><div class='description'><div class='short'>Return a function that can be used to set data from a source object, taking\ninto account the ability to use nested ob...</div><div class='long'><p>Return a function that can be used to set data from a source object, taking\ninto account the ability to use nested objects as a source</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>mSource</span> : string|int|function<div class='sub-desc'><p>The data source for the object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>function</span><div class='sub-desc'><p>Data set function\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnSettingsFromNode' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSettingsFromNode' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSettingsFromNode' class='name expandable'>_fnSettingsFromNode</a>( <span class='pre'>nTable</span> ) : object<span class=\"signature\"></span></div><div class='description'><div class='short'>Return the settings object for a particular table ...</div><div class='long'><p>Return the settings object for a particular table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>nTable</span> : node<div class='sub-desc'><p>table we are using as a dataTable</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>object</span><div class='sub-desc'><p>Settings object - or null if not found\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnSort' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSort' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSort' class='name expandable'>_fnSort</a>( <span class='pre'>oSettings, bApplyClasses</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Change the order of the table ...</div><div class='long'><p>Change the order of the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>bApplyClasses</span> : bool<div class='sub-desc'><p>optional - should we apply classes or not\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnSortAttachListener' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSortAttachListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSortAttachListener' class='name expandable'>_fnSortAttachListener</a>( <span class='pre'>oSettings, nNode, iDataIndex, [fnCallback]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Attach a sort handler (click) to a node ...</div><div class='long'><p>Attach a sort handler (click) to a node</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>nNode</span> : node<div class='sub-desc'><p>node to attach the handler to</p>\n</div></li><li><span class='pre'>iDataIndex</span> : int<div class='sub-desc'><p>column sorting index</p>\n</div></li><li><span class='pre'>fnCallback</span> : function (optional)<div class='sub-desc'><p>callback function\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnSortingClasses' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnSortingClasses' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnSortingClasses' class='name expandable'>_fnSortingClasses</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Set the sorting classes on the header, Note: it is safe to call this function\nwhen bSort and bSortClasses are false ...</div><div class='long'><p>Set the sorting classes on the header, Note: it is safe to call this function\nwhen bSort and bSortClasses are false</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnStringToCss' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnStringToCss' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnStringToCss' class='name expandable'>_fnStringToCss</a>( <span class='pre'>aArray1, aArray2</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Append a CSS unit (only if required) to a string ...</div><div class='long'><p>Append a CSS unit (only if required) to a string</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>aArray1</span> : array<div class='sub-desc'><p>first array</p>\n</div></li><li><span class='pre'>aArray2</span> : array<div class='sub-desc'><p>second array</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>0 if match, 1 if length is different, 2 if no match\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnUpdateInfo' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnUpdateInfo' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnUpdateInfo' class='name expandable'>_fnUpdateInfo</a>( <span class='pre'>oSettings</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Update the information elements in the display ...</div><div class='long'><p>Update the information elements in the display</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnVisbleColumns' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnVisbleColumns' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnVisbleColumns' class='name expandable'>_fnVisbleColumns</a>( <span class='pre'>oSettings</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the number of visible columns ...</div><div class='long'><p>Get the number of visible columns</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>i the number of visible columns\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-_fnVisibleToColumnIndex' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-_fnVisibleToColumnIndex' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-_fnVisibleToColumnIndex' class='name expandable'>_fnVisibleToColumnIndex</a>( <span class='pre'>oSettings, iMatch</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Covert the index of a visible column to the index in the data array (take account\nof hidden columns) ...</div><div class='long'><p>Covert the index of a visible column to the index in the data array (take account\nof hidden columns)</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>oSettings</span> : object<div class='sub-desc'><p>dataTables settings object</p>\n</div></li><li><span class='pre'>iMatch</span> : int<div class='sub-desc'><p>Visible column index to lookup</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>i the data index\n @memberof <a href=\"#!/api/DataTable-property-oApi\" rel=\"DataTable-property-oApi\" class=\"docClass\">DataTable.oApi</a></p>\n</div></li></ul></div></div></div><div id='method-fnAddData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnAddData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnAddData' class='name expandable'>fnAddData</a>( <span class='pre'>mData, [bRedraw]</span> ) : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Add a single new row or multiple rows of data to the table. ...</div><div class='long'><p>Add a single new row or multiple rows of data to the table. Please note\nthat this is suitable for client-side processing only - if you are using\nserver-side processing (i.e. \"bServerSide\": true), then to add data, you\nmust add it to the data source, i.e. the server-side, through an Ajax call.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>mData</span> : array|object<div class='sub-desc'><p>The data to be added to the table. This can be:\n   <ul>\n     <li>1D array of data - add a single row with the data provided</li>\n     <li>2D array of arrays - add multiple rows in a single call</li>\n     <li>object - data object when using <i>mData</i></li>\n     <li>array of objects - multiple data objects when using <i>mData</i></li>\n   </ul></p>\n</div></li><li><span class='pre'>bRedraw</span> : bool (optional)<div class='sub-desc'><p>redraw the table or not</p>\n<p>Defaults to: <code>true</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array</span><div class='sub-desc'><p>An array of integers, representing the list of indexes in\n   <i>aoData</i> (DataTable.models.oSettings) that have been added to\n   the table.\n @dtopt API</p>\n\n<p> @example\n   // Global var for counter\n   var giCount = 2;</p>\n\n<p>   $(document).ready(function() {\n     $('#example').dataTable();\n   } );</p>\n\n<p>   function fnClickAddRow() {\n     $('#example').dataTable().fnAddData( [\n       giCount+\".1\",\n       giCount+\".2\",\n       giCount+\".3\",\n       giCount+\".4\" ]\n     );</p>\n\n<pre><code> giCount++;\n</code></pre>\n\n<p>   }</p>\n</div></li></ul></div></div></div><div id='method-fnAdjustColumnSizing' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnAdjustColumnSizing' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnAdjustColumnSizing' class='name expandable'>fnAdjustColumnSizing</a>( <span class='pre'>[bRedraw]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This function will make DataTables recalculate the column sizes, based on the data\ncontained in the table and the siz...</div><div class='long'><p>This function will make DataTables recalculate the column sizes, based on the data\ncontained in the table and the sizes applied to the columns (in the DOM, CSS or\nthrough the sWidth parameter). This can be useful when the width of the table's\nparent element changes (for example a window resize).</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bRedraw</span> : boolean (optional)<div class='sub-desc'><p>Redraw the table or not, you will typically want to\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable( {\n       \"sScrollY\": \"200px\",\n       \"bPaginate\": false\n     } );</p>\n\n<pre><code> $(window).bind('resize', function () {\n   oTable.fnAdjustColumnSizing();\n } );\n</code></pre>\n\n<p>   } );</p>\n<p>Defaults to: <code>true</code></p></div></li></ul></div></div></div><div id='method-fnClearTable' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnClearTable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnClearTable' class='name expandable'>fnClearTable</a>( <span class='pre'>[bRedraw]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Quickly and simply clear a table ...</div><div class='long'><p>Quickly and simply clear a table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bRedraw</span> : bool (optional)<div class='sub-desc'><p>redraw the table or not\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Immediately 'nuke' the current rows (perhaps waiting for an Ajax callback...)\n oTable.fnClearTable();\n</code></pre>\n\n<p>   } );</p>\n<p>Defaults to: <code>true</code></p></div></li></ul></div></div></div><div id='method-fnClose' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnClose' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnClose' class='name expandable'>fnClose</a>( <span class='pre'>nTr</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>The exact opposite of 'opening' a row, this function will close any rows which\nare currently 'open'. ...</div><div class='long'><p>The exact opposite of 'opening' a row, this function will close any rows which\nare currently 'open'.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>nTr</span> : node<div class='sub-desc'><p>the table row to 'close'</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>0 on success, or 1 if failed (can't find the row)\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable;</p>\n\n<pre><code> // 'open' an information row when a row is clicked on\n $('#example tbody tr').click( function () {\n   if ( oTable.fnIsOpen(this) ) {\n     oTable.fnClose( this );\n   } else {\n     oTable.fnOpen( this, \"Temporary row opened\", \"info_row\" );\n   }\n } );\n\n oTable = $('#example').dataTable();\n</code></pre>\n\n<p>   } );</p>\n</div></li></ul></div></div></div><div id='method-fnDeleteRow' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnDeleteRow' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnDeleteRow' class='name expandable'>fnDeleteRow</a>( <span class='pre'>mTarget, [fnCallBack], [bRedraw]</span> ) : array<span class=\"signature\"></span></div><div class='description'><div class='short'>Remove a row for the table ...</div><div class='long'><p>Remove a row for the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>mTarget</span> : mixed<div class='sub-desc'><p>The index of the row from aoData to be deleted, or\n   the TR element you want to delete</p>\n</div></li><li><span class='pre'>fnCallBack</span> : function|null (optional)<div class='sub-desc'><p>Callback function</p>\n</div></li><li><span class='pre'>bRedraw</span> : bool (optional)<div class='sub-desc'><p>Redraw the table or not</p>\n<p>Defaults to: <code>true</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array</span><div class='sub-desc'><p>The row that was deleted\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Immediately remove the first row\n oTable.fnDeleteRow( 0 );\n</code></pre>\n\n<p>   } );</p>\n</div></li></ul></div></div></div><div id='method-fnDestroy' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnDestroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnDestroy' class='name expandable'>fnDestroy</a>( <span class='pre'>[bRemove]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Restore the table to it's original state in the DOM by removing all of DataTables\nenhancements, alterations to the DO...</div><div class='long'><p>Restore the table to it's original state in the DOM by removing all of DataTables\nenhancements, alterations to the DOM structure of the table and event listeners.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bRemove</span> : boolean (optional)<div class='sub-desc'><p>Completely remove the table from the DOM\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     // This example is fairly pointless in reality, but shows how fnDestroy can be used\n     var oTable = $('#example').dataTable();\n     oTable.fnDestroy();\n   } );</p>\n<p>Defaults to: <code>false</code></p></div></li></ul></div></div></div><div id='method-fnDraw' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnDraw' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnDraw' class='name expandable'>fnDraw</a>( <span class='pre'>[bComplete]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Redraw the table ...</div><div class='long'><p>Redraw the table</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bComplete</span> : bool (optional)<div class='sub-desc'><p>Re-filter and resort (if enabled) the table before the draw.\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Re-draw the table - you wouldn't want to do it here, but it's an example :-)\n oTable.fnDraw();\n</code></pre>\n\n<p>   } );</p>\n<p>Defaults to: <code>true</code></p></div></li></ul></div></div></div><div id='method-fnFilter' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnFilter' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnFilter' class='name expandable'>fnFilter</a>( <span class='pre'>sInput, [iColumn], [bRegex], [bSmart], [bShowGlobal], [bCaseInsensitive]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Filter the input based on data ...</div><div class='long'><p>Filter the input based on data</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sInput</span> : string<div class='sub-desc'><p>String to filter the table on</p>\n</div></li><li><span class='pre'>iColumn</span> : int|null (optional)<div class='sub-desc'><p>Column to limit filtering to</p>\n</div></li><li><span class='pre'>bRegex</span> : bool (optional)<div class='sub-desc'><p>Treat as regular expression or not</p>\n<p>Defaults to: <code>false</code></p></div></li><li><span class='pre'>bSmart</span> : bool (optional)<div class='sub-desc'><p>Perform smart filtering or not</p>\n<p>Defaults to: <code>true</code></p></div></li><li><span class='pre'>bShowGlobal</span> : bool (optional)<div class='sub-desc'><p>Show the input global filter in it's input box(es)</p>\n<p>Defaults to: <code>true</code></p></div></li><li><span class='pre'>bCaseInsensitive</span> : bool (optional)<div class='sub-desc'><p>Do case-insensitive matching (true) or not (false)\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Sometime later - filter...\n oTable.fnFilter( 'test string' );\n</code></pre>\n\n<p>   } );</p>\n<p>Defaults to: <code>true</code></p></div></li></ul></div></div></div><div id='method-fnGetData' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnGetData' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnGetData' class='name expandable'>fnGetData</a>( <span class='pre'>[mRow], [iCol]</span> ) : array|object|string<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the data for the whole table, an individual row or an individual cell based on the\nprovided parameters. ...</div><div class='long'><p>Get the data for the whole table, an individual row or an individual cell based on the\nprovided parameters.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>mRow</span> : int|node (optional)<div class='sub-desc'><p>A TR row node, TD/TH cell node or an integer. If given as\n   a TR node then the data source for the whole row will be returned. If given as a\n   TD/TH cell node then iCol will be automatically calculated and the data for the\n   cell returned. If given as an integer, then this is treated as the aoData internal\n   data index for the row (see fnGetPosition) and the data for that row used.</p>\n</div></li><li><span class='pre'>iCol</span> : int (optional)<div class='sub-desc'><p>Optional column index that you want the data of.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array|object|string</span><div class='sub-desc'><p>If mRow is undefined, then the data for all rows is\n   returned. If mRow is defined, just data for that row, and is iCol is\n   defined, only data for the designated cell is returned.\n @dtopt API</p>\n\n<p> @example\n   // Row data\n   $(document).ready(function() {\n     oTable = $('#example').dataTable();</p>\n\n<pre><code> oTable.$('tr').click( function () {\n   var data = oTable.fnGetData( this );\n   // ... do something with the array / object of data for the row\n } );\n</code></pre>\n\n<p>   } );</p>\n\n<p> @example\n   // Individual cell data\n   $(document).ready(function() {\n     oTable = $('#example').dataTable();</p>\n\n<pre><code> oTable.$('td').click( function () {\n   var sData = oTable.fnGetData( this );\n   alert( 'The cell clicked on had the value of '+sData );\n } );\n</code></pre>\n\n<p>   } );</p>\n</div></li></ul></div></div></div><div id='method-fnGetNodes' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnGetNodes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnGetNodes' class='name expandable'>fnGetNodes</a>( <span class='pre'>[iRow]</span> ) : array|node<span class=\"signature\"></span></div><div class='description'><div class='short'>Get an array of the TR nodes that are used in the table's body. ...</div><div class='long'><p>Get an array of the TR nodes that are used in the table's body. Note that you will\ntypically want to use the '$' API method in preference to this as it is more\nflexible.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>iRow</span> : int (optional)<div class='sub-desc'><p>Optional row index for the TR element you want</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array|node</span><div class='sub-desc'><p>If iRow is undefined, returns an array of all TR elements\n   in the table's body, or iRow is defined, just the TR element requested.\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Get the nodes from the table\n var nNodes = oTable.fnGetNodes( );\n</code></pre>\n\n<p>   } );</p>\n</div></li></ul></div></div></div><div id='method-fnGetPosition' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnGetPosition' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnGetPosition' class='name expandable'>fnGetPosition</a>( <span class='pre'>nNode</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the array indexes of a particular cell from it's DOM element\nand column index including hidden columns ...</div><div class='long'><p>Get the array indexes of a particular cell from it's DOM element\nand column index including hidden columns</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>nNode</span> : node<div class='sub-desc'><p>this can either be a TR, TD or TH in the table's body</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>If nNode is given as a TR, then a single index is returned, or\n   if given as a cell, an array of [row index, column index (visible),\n   column index (all)] is given.\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     $('#example tbody td').click( function () {\n       // Get the position of the current data from the node\n       var aPos = oTable.fnGetPosition( this );</p>\n\n<pre><code>   // Get the data array for this row\n   var aData = oTable.fnGetData( aPos[0] );\n\n   // Update the data array and return the value\n   aData[ aPos[1] ] = 'clicked';\n   this.innerHTML = 'clicked';\n } );\n\n // Init DataTables\n oTable = $('#example').dataTable();\n</code></pre>\n\n<p>   } );</p>\n</div></li></ul></div></div></div><div id='method-fnIsOpen' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnIsOpen' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnIsOpen' class='name expandable'>fnIsOpen</a>( <span class='pre'>nTr</span> ) : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Check to see if a row is 'open' or not. ...</div><div class='long'><p>Check to see if a row is 'open' or not.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>nTr</span> : node<div class='sub-desc'><p>the table row to check</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>boolean</span><div class='sub-desc'><p>true if the row is currently open, false otherwise\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable;</p>\n\n<pre><code> // 'open' an information row when a row is clicked on\n $('#example tbody tr').click( function () {\n   if ( oTable.fnIsOpen(this) ) {\n     oTable.fnClose( this );\n   } else {\n     oTable.fnOpen( this, \"Temporary row opened\", \"info_row\" );\n   }\n } );\n\n oTable = $('#example').dataTable();\n</code></pre>\n\n<p>   } );</p>\n</div></li></ul></div></div></div><div id='method-fnOpen' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnOpen' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnOpen' class='name expandable'>fnOpen</a>( <span class='pre'>nTr, mHtml, sClass</span> ) : node<span class=\"signature\"></span></div><div class='description'><div class='short'>This function will place a new row directly after a row which is currently\non display on the page, with the HTML cont...</div><div class='long'><p>This function will place a new row directly after a row which is currently\non display on the page, with the HTML contents that is passed into the\nfunction. This can be used, for example, to ask for confirmation that a\nparticular record should be deleted.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>nTr</span> : node<div class='sub-desc'><p>The table row to 'open'</p>\n</div></li><li><span class='pre'>mHtml</span> : string|node|jQuery<div class='sub-desc'><p>The HTML to put into the row</p>\n</div></li><li><span class='pre'>sClass</span> : string<div class='sub-desc'><p>Class to give the new TD cell</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>node</span><div class='sub-desc'><p>The row opened. Note that if the table row passed in as the\n   first parameter, is not found in the table, this method will silently\n   return.\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable;</p>\n\n<pre><code> // 'open' an information row when a row is clicked on\n $('#example tbody tr').click( function () {\n   if ( oTable.fnIsOpen(this) ) {\n     oTable.fnClose( this );\n   } else {\n     oTable.fnOpen( this, \"Temporary row opened\", \"info_row\" );\n   }\n } );\n\n oTable = $('#example').dataTable();\n</code></pre>\n\n<p>   } );</p>\n</div></li></ul></div></div></div><div id='method-fnPageChange' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnPageChange' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnPageChange' class='name expandable'>fnPageChange</a>( <span class='pre'>mAction, [bRedraw]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Change the pagination - provides the internal logic for pagination in a simple API\nfunction. ...</div><div class='long'><p>Change the pagination - provides the internal logic for pagination in a simple API\nfunction. With this function you can have a DataTables table go to the next,\nprevious, first or last pages.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>mAction</span> : string|int<div class='sub-desc'><p>Paging action to take: \"first\", \"previous\", \"next\" or \"last\"\n   or page number to jump to (integer), note that page 0 is the first page.</p>\n</div></li><li><span class='pre'>bRedraw</span> : bool (optional)<div class='sub-desc'><p>Redraw the table or not\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();\n     oTable.fnPageChange( 'next' );\n   } );</p>\n<p>Defaults to: <code>true</code></p></div></li></ul></div></div></div><div id='method-fnSetColumnVis' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnSetColumnVis' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnSetColumnVis' class='name expandable'>fnSetColumnVis</a>( <span class='pre'>iCol, bShow, [bRedraw]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Show a particular column ...</div><div class='long'><p>Show a particular column</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>iCol</span> : int<div class='sub-desc'><p>The column whose display should be changed</p>\n</div></li><li><span class='pre'>bShow</span> : bool<div class='sub-desc'><p>Show (true) or hide (false) the column</p>\n</div></li><li><span class='pre'>bRedraw</span> : bool (optional)<div class='sub-desc'><p>Redraw the table or not\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Hide the second column after initialisation\n oTable.fnSetColumnVis( 1, false );\n</code></pre>\n\n<p>   } );</p>\n<p>Defaults to: <code>true</code></p></div></li></ul></div></div></div><div id='method-fnSettings' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnSettings' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnSettings' class='name expandable'>fnSettings</a>( <span class='pre'></span> ) : object<span class=\"signature\"></span></div><div class='description'><div class='short'>Get the settings for a particular table for external manipulation ...</div><div class='long'><p>Get the settings for a particular table for external manipulation</p>\n<h3 class='pa'>Returns</h3><ul><li><span class='pre'>object</span><div class='sub-desc'><p>DataTables settings object. See\n   DataTable.models.oSettings\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();\n     var oSettings = oTable.fnSettings();</p>\n\n<pre><code> // Show an example parameter from the settings\n alert( oSettings._iDisplayStart );\n</code></pre>\n\n<p>   } );</p>\n</div></li></ul></div></div></div><div id='method-fnSort' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnSort' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnSort' class='name expandable'>fnSort</a>( <span class='pre'>iCol</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Sort the table by a particular column ...</div><div class='long'><p>Sort the table by a particular column</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>iCol</span> : int<div class='sub-desc'><p>the data index to sort on. Note that this will not match the\n   'display index' if you have hidden data entries\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Sort immediately with columns 0 and 1\n oTable.fnSort( [ [0,'asc'], [1,'asc'] ] );\n</code></pre>\n\n<p>   } );</p>\n</div></li></ul></div></div></div><div id='method-fnSortListener' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnSortListener' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnSortListener' class='name expandable'>fnSortListener</a>( <span class='pre'>nNode, iColumn, [fnCallback]</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Attach a sort listener to an element for a given column ...</div><div class='long'><p>Attach a sort listener to an element for a given column</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>nNode</span> : node<div class='sub-desc'><p>the element to attach the sort listener to</p>\n</div></li><li><span class='pre'>iColumn</span> : int<div class='sub-desc'><p>the column that a click on this node will sort on</p>\n</div></li><li><span class='pre'>fnCallback</span> : function (optional)<div class='sub-desc'><p>callback function when sort is run\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();</p>\n\n<pre><code> // Sort on column 1, when 'sorter' is clicked on\n oTable.fnSortListener( document.getElementById('sorter'), 1 );\n</code></pre>\n\n<p>   } );</p>\n</div></li></ul></div></div></div><div id='method-fnUpdate' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnUpdate' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnUpdate' class='name expandable'>fnUpdate</a>( <span class='pre'>mData, mRow, [iColumn], [bRedraw], [bAction]</span> ) : int<span class=\"signature\"></span></div><div class='description'><div class='short'>Update a table cell or row - this method will accept either a single value to\nupdate the cell with, an array of value...</div><div class='long'><p>Update a table cell or row - this method will accept either a single value to\nupdate the cell with, an array of values with one element for each column or\nan object in the same format as the original data source. The function is\nself-referencing in order to make the multi column updates easier.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>mData</span> : object|array|string<div class='sub-desc'><p>Data to update the cell/row with</p>\n</div></li><li><span class='pre'>mRow</span> : node|int<div class='sub-desc'><p>TR element you want to update or the aoData index</p>\n</div></li><li><span class='pre'>iColumn</span> : int (optional)<div class='sub-desc'><p>The column to update (not used of mData is an array or object)</p>\n</div></li><li><span class='pre'>bRedraw</span> : bool (optional)<div class='sub-desc'><p>Redraw the table or not</p>\n<p>Defaults to: <code>true</code></p></div></li><li><span class='pre'>bAction</span> : bool (optional)<div class='sub-desc'><p>Perform pre-draw actions or not</p>\n<p>Defaults to: <code>true</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>int</span><div class='sub-desc'><p>0 on success, 1 on error\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();\n     oTable.fnUpdate( 'Example update', 0, 0 ); // Single cell\n     oTable.fnUpdate( ['a', 'b', 'c', 'd', 'e'], 1, 0 ); // Row\n   } );</p>\n</div></li></ul></div></div></div><div id='method-fnVersionCheck' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-method-fnVersionCheck' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-method-fnVersionCheck' class='name expandable'>fnVersionCheck</a>( <span class='pre'>sVersion</span> ) : boolean<span class=\"signature\"></span></div><div class='description'><div class='short'>Provide a common method for plug-ins to check the version of DataTables being used, in order\nto ensure compatibility. ...</div><div class='long'><p>Provide a common method for plug-ins to check the version of DataTables being used, in order\nto ensure compatibility.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sVersion</span> : string<div class='sub-desc'><p>Version string to check for, in the format \"X.Y.Z\". Note that the\n   formats \"X\" and \"X.Y\" are also acceptable.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>boolean</span><div class='sub-desc'><p>true if this version of DataTables is greater or equal to the required\n   version, or false if this version of DataTales is not suitable\n @dtopt API</p>\n\n<p> @example\n   $(document).ready(function() {\n     var oTable = $('#example').dataTable();\n     alert( oTable.fnVersionCheck( '1.9.0' ) );\n   } );</p>\n</div></li></ul></div></div></div></div><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static methods</h3><div id='static-method-fnIsDataTable' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-static-method-fnIsDataTable' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-static-method-fnIsDataTable' class='name expandable'>fnIsDataTable</a>( <span class='pre'>nTable</span> ) : boolean<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Check if a TABLE node is a DataTable table already or not. ...</div><div class='long'><p>Check if a TABLE node is a DataTable table already or not.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>nTable</span> : node<div class='sub-desc'><p>The TABLE node to check if it is a DataTable or not (note that other\n   node types can be passed in, but will always return false).</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>boolean</span><div class='sub-desc'><p>true the table given is a DataTable, or false otherwise\n @dtopt API-Static</p>\n\n<p> @example\n   var ex = document.getElementById('example');\n   if ( ! $.fn.DataTable.fnIsDataTable( ex ) ) {\n     $(ex).dataTable();\n   }</p>\n</div></li></ul></div></div></div><div id='static-method-fnTables' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-static-method-fnTables' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-static-method-fnTables' class='name expandable'>fnTables</a>( <span class='pre'>[bVisible]</span> ) : array<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Get all DataTable tables that have been initialised - optionally you can select to\nget only currently visible tables. ...</div><div class='long'><p>Get all DataTable tables that have been initialised - optionally you can select to\nget only currently visible tables.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>bVisible</span> : boolean (optional)<div class='sub-desc'><p>Flag to indicate if you want all (default) or\n   visible tables only.</p>\n<p>Defaults to: <code>false</code></p></div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>array</span><div class='sub-desc'><p>Array of TABLE nodes (not DataTable instances) which are DataTables\n @dtopt API-Static</p>\n\n<p> @example\n   var table = $.fn.dataTable.fnTables(true);\n   if ( table.length > 0 ) {\n     $(table).dataTable().fnAdjustColumnSizing();\n   }</p>\n</div></li></ul></div></div></div><div id='static-method-fnVersionCheck' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-static-method-fnVersionCheck' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-static-method-fnVersionCheck' class='name expandable'>fnVersionCheck</a>( <span class='pre'>sVersion</span> ) : boolean<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Provide a common method for plug-ins to check the version of DataTables being used, in order\nto ensure compatibility. ...</div><div class='long'><p>Provide a common method for plug-ins to check the version of DataTables being used, in order\nto ensure compatibility.</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>sVersion</span> : string<div class='sub-desc'><p>Version string to check for, in the format \"X.Y.Z\". Note that the\n   formats \"X\" and \"X.Y\" are also acceptable.</p>\n</div></li></ul><h3 class='pa'>Returns</h3><ul><li><span class='pre'>boolean</span><div class='sub-desc'><p>true if this version of DataTables is greater or equal to the required\n   version, or false if this version of DataTales is not suitable\n @dtopt API-Static</p>\n\n<p> @example\n   alert( $.fn.dataTable.fnVersionCheck( '1.9.0' ) );</p>\n</div></li></ul></div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-event'>Events</h3><div class='subsection'><div id='event-' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='DataTable'>DataTable</span><br/><a href='source/datatables.html#DataTable-event-' target='_blank' class='view-source'>view source</a></div><a href='#!/api/DataTable-event-' class='name expandable'></a>( <span class='pre'>e, o</span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>Destroy event, fired when the DataTable is destroyed by calling fnDestroy or passing\nthe bDestroy:true parameter in t...</div><div class='long'><p>Destroy event, fired when the DataTable is destroyed by calling fnDestroy or passing\nthe bDestroy:true parameter in the initialisation object. This can be used to remove\nbound events, added DOM nodes, etc.\n @name DataTable#destroy</p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>e</span> : event<div class='sub-desc'><p>jQuery event object</p>\n</div></li><li><span class='pre'>o</span> : object<div class='sub-desc'><p>DataTables settings object DataTable.models.oSettings</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});