Ext.data.JsonP.ep_i18n({"tagname":"class","name":"ep.i18n","autodetected":{},"files":[{"filename":"i18n.js","href":"i18n.html#ep-i18n"}],"members":[{"name":"formatBytes","tagname":"method","owner":"ep.i18n","id":"static-method-formatBytes","meta":{"static":true}}],"alternateClassNames":[],"aliases":{},"id":"class-ep.i18n","component":false,"superclasses":[],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"uses":[],"html":"<div><pre class=\"hierarchy\"><h4>Files</h4><div class='dependency'><a href='source/i18n.html#ep-i18n' target='_blank'>i18n.js</a></div></pre><div class='doc-contents'>\n</div><div class='members'><div class='members-section'><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div class='definedBy'>Defined By</div><h4 class='members-subtitle'>Static methods</h3><div id='static-method-formatBytes' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='ep.i18n'>ep.i18n</span><br/><a href='source/i18n.html#ep-i18n-static-method-formatBytes' target='_blank' class='view-source'>view source</a></div><a href='#!/api/ep.i18n-static-method-formatBytes' class='name expandable'>formatBytes</a>( <span class='pre'>value, [decimals], [options]</span> )<span class=\"signature\"><span class='static' >static</span></span></div><div class='description'><div class='short'>Format a number as Bytes. ...</div><div class='long'><p>Format a number as Bytes.</p>\n\n<p>The <code><a href=\"#!/api/ep.i18n-static-method-formatBytes\" rel=\"ep.i18n-static-method-formatBytes\" class=\"docClass\">ep.i18n.formatBytes</a>()</code> method uses the <code>jQuery.i18n.formatNumber()</code> method to format the givn value and\nadd the correct unit (Byte, kB, MB, GB).</p>\n\n<ul>\n<li>default adds '''Byte'''</li>\n<li>value is bigger or equal ''1024'' and smaller than ''1048576'' adds '''kb'''</li>\n<li>value is bigger or equal ''1048576'' and smaller than ''1073741824'' adds '''MB''Ã'</li>\n<li>value is bigger or equal ''1073741824'' adds '''GB'''</li>\n</ul>\n\n\n<h3>Examples</h3>\n\n<p>Format an number with default options.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.i18n-static-method-formatBytes\" rel=\"ep.i18n-static-method-formatBytes\" class=\"docClass\">ep.i18n.formatBytes</a>( 12000 );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>11.72 kB\n</code></pre>\n\n<p>Format an number with 4 after decimal places.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.i18n-static-method-formatBytes\" rel=\"ep.i18n-static-method-formatBytes\" class=\"docClass\">ep.i18n.formatBytes</a>( 10240, 4 );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>10.0000 kB\n</code></pre>\n\n<p>Format an number with 2 after decimal places and german language settings.</p>\n\n<p>JavaScript:</p>\n\n<pre><code><a href=\"#!/api/ep.i18n-static-method-formatBytes\" rel=\"ep.i18n-static-method-formatBytes\" class=\"docClass\">ep.i18n.formatBytes</a>( 10240, 2, {region: 'de'} );\n</code></pre>\n\n<p>Results:</p>\n\n<pre><code>10,00 kB\n</code></pre>\n\n<h3>Dependencies</h3>\n\n<ul>\n<li><code>ep</code></li>\n<li><code>jQuery.i18n</code></li>\n</ul>\n\n        <p>Available since: <b>6.11.0</b></p>\n<h3 class=\"pa\">Parameters</h3><ul><li><span class='pre'>value</span> : Number<div class='sub-desc'><p>A number to format.</p>\n</div></li><li><span class='pre'>decimals</span> : Integer (optional)<div class='sub-desc'><p>A count of after decimal places.</p>\n</div></li><li><span class='pre'>options</span> : Object (optional)<div class='sub-desc'><p>A map of key/values settings like the options of jQuery.i18n.formatNumber().</p>\n</div></li></ul></div></div></div></div></div></div></div>","meta":{}});