Ext.data.JsonP.jQuery_ui_externalcontentUiMaps({"tagname":"class","name":"jQuery.ui.externalcontentUiMaps","autodetected":{},"files":[{"filename":"maps.js","href":"maps.html#jQuery-ui-externalcontentUiMaps"}],"extends":"jQuery.widget","uses":["de_epages","de_epages.externalcontent.ui.rss","jQuery.tmpl","jQuery.ui.widget","jQuery.uid"],"since":"6.15.0","members":[{"name":"controls","tagname":"cfg","owner":"jQuery.ui.externalcontentUiMaps","id":"cfg-controls","meta":{}},{"name":"fixedView","tagname":"cfg","owner":"jQuery.ui.externalcontentUiMaps","id":"cfg-fixedView","meta":{}},{"name":"height","tagname":"cfg","owner":"jQuery.ui.externalcontentUiMaps","id":"cfg-height","meta":{}},{"name":"lat","tagname":"cfg","owner":"jQuery.ui.externalcontentUiMaps","id":"cfg-lat","meta":{}},{"name":"lng","tagname":"cfg","owner":"jQuery.ui.externalcontentUiMaps","id":"cfg-lng","meta":{}},{"name":"title","tagname":"cfg","owner":"jQuery.ui.externalcontentUiMaps","id":"cfg-title","meta":{}},{"name":"type","tagname":"cfg","owner":"jQuery.ui.externalcontentUiMaps","id":"cfg-type","meta":{}},{"name":"width","tagname":"cfg","owner":"jQuery.ui.externalcontentUiMaps","id":"cfg-width","meta":{}},{"name":"zoom","tagname":"cfg","owner":"jQuery.ui.externalcontentUiMaps","id":"cfg-zoom","meta":{}},{"name":"destroy","tagname":"method","owner":"jQuery.ui.externalcontentUiMaps","id":"method-destroy","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.externalcontentUiMaps","short_doc":"Create a Google, bing or klickTel Map. ...","component":false,"superclasses":["jQuery.widget"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.widget<div class='subclass '><strong>jQuery.ui.externalcontentUiMaps</strong></div></div><h4>Uses</h4><div class='dependency'>de_epages</div><div class='dependency'>de_epages.externalcontent.ui.rss</div><div class='dependency'>jQuery.tmpl</div><div class='dependency'>jQuery.ui.widget</div><div class='dependency'>jQuery.uid</div><h4>Files</h4><div class='dependency'><a href='source/maps.html#jQuery-ui-externalcontentUiMaps' target='_blank'>maps.js</a></div></pre><div class='doc-contents'><p>Create a Google, bing or klickTel Map.</p>\n\n<p>The Widget inserts a Google, bing or klickTel Map into the target element on which the widget is executed on.</p>\n\n<h3>Examples</h3>\n\n<p>The Widget is executed on a pageelement and is called with passing the chosen options. In this example a Google Map is implemented. Zoom factor is 5, controls are shown and the map area is not draggable.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>jQuery.ready({\n     plugin: [ 'de_epages.externalcontent.ui.maps' ],\n     DOM:    true\n }, function($){\n     var widget = de_epages('&lt;div&gt;').externalcontentUiMaps({\n         type: \"google\",\n         width: 300,\n         height: 200,\n         zoom: 5,\n         title: \"Milestones GmbH\",\n         controls: true,\n         fixedView: true,\n         lat: 50.65531,\n         lng: 11.715550000000007\n     });\n});\n</code></pre>\n        <p>Available since: <b>6.15.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-controls' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiMaps'>jQuery.ui.externalcontentUiMaps</span><br/><a href='source/maps.html#jQuery-ui-externalcontentUiMaps-cfg-controls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiMaps-cfg-controls' class='name expandable'>controls</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Specifies whether to display the control elements of the embedded map.</p>\n</div><div class='long'><p>Specifies whether to display the control elements of the embedded map.</p>\n</div></div></div><div id='cfg-fixedView' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiMaps'>jQuery.ui.externalcontentUiMaps</span><br/><a href='source/maps.html#jQuery-ui-externalcontentUiMaps-cfg-fixedView' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiMaps-cfg-fixedView' class='name expandable'>fixedView</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Prevents the map from being dragged, if false.</p>\n</div><div class='long'><p>Prevents the map from being dragged, if false.</p>\n</div></div></div><div id='cfg-height' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiMaps'>jQuery.ui.externalcontentUiMaps</span><br/><a href='source/maps.html#jQuery-ui-externalcontentUiMaps-cfg-height' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiMaps-cfg-height' class='name expandable'>height</a> : Integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Defines the height of the map in pixels.</p>\n</div><div class='long'><p>Defines the height of the map in pixels.</p>\n</div></div></div><div id='cfg-lat' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiMaps'>jQuery.ui.externalcontentUiMaps</span><br/><a href='source/maps.html#jQuery-ui-externalcontentUiMaps-cfg-lat' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiMaps-cfg-lat' class='name expandable'>lat</a> : Float<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Specifies the latitude (geographic coordinate) of the shown place on the map.</p>\n</div><div class='long'><p>Specifies the latitude (geographic coordinate) of the shown place on the map.</p>\n</div></div></div><div id='cfg-lng' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiMaps'>jQuery.ui.externalcontentUiMaps</span><br/><a href='source/maps.html#jQuery-ui-externalcontentUiMaps-cfg-lng' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiMaps-cfg-lng' class='name expandable'>lng</a> : Float<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Specifies the longitude (geographic coordinate) of the shown place on the map.</p>\n</div><div class='long'><p>Specifies the longitude (geographic coordinate) of the shown place on the map.</p>\n</div></div></div><div id='cfg-title' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiMaps'>jQuery.ui.externalcontentUiMaps</span><br/><a href='source/maps.html#jQuery-ui-externalcontentUiMaps-cfg-title' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiMaps-cfg-title' class='name expandable'>title</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'>Defines the title of the map widget, e.g. ...</div><div class='long'><p>Defines the title of the map widget, e.g. the name and adress of the company.</p>\n</div></div></div><div id='cfg-type' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiMaps'>jQuery.ui.externalcontentUiMaps</span><br/><a href='source/maps.html#jQuery-ui-externalcontentUiMaps-cfg-type' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiMaps-cfg-type' class='name expandable'>type</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'>Specifies from which provider the map should be shown. ...</div><div class='long'><p>Specifies from which provider the map should be shown. Values: 'google', 'bing', 'klicktel'</p>\n</div></div></div><div id='cfg-width' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiMaps'>jQuery.ui.externalcontentUiMaps</span><br/><a href='source/maps.html#jQuery-ui-externalcontentUiMaps-cfg-width' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiMaps-cfg-width' class='name expandable'>width</a> : Integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Defines the width of the map in pixels.</p>\n</div><div class='long'><p>Defines the width of the map in pixels.</p>\n</div></div></div><div id='cfg-zoom' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiMaps'>jQuery.ui.externalcontentUiMaps</span><br/><a href='source/maps.html#jQuery-ui-externalcontentUiMaps-cfg-zoom' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiMaps-cfg-zoom' class='name expandable'>zoom</a> : Integer<span class=\"signature\"></span></div><div class='description'><div class='short'><p>Defines the zoom factor of the shown place on the map.</p>\n</div><div class='long'><p>Defines the zoom factor of the shown place on the map.</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-destroy' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.externalcontentUiMaps'>jQuery.ui.externalcontentUiMaps</span><br/><a href='source/maps.html#jQuery-ui-externalcontentUiMaps-method-destroy' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.externalcontentUiMaps-method-destroy' class='name expandable'>destroy</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>This method removes the container on which the map gadget has been appended to. ...</div><div class='long'><p>This method removes the container on which the map gadget has been appended to.</p>\n        <p>Available since: <b>6.15.0</b></p>\n</div></div></div></div></div></div></div>","meta":{}});