Ext.data.JsonP.jQuery_ui_orderUiDocumentGenerator({"tagname":"class","name":"jQuery.ui.orderUiDocumentGenerator","autodetected":{},"files":[{"filename":"documentgenerator.js","href":"documentgenerator.html#jQuery-ui-orderUiDocumentGenerator"}],"extends":"jQuery.widget","uses":["de_epages.order.ui.documentGenerator","ep","ep.ajax","ep.dict","ep.ui.datepicker","ep.ui.dialog","ep.ui.input","jQuery.i18n","jQuery.metaparse","jQuery.tmpl","jQuery.ui.draggable","jQuery.ui.widget"],"since":"6.15.0","members":[{"name":"orders","tagname":"cfg","owner":"jQuery.ui.orderUiDocumentGenerator","id":"cfg-orders","meta":{}},{"name":"open","tagname":"method","owner":"jQuery.ui.orderUiDocumentGenerator","id":"method-open","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.orderUiDocumentGenerator","short_doc":"Create a dialog to generate documents. ...","component":false,"superclasses":["jQuery.widget"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.widget<div class='subclass '><strong>jQuery.ui.orderUiDocumentGenerator</strong></div></div><h4>Uses</h4><div class='dependency'>de_epages.order.ui.documentGenerator</div><div class='dependency'><a href='#!/api/ep' rel='ep' class='docClass'>ep</a></div><div class='dependency'>ep.ajax</div><div class='dependency'><a href='#!/api/ep.dict' rel='ep.dict' class='docClass'>ep.dict</a></div><div class='dependency'>ep.ui.datepicker</div><div class='dependency'>ep.ui.dialog</div><div class='dependency'>ep.ui.input</div><div class='dependency'>jQuery.i18n</div><div class='dependency'>jQuery.metaparse</div><div class='dependency'>jQuery.tmpl</div><div class='dependency'>jQuery.ui.draggable</div><div class='dependency'>jQuery.ui.widget</div><h4>Files</h4><div class='dependency'><a href='source/documentgenerator.html#jQuery-ui-orderUiDocumentGenerator' target='_blank'>documentgenerator.js</a></div></pre><div class='doc-contents'><p>Create a dialog to generate documents.</p>\n\n<p>The .orderUiDocumentGenerator() creates a dialog which enables the user to generate the packaging slip and/or invoice documents for an order. Also the status of the order can be updated to Ready for shipping, Dispatched and Invoiced. After creating the documents the printview automatically can be shown in a new tab.</p>\n\n<h3>Examples</h3>\n\n<p>Binds the orderUiDocumentGenerator()-Dialog to an anonymous div and calls the open-method of the widget via on-click event attached to a page element.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>&lt;script&gt;\n    jQuery.ready({\n                plugin: [ 'de_epages.order.ui.documentGenerator' ],\n                DOM:    true\n            }, function($){\n                var documentWidget = de_epages('&lt;div&gt;').orderUiDocumentGenerator();\n                $(\"#generateDocuments\").on(\"click\",function(){\n                    de_epages(documentWidget).orderUiDocumentGenerator('open');\n                });\n            });\n&lt;/script&gt;\n</code></pre>\n\n<p>Opens the orderUiDocumentGenerator() with use of the option to commit a list of order id's to generate the chosen documents for all the orders in the list. The list consists of orders which have been chosen by checkboxes.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>&lt;script&gt;\njq(this.form)\n            .find('input:checkbox:checked[name=ListObjectID]')\n            .each(function(){\n                selected.push( jq(this).val() );\n            });\n\n        if( !selected.length ){\n            return false;\n        }\n        jQuery.ready({\n                plugin: [ 'de_epages.order.ui.documentGenerator' ],\n                DOM:    true\n            }, function($){\n                var documentWidget = de_epages('&lt;div&gt;').orderUiDocumentGenerator({\n                    orders    :   selected\n                });\n                de_epages(documentWidget).orderUiDocumentGenerator('open');\n            });\n&lt;/script&gt;\n</code></pre>\n        <p>Available since: <b>6.15.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-orders' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.orderUiDocumentGenerator'>jQuery.ui.orderUiDocumentGenerator</span><br/><a href='source/documentgenerator.html#jQuery-ui-orderUiDocumentGenerator-cfg-orders' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.orderUiDocumentGenerator-cfg-orders' class='name expandable'>orders</a> : Array<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A list of objectIds of orders for which documents have to be created</p>\n</div><div class='long'><p>A list of objectIds of orders for which documents have to be created</p>\n</div></div></div></div></div><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-method'>Methods</h3><div class='subsection'><div id='method-open' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.orderUiDocumentGenerator'>jQuery.ui.orderUiDocumentGenerator</span><br/><a href='source/documentgenerator.html#jQuery-ui-orderUiDocumentGenerator-method-open' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.orderUiDocumentGenerator-method-open' class='name expandable'>open</a>( <span class='pre'></span> )<span class=\"signature\"></span></div><div class='description'><div class='short'>When the method is called it checks if there is already a dialog created or if the dialog is not defined yet. ...</div><div class='long'><p>When the method is called it checks if there is already a dialog created or if the dialog is not defined yet. If not defined, the widget function _create() is called otherwise the dialog only opens as an overlay.</p>\n        <p>Available since: <b>6.15.0</b></p>\n</div></div></div></div></div></div></div>","meta":{}});