Ext.data.JsonP.jQuery_ui_uiLightbox({"tagname":"class","name":"jQuery.ui.uiLightbox","autodetected":{},"files":[{"filename":"lightbox.js","href":"lightbox.html#jQuery-ui-uiLightbox"}],"extends":"jQuery.widget","uses":["ep.ui.core","ep.ui.dialog","ep.ui.slides","ep.ui.thumbbox","jQuery.fn.size","jQuery.ui.widget"],"since":"6.14.0","members":[{"name":"caption","tagname":"cfg","owner":"jQuery.ui.uiLightbox","id":"cfg-caption","meta":{}},{"name":"closeOnClickOut","tagname":"cfg","owner":"jQuery.ui.uiLightbox","id":"cfg-closeOnClickOut","meta":{}},{"name":"closeOnEscape","tagname":"cfg","owner":"jQuery.ui.uiLightbox","id":"cfg-closeOnEscape","meta":{}},{"name":"controls","tagname":"cfg","owner":"jQuery.ui.uiLightbox","id":"cfg-controls","meta":{}},{"name":"count","tagname":"cfg","owner":"jQuery.ui.uiLightbox","id":"cfg-count","meta":{}},{"name":"defaultSize","tagname":"cfg","owner":"jQuery.ui.uiLightbox","id":"cfg-defaultSize","meta":{}},{"name":"effect","tagname":"cfg","owner":"jQuery.ui.uiLightbox","id":"cfg-effect","meta":{}},{"name":"images","tagname":"cfg","owner":"jQuery.ui.uiLightbox","id":"cfg-images","meta":{}},{"name":"thumbs","tagname":"cfg","owner":"jQuery.ui.uiLightbox","id":"cfg-thumbs","meta":{}}],"alternateClassNames":[],"aliases":{},"id":"class-jQuery.ui.uiLightbox","short_doc":"Create a lightbox for a given set of images. ...","component":false,"superclasses":["jQuery.widget"],"subclasses":[],"mixedInto":[],"mixins":[],"parentMixins":[],"requires":[],"html":"<div><pre class=\"hierarchy\"><h4>Hierarchy</h4><div class='subclass first-child'>jQuery.widget<div class='subclass '><strong>jQuery.ui.uiLightbox</strong></div></div><h4>Uses</h4><div class='dependency'>ep.ui.core</div><div class='dependency'>ep.ui.dialog</div><div class='dependency'>ep.ui.slides</div><div class='dependency'>ep.ui.thumbbox</div><div class='dependency'>jQuery.fn.size</div><div class='dependency'>jQuery.ui.widget</div><h4>Files</h4><div class='dependency'><a href='source/lightbox.html#jQuery-ui-uiLightbox' target='_blank'>lightbox.js</a></div></pre><div class='doc-contents'><p>Create a lightbox for a given set of images.</p>\n\n<p>The <code>ep.uiLightbox()</code> method creates a lightbox for a given set of images. The lightbox shows the images\nin a seperate dialog.</p>\n\n<h3>Examples</h3>\n\n<p>Create a simple lightbox.</p>\n\n<p>JavaScript:</p>\n\n<pre><code>ep('<a href=\"#!/api/jQuery.ui.uiLightbox-cfg-images\" rel=\"jQuery.ui.uiLightbox-cfg-images\" class=\"docClass\">images</a>')\n  .uiLightbox({\n    images          : '<a href=\"#!/api/jQuery.ui.uiLightbox-cfg-images\" rel=\"jQuery.ui.uiLightbox-cfg-images\" class=\"docClass\">images</a> img',\n    controls        : 'visible',\n    caption         : true,\n    count           : true,\n    thumbs          : true,\n    closeOnEscape   : true,\n    closeOnClickOut : true\n});\n</code></pre>\n\n<p>HTML:</p>\n\n<pre><code>&lt;ul id=\"images\"&gt;\n  &lt;li&gt;\n    &lt;img\n      alt=\"Bild 1\"\n      src=\"ep/ui/lightboxTest_Image1.jpg\"\n      data-src-m=\"ep/ui/lightboxTest_Image1.jpg\"\n      data-src-l=\"ep/ui/lightboxTest_Image1.jpg\"\n    /&gt;\n  &lt;/li&gt;\n  &lt;li&gt;\n    &lt;img\n      alt=\"Bild 2\"\n      src=\"ep/ui/lightboxTest_Image2.jpg\"\n      data-src-m=\"ep/ui/lightboxTest_Image2.jpg\"\n      data-src-l=\"ep/ui/lightboxTest_Image2.jpg\"\n    /&gt;\n  &lt;/li&gt;\n  &lt;li&gt;\n    &lt;img\n      alt=\"Bild 3\"\n      src=\"ep/ui/lightboxTest_Image1.jpg\"\n      data-src-m=\"ep/ui/lightboxTest_Image1.jpg\"\n      data-src-l=\"ep/ui/lightboxTest_Image1.jpg\"\n    /&gt;\n  &lt;/li&gt;\n&lt;/ul&gt;\n</code></pre>\n        <p>Available since: <b>6.14.0</b></p>\n</div><div class='members'><div class='members-section'><div class='definedBy'>Defined By</div><h3 class='members-title icon-cfg'>Config options</h3><div class='subsection'><div id='cfg-caption' class='member first-child not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiLightbox'>jQuery.ui.uiLightbox</span><br/><a href='source/lightbox.html#jQuery-ui-uiLightbox-cfg-caption' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiLightbox-cfg-caption' class='name expandable'>caption</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication wether to show the caption of the images.</p>\n</div><div class='long'><p>A boolean indication wether to show the caption of the images.</p>\n</div></div></div><div id='cfg-closeOnClickOut' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiLightbox'>jQuery.ui.uiLightbox</span><br/><a href='source/lightbox.html#jQuery-ui-uiLightbox-cfg-closeOnClickOut' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiLightbox-cfg-closeOnClickOut' class='name expandable'>closeOnClickOut</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication wether to close the lightbox by clicking outside of the dialog.</p>\n</div><div class='long'><p>A boolean indication wether to close the lightbox by clicking outside of the dialog.</p>\n</div></div></div><div id='cfg-closeOnEscape' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiLightbox'>jQuery.ui.uiLightbox</span><br/><a href='source/lightbox.html#jQuery-ui-uiLightbox-cfg-closeOnEscape' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiLightbox-cfg-closeOnEscape' class='name expandable'>closeOnEscape</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication wether to close the lightbox by pressing the escape button.</p>\n</div><div class='long'><p>A boolean indication wether to close the lightbox by pressing the escape button.</p>\n</div></div></div><div id='cfg-controls' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiLightbox'>jQuery.ui.uiLightbox</span><br/><a href='source/lightbox.html#jQuery-ui-uiLightbox-cfg-controls' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiLightbox-cfg-controls' class='name expandable'>controls</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The way the controls will be displayed (auto / visible / hidden).</p>\n</div><div class='long'><p>The way the controls will be displayed (auto / visible / hidden).</p>\n</div></div></div><div id='cfg-count' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiLightbox'>jQuery.ui.uiLightbox</span><br/><a href='source/lightbox.html#jQuery-ui-uiLightbox-cfg-count' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiLightbox-cfg-count' class='name expandable'>count</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication wether to show the count of the images like (i of n).</p>\n</div><div class='long'><p>A boolean indication wether to show the count of the images like (i of n).</p>\n</div></div></div><div id='cfg-defaultSize' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiLightbox'>jQuery.ui.uiLightbox</span><br/><a href='source/lightbox.html#jQuery-ui-uiLightbox-cfg-defaultSize' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiLightbox-cfg-defaultSize' class='name expandable'>defaultSize</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The default size of images used for the slides widget.</p>\n</div><div class='long'><p>The default size of images used for the slides widget.</p>\n</div></div></div><div id='cfg-effect' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiLightbox'>jQuery.ui.uiLightbox</span><br/><a href='source/lightbox.html#jQuery-ui-uiLightbox-cfg-effect' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiLightbox-cfg-effect' class='name expandable'>effect</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>The change over effect.</p>\n</div><div class='long'><p>The change over effect.</p>\n</div></div></div><div id='cfg-images' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiLightbox'>jQuery.ui.uiLightbox</span><br/><a href='source/lightbox.html#jQuery-ui-uiLightbox-cfg-images' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiLightbox-cfg-images' class='name expandable'>images</a> : String<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A set of images which will be displayed.</p>\n</div><div class='long'><p>A set of images which will be displayed.</p>\n</div></div></div><div id='cfg-thumbs' class='member  not-inherited'><a href='#' class='side expandable'><span>&nbsp;</span></a><div class='title'><div class='meta'><span class='defined-in' rel='jQuery.ui.uiLightbox'>jQuery.ui.uiLightbox</span><br/><a href='source/lightbox.html#jQuery-ui-uiLightbox-cfg-thumbs' target='_blank' class='view-source'>view source</a></div><a href='#!/api/jQuery.ui.uiLightbox-cfg-thumbs' class='name expandable'>thumbs</a> : Boolean<span class=\"signature\"></span></div><div class='description'><div class='short'><p>A boolean indication wether to show thumbnails inside the lightbox.</p>\n</div><div class='long'><p>A boolean indication wether to show thumbnails inside the lightbox.</p>\n</div></div></div></div></div></div></div>","meta":{}});